module.exports = {
  env: {
    browser: true,
    commonjs: true,
    es6: true,
  },
  extends: ['eslint:recommended'],
  parser: 'babel-eslint',
  parserOptions: {
    ecmaFeatures: {
      experimentalObjectRestSpread: true,
      jsx: true,
    },
    extends: ['eslint:recommended'],
    parser: 'babel-eslint',
    parserOptions: {
      ecmaFeatures: {
        experimentalObjectRestSpread: true,
        jsx: true,
      },
      sourceType: 'module',
    },
    plugins: ['react'],
    rules: {
      'no-console': 'off',
      indent: ['off', 2],
      'linebreak-style': ['error', 'unix'],
      quotes: ['warn', 'single'],
      semi: ['off', 'always'],
      'comma-dangle': 0,
      'react/jsx-uses-react': 'error',
      'react/jsx-uses-vars': 'error',
      'no-unused-vars': 'warn',
    },
  },
};
