# legacy-xh-boss-web-fe

该项目已移除旧的通过`roadhog`进行打包，因为编译太慢了。已全新升级到`webpack 5`，并升级了相关依赖，比如`babel@7`。本地开发环境也无需再使用`xcli`运行。`webpack 5`实时编译很快，开发环境下启动热更新，第一次全模块编译会慢点，后面的基本只要0点秒，体验还可以。

## 安装与运行

推荐使用`pnpm`，`node`版本至少`16.17.0`以上。

### 安装项目依赖

```bash
pnpm i
```

### 修改env.development

如果需要本地调试旧BOSS系统，则将`PROXY_OLD_BOSS`设置为`true`，并将`PROXY_OLD_BOSS_URL`设置为[legacy-xh-eduboss-web-fe](https://gitlab.xinghuolive.com/op/xinghuo-business/xinghuo-frontend/legacy-xh-boss-fe/legacy-xh-eduboss-web-fe)本地环境的地址和端口号，比如`http://localhost:8080`

### 运行(星火test环境)

```bash
pnpm start
```

