const fs = require('fs');
const path = require('path');

function traverseFolder(folderPath) {
  // 读取文件夹列表
  const files = fs.readdirSync(folderPath);

  // 遍历文件夹列表
  files.forEach(function (fileName) {
    // 拼接当前文件路径
    const filePath = path.join(folderPath, fileName);

    // 判断该路径是文件夹还是文件
    const stats = fs.statSync(filePath);

    if (stats.isDirectory()) {
      // 如果是文件夹，递归遍历
      traverseFolder(filePath);
    } else {
      // 如果是文件，执行操作
      if (filePath.endsWith('.less')) {
        if (fs.statSync(filePath).size === 0) {
          console.log(filePath);
          fs.unlinkSync(filePath);
        } else {
          const content = fs.readFileSync(filePath, 'utf8');
          if ((content || '').startsWith(':global')) {
            console.log(filePath);
          }
        }
      }
    }
  });
}

traverseFolder('../src');
