import React from 'react';
import PropTypes from 'prop-types';
import { Page } from 'COMPONENT';
import styles from './index.less';
export default class NoPermission extends React.Component {
  static propTypes = {
    tips: PropTypes.string,
  };
  static defaultProps = {
    tips: '暂无访问权限',
  };
  render() {
    return (
      <div className={styles.permissionContainer}>
        <img src={require('ASSET/imgs/no-permission.png')} />
        <div className={styles.tips}>{this.props.tips}</div>
      </div>
    );
  }
}
