
export function toArray(value) {
  return value ? (value instanceof Array ? value : [value]) : []
}


export const UNSELECTABLE_STYLE = {
  userSelect: 'none',
  WebkitUserSelect: 'none',
}

export const UNSELECTABLE_ATTRIBUTE = {
  unselectable: 'unselectable',
}


export function saveRef(instance, name) {
  return (node) => {
    instance[name] = node
  }
}
