import React from 'react';
import styles from './index.less';
import Options from '../Options';

class SearchItem extends React.Component {

  render() {
    let {title, dict, isMultiSelect, onChange, value, conditionWidth, hideUnlimited} = this.props;
    return (
      <div className={'Search-clearfix'}>
        <div className={'Search-label'} style={ conditionWidth ? { width: conditionWidth } : {}}>{title}</div>
        <div className={'Search-items'}>
          <Options isMultiSelect={isMultiSelect} onChange={onChange} dict={dict} value={value} hideUnlimited={hideUnlimited} />
        </div>
      </div>
    )
  }
}

export default SearchItem;
