/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/6/14.
 */
const classPrefix = 'SearchButton';

const popUpPositionTop = 8;

const BUILT_IN_PLACEMENTS = {
  bottomLeft: {
    points: ['tl', 'bl'],
    offset: [0, popUpPositionTop],
    overflow: {
      adjustX: 1,
      adjustY: 0,
    },
  },
  bottom: {
    points: ['tc', 'bc'],
    offset: [0, popUpPositionTop],
    overflow: {
      adjustX: 1,
      adjustY: 0,
    },
  },
  bottomRight: {
    points: ['tr', 'br'],
    offset: [0, popUpPositionTop],
    overflow: {
      adjustX: 1,
      adjustY: 0,
    },
  },
};

const PLACEMENTS_KEYS = Object.keys(BUILT_IN_PLACEMENTS);

const defaultItemWidth = 180;

export {
  classPrefix,
  BUILT_IN_PLACEMENTS,
  PLACEMENTS_KEYS,
  defaultItemWidth,
};
