import { defaultItemWidth } from './config';
/**
 * 获取每项宽度
 *
 * @param {number} girdSize
 * */
function getGridWidth(girdSize) {
  return defaultItemWidth * girdSize + (girdSize - 1) * 16;
}

function saveRef(instance, name) {
  return (node) => {
    instance[name] = node
  }
}

export {
  saveRef,
  getGridWidth,
};
