import { message } from 'antd';

export default function showMessage(text, type) {
  message.destroy();
  if (type === 'success') {
    message.success(text);
  } else if (type === 'error') {
    message.error(text);
  } else if (type === 'warning' || type === 'warn') {
    message.warning(text);
  } else {
    message.info(text);
  }
}
