/**
 * 状态
 */
export const statusDict = [
  { val: '0', text: '有效' },
  { val: '1', text: '无效' },
];

/**
 * 产品类型
 */
export const ONE_ON_ONE_COURSE = 'ONE_ON_ONE_COURSE';
export const SMALL_CLASS = 'SMALL_CLASS';
export const ECS_CLASS = 'ECS_CLASS';
export const OTHERS = 'OTHERS';
export const ONE_ON_MANY = 'ONE_ON_MANY';
export const TWO_TEACHER = 'TWO_TEACHER';
export const LECTURE = 'LECTURE';
export const LIVE = 'LIVE';
export const GIFT_COURSES = 'GIFT_COURSES';
export const GIFT_COURSES_BY_RATE = 'GIFT_COURSES_BY_RATE';
// 个性化签班课
export const SPECIAL_SIGN_MINI_CLASS = 'SPECIAL_SIGN_MINI_CLASS';

export const productTypeDict = [
  { val: ONE_ON_ONE_COURSE, text: '一对一', id: '8a29f6b04abf39fe014ac267ca5e0068' },
  { val: SMALL_CLASS, text: '小班', id: '8a29f6b04abf39fe014ac267e9460069' },
  { val: ECS_CLASS, text: '精英班', id: '8a29f6b04abf39fe014ac2685360006a' },
  { val: OTHERS, text: '其他', id: '8a29f6b04abf39fe014ac2686f79006b' },
  { val: ONE_ON_MANY, text: '一对多', id: '07397938-aaf7-11e5-8581-ed024140' },
  { val: TWO_TEACHER, text: '双师', id: 'TWO_TEACHER' },
  { val: LECTURE, text: '讲座', id: '4028b88154e7582e0154e759ebfa0049' },
  { val: LIVE, text: '直播', id: '' },
];

/**
 * 体验课设置
 */
export const feelClassDict = [
  { val: 'DAT000000000465', text: '体验课9课时' },
  { val: 'DAT000000000466', text: '体验课6课时' },
  { val: 'DAT000000000467', text: '不允许体验课' },
];

/**
 * 一对多类型
 */
export const o2mTypeDict = [
  { val: '12', text: '个性1对2' },
  { val: '2', text: '小组1对2' },
  { val: '3', text: '小组1对3' },
  { val: '4', text: '小组1对4' },
  { val: '5', text: '小组1对5' },
  { val: '6', text: '小组1对6' },
  { val: '7', text: '小组1对7' },
  { val: '8', text: '小组1对8' },
  { val: '999', text: '小组一对N' },
];

// A类
export const CATEGORY_A = 'A';
// B类
export const CATEGORY_B = 'B';
// 产品分账
export const contractPayCategoryDict = [
  {
    text: 'A类',
    val: CATEGORY_A,
  },
  {
    text: 'B类',
    val: CATEGORY_B,
  },
];
