import {
  peiYouTest,
  peiYouPre,
  peiYou,
  twoTeacherTest,
  twoTeacherPre,
  twoTeacher,
  uat,
  pre,
  prd,
} from 'CONST/buildEnv';

const preList = [pre, peiYouPre, twoTeacherPre];
const prdList = [prd, peiYou, twoTeacher];

const OSS_TEST_PREFIX = 'https://xhboss-test.oss-cn-shenzhen.aliyuncs.com';
const OSS_PRE_PREFIX = 'https://xhboss-pre.oss-cn-shenzhen.aliyuncs.com';
const OSS_PRD_PREFIX = 'https://xiao-xhboss-prd.oss-cn-shenzhen.aliyuncs.com';
const OSS_IMAGES_CDN_PREFIX = 'https://xiao-zh-cdn.oss-cn-shenzhen.aliyuncs.com/xhboss/xh-desktop/images';

const OSS_TEST_PREFIX_SS = 'https://ssboss-test.oss-cn-shenzhen.aliyuncs.com';
const OSS_PRE_PREFIX_SS = 'https://ssboss-pre.oss-cn-shenzhen.aliyuncs.com';
const OSS_PRD_PREFIX_SS = 'https://xiao-twoteacher-prd.oss-cn-shenzhen.aliyuncs.com';
const OSS_IMAGES_CDN_PREFIX_SS = 'https://xiao-zh-cdn.oss-cn-shenzhen.aliyuncs.com/ssboss/ss-desktop/images';

let OSS_BASE_PREFIX = OSS_TEST_PREFIX;
let OSS_BASE_PREFIX_SS = OSS_TEST_PREFIX_SS;
if (process.env) {
  if (preList.includes(process.env.BUILD_ENV)) {
    OSS_BASE_PREFIX = OSS_PRE_PREFIX;
    OSS_BASE_PREFIX_SS = OSS_PRE_PREFIX_SS;
  } else if (prdList.includes(process.env.BUILD_ENV)) {
    OSS_BASE_PREFIX = OSS_PRD_PREFIX;
    OSS_BASE_PREFIX_SS = OSS_PRD_PREFIX_SS;
  }
}

export {
  OSS_TEST_PREFIX,
  OSS_PRE_PREFIX,
  OSS_PRD_PREFIX,
  OSS_BASE_PREFIX,
  OSS_TEST_PREFIX_SS,
  OSS_PRE_PREFIX_SS,
  OSS_PRD_PREFIX_SS,
  OSS_BASE_PREFIX_SS,
  OSS_IMAGES_CDN_PREFIX,
  OSS_IMAGES_CDN_PREFIX_SS,
};
