/**
 * 组件介绍页面
 */
import React from 'react';
import { connect } from 'dva';
import Page from 'COMPONENT/Page';
import styles from './styles.less';

class DocPage extends React.Component {
  openPage = (params) => {
    const { dispatch } = this.props;
    dispatch({
      type: 'main/openPage',
      payload: params,
    });
  };

  render() {
    return (
      <Page title={false} className={styles.wrap}>
        {this.props.children}
      </Page>
    );
  }
}

export default connect(null, null, null, { withRef: true })(DocPage);
