import React from 'react';
import { Row, Col } from 'antd';
import Block from 'COMPONENT/Block';
import Input from 'COMPONENT/Input';
import FormItem from 'COMPONENT/FormItem';
import Select from 'COMPONENT/Select';

class Main extends React.Component {
  render() {
    return (
      <Block title="产品信息" style={{ maxWidth: 1000 }}>
        <Row gutter={10} style={{ margin: '20px 0 0 -30px' }}>
          <Col span={12}>
            <FormItem name="产品名称">
              <Input />
            </FormItem>
          </Col>
          <Col span={12}>
            <FormItem name="产品年份">
              <Select />
            </FormItem>
          </Col>
          <Col span={12}>
            <FormItem name="年级">
              <Select />
            </FormItem>
          </Col>
          <Col span={12}>
            <FormItem name="年级段">小学</FormItem>
          </Col>
          <Col span={12}>
            <FormItem name="产品系列">星火培优</FormItem>
          </Col>
          <Col span={24}>
            <FormItem name="所属分公司">东莞分公司、长沙分公司</FormItem>
          </Col>
          <Col span={24}>
            <FormItem name="备注">生物、心理成长</FormItem>
          </Col>
        </Row>
      </Block>
    );
  }
}

export default Main;
