import React from 'react';
import DateRangePicker from 'COMPONENT/DateRangePicker';
import moment from 'moment';

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 300 }}>
        <DateRangePicker
          value={value}
          onChange={(val) => this.setState({ value: val })}
          ranges={{ 今天: [moment(), moment()], 最近一月: [moment(), moment().add(1, 'months')] }}
        />
      </div>
    );
  }
}

export default Main;
