import React from 'react';
import DateRangePicker from 'COMPONENT/DateRangePicker';
import styles from 'DOC/styles.less';

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 300 }}>
        <label className={styles.label}>默认尺寸：</label>
        <DateRangePicker value={value} onChange={(val) => this.setState({ value: val })} />
        <label className={styles.label}>小号：</label>
        <DateRangePicker size="small" />
      </div>
    );
  }
}

export default Main;
