import React from 'react';
import Button from 'COMPONENT/Button';
import FileList from 'COMPONENT/FileList';

class Main extends React.Component {
  state = {
    fileList: [],
  };

  idx = 1;

  add = () => {
    const idx = this.idx++;
    this.setState({
      fileList: [{ id: `file${idx}`, name: `file${idx}.doc` }, ...this.state.fileList],
    });
  };

  render() {
    const { fileList } = this.state;
    return (
      <div style={{ marginTop: 10 }}>
        <div style={{ marginBottom: 15 }}>
          <Button onClick={this.add}>添加文件</Button>
        </div>
        <FileList data={fileList} onChange={(fileList) => this.setState({ fileList })} />
      </div>
    );
  }
}

export default Main;
