import React from 'react';
import { Row, Col } from 'antd';
import Page from 'COMPONENT/Page';
import FormItem from 'COMPONENT/FormItem';

const FormItemCfg = {
  size: 'small',
};

class Main extends React.Component {
  render() {
    return (
      <Row style={{ maxWidth: 800, marginTop: 30, marginLeft: 45 }}>
        <Col span={12}>
          <FormItem {...FormItemCfg} name="产品年份">
            2017
          </FormItem>
        </Col>
        <Col span={12}>
          <FormItem {...FormItemCfg} name="年级">
            三年级
          </FormItem>
        </Col>
        <Col span={12}>
          <FormItem {...FormItemCfg} name="年级段">
            小学
          </FormItem>
        </Col>
        <Col span={12}>
          <FormItem {...FormItemCfg} name="产品系列">
            星火培优
          </FormItem>
        </Col>
        <Col span={24}>
          <FormItem {...FormItemCfg} name="所属分公司">
            东莞分公司、长沙分公司
          </FormItem>
        </Col>
        <Col span={24}>
          <FormItem {...FormItemCfg} name="关联科目">
            生物、心理成长
          </FormItem>
        </Col>
      </Row>
    );
  }
}

export default Main;
