import React from 'react';
import List from 'COMPONENT/List';
const { COL_WIDTH_S, COL_WIDTH_M, COL_WIDTH_L, COL_WIDTH_XL } = List;

const demoDict = [
  { val: '1', text: '值为‘1’的字典项' },
  { val: '2', text: '值为‘2’的字典项' },
];
const longText =
  '默认行高度适应内容，对于内容超长的列可限制最大显示的行数，超出则显示省略号，并以气泡提示框形式显示完整内容，最大可设置5行。我很长我很长我很长我很长我很长我很长我很长';
const notLong = '没有超出不显示气泡提示';
const list = [
  {
    dictField: '1',
    moneyField: 0,
    lines1Field: longText,
    lines2Field: longText,
    lines3Field: longText,
    lines4Field: longText,
    lines5Field: longText,
  },
  {
    dictField: '2',
    moneyField: 12345.6789,
    lines1Field: notLong,
    lines2Field: notLong,
    lines3Field: notLong,
    lines4Field: notLong,
    lines5Field: notLong,
  },
];
const columns = [
  { title: '字典列', dataIndex: 'dictField', dict: demoDict, width: COL_WIDTH_S },
  { title: '金额列', dataIndex: 'moneyField', format: 'money', width: COL_WIDTH_S },
  { title: '限制1行的列', dataIndex: 'lines1Field', lines: 1 },
  { title: '限制2行的列', dataIndex: 'lines2Field', lines: 2 },
  { title: '限制3行的列', dataIndex: 'lines3Field', lines: 3 },
  { title: '限制4行的列', dataIndex: 'lines4Field', lines: 4 },
  { title: '限制5行的列', dataIndex: 'lines5Field', lines: 5 },
];

class Main extends React.Component {
  render() {
    return (
      <div style={{ height: 200 }}>
        <List dataSource={list} columns={columns} />
      </div>
    );
  }
}

export default Main;
