import React from 'react';
import Checkbox from 'COMPONENT/Checkbox';
import Modal from 'COMPONENT/Modal';
const CheckboxGroup = Checkbox.Group;

const options = [
  { label: '选项1', value: '1' },
  { label: '选项2', value: '2' },
  { label: '选项3', value: '3' },
];

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { onClose, onSelect } = this.props;
    const { value } = this.state;
    return (
      <Modal title="请选择" onCancel={onClose} onOk={() => onSelect(value)}>
        <CheckboxGroup options={options} value={value} onChange={(val) => this.setState({ value: val })} />
      </Modal>
    );
  }
}

export default Main;
