import React from 'react';
import MultiSelect from 'COMPONENT/MultiSelect';

const dict = [
  { val: '1', text: '选项 1' },
  { val: '2', text: '选项 2' },
  { val: '3', text: '选项 3' },
];

class Main extends React.Component {
  state = {
    value: [{ val: 'xx', text: '选项以外的值' }],
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <MultiSelect dict={dict} value={value} onChange={(value) => this.setState({ value })} textInValue />
      </div>
    );
  }
}

export default Main;
