import React from 'react';
import Page from 'COMPONENT/Page';
import styles from './styles.less';

class Main extends React.Component {
  render() {
    return (
      <Page route={this.props.route} fitWindowHeight={true}>
        <div className={styles.wrap}>
          <div>
            通常情况下，使用局部滚动的页面使用适应工作区高度模式。如：列表页面中，底部分页器需始终可见，列表内容区内滚动；页面中有多个区域需要独立滚动。
          </div>
          <div className={styles.main}>
            <div className={styles.sec}>
              <p className={styles.bigText}>局部滚动区域局部滚动区域局部滚动区域</p>
            </div>
            <div className={styles.sec}>
              <p className={styles.bigText}>局部滚动区域局部滚动区域局部滚动区域</p>
            </div>
          </div>
        </div>
      </Page>
    );
  }
}

export default Main;
