import React from 'react';
import Page from 'COMPONENT/Page';
import Block from 'COMPONENT/Block';
import styles from './styles.less';

class Main extends React.Component {
  render() {
    return (
      <Page
        title={
          <div className={styles.sec} style={{ width: 320 }}>
            标题栏
          </div>
        }
        headerToolBar={
          <div className={styles.sec} style={{ width: 320 }}>
            顶部工具栏
          </div>
        }
        footer={
          <div className={styles.sec} style={{ height: 32, lineHeight: '32px' }}>
            底部工具栏
          </div>
        }
      >
        <div className={styles.sec} style={{ height: 800, paddingTop: 100 }}>
          主体内容区
        </div>
      </Page>
    );
  }
}

export default Main;
