import React from 'react';
import { connect } from 'dva';
import Button from 'COMPONENT/Button';
import Page from 'COMPONENT/Page';

class Main extends React.Component {
  openPage = (params) => {
    const { dispatch } = this.props;
    dispatch({
      type: 'main/openPage',
      payload: params,
    });
  };

  render() {
    return (
      <Page route={this.props.route}>
        <Button
          type="primary"
          onClick={() => this.openPage({ path: '/docPageLevel/Level2' })}
        >{`进入二级页面>>`}</Button>
      </Page>
    );
  }
}

export default connect()(Main);
