import React from 'react';
import ReactDOM from 'react-dom';
import { Row, Col } from 'antd';
import Input from 'COMPONENT/Input';
import Button from 'COMPONENT/Button';
import SelectPop from './SelectPop';

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <div ref={(c) => (this.$wrap = ReactDOM.findDOMNode(c))}>
        <Row style={{ width: 240 }}>
          <Col span={20}>
            <Input value={value} disabled placeholder="请选择" />
          </Col>
          <Col span={4} style={{ paddingLeft: 20 }}>
            <SelectPop onOk={(val) => this.setState({ value: val })} getPopupContainer={() => this.$wrap}>
              <Button type="primary">选择</Button>
            </SelectPop>
          </Col>
        </Row>
      </div>
    );
  }
}

export default Main;
