import React from 'react';
import Button from 'COMPONENT/Button';
import Popover from 'COMPONENT/Popover';

const cfg = {
  getPopupContainer: (ele) => ele.parentNode,
};

class Main extends React.Component {
  render() {
    return (
      <div>
        <Popover {...cfg} icon="info" maxWidth={180} content="通常用于提示详情介绍、使用帮助等信息">
          <Button>信息</Button>
        </Popover>
        &nbsp;&nbsp;
        <Popover {...cfg} icon="warning" maxWidth={180} content="通常用于提示需要慎重考虑的操作">
          <Button>警告</Button>
        </Popover>
        &nbsp;&nbsp;
        <Popover {...cfg} icon="error" maxWidth={180} content="通常用于提示错误操作或系统、网络错误">
          <Button>错误</Button>
        </Popover>
      </div>
    );
  }
}

export default Main;
