import React from 'react';
import Button from 'COMPONENT/Button';
import Popover from 'COMPONENT/Popover';

class Main extends React.Component {
  render() {
    return (
      <div>
        <Popover
          title="鼠标移入触发"
          maxWidth={200}
          content="鼠标移入目标元素时显示弹框，移出目标元素或弹框时关闭"
          getPopupContainer={(ele) => ele.parentNode}
        >
          <Button>鼠标移入</Button>
        </Popover>
        &nbsp;&nbsp;
        <Popover
          title="点击触发"
          maxWidth={200}
          content="鼠标点击目标元素时显示弹框，点击弹框以外任意区域时关闭"
          trigger="click"
          getPopupContainer={(ele) => ele.parentNode}
        >
          <Button>点击</Button>
        </Popover>
      </div>
    );
  }
}

export default Main;
