import React from 'react';
import Search2 from 'COMPONENT/Search2';

//注意 val 是用作react的key的，所以重复的 val 不会显示
const config = [
  {
    label: '1行',
    dict: [
      { text: '阿斯蒂芬', val: '1' },
      { text: '白求恩', val: '2' },
      { text: '切特', val: '3' },
      { text: '帮我特', val: '4' },
      { text: '帮我让她改变', val: '5' },
      { text: '体育教育', val: '6' },
      { text: '同意呢体育', val: '7' },
      { text: '无人挺好', val: '8' },
      { text: '你也内内', val: '9' },
    ],
    type: 'multi',
    field: '1',
  },
  {
    label: '2行',
    dict: [
      { text: '他嫩家', val: '1' },
      { text: '日语课', val: '2' },
      { text: '美人鱼', val: '3' },
    ],
    field: '2',
  },
  {
    label: '3行',
    dict: [
      { text: '而已', val: '1' },
      { text: '南化股份', val: '2' },
      { text: '的梦幻红', val: '3' },
    ],
    field: '3',
  },
  {
    label: '4行',
    dict: [
      { text: '束缚感阿打发打发', val: '1' },
      { text: '不让我不要给宝宝', val: '2' },
      { text: '于今没遗记', val: '3' },
    ],
    field: '4',
  },
  {
    label: '5行',
    dict: [
      { text: '我体育局', val: '1' },
      { text: '在电饭锅', val: '2' },
      { text: '也欢迎欢迎欢迎欢迎和', val: '3' },
    ],
    field: '5',
  },
  {
    label: '6行',
    dict: [
      { text: '一进门就郁闷', val: '1' },
      { text: 'net', val: '2' },
      { text: '问题也会那样还能', val: '3' },
      { text: '问题又柔', val: '4' },
      { text: '浓郁ujuu', val: '5' },
      { text: '4如今', val: '6' },
      { text: '同户籍', val: '7' },
    ],
    field: '6',
  },
];

export default class extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      1: ['1'],
      2: '2',
      3: '3',
      4: '4',
      5: '5',
      6: '6',
    };
  }

  onChange = (value) => {
    this.setState({
      ...value,
    });
  };

  render() {
    return (
      <div>
        <Search2
          config={config.map((row) => {
            return {
              ...row,
              value: this.state[row.field],
            };
          })}
          onChange={this.onChange}
          mode="dark"
        />
      </div>
    );
  }
}
