import React from 'react';
import Input from 'COMPONENT/Input';
import Select from 'COMPONENT/Select';
import DatePicker from 'COMPONENT/DatePicker';
import SearchBar from 'COMPONENT/SearchBar';

class Main extends React.Component {
  state = {
    expand: true,
  };

  search = () => {
    console.log('实现查询逻辑...');
  };

  reset = () => {
    console.log('实现重置逻辑...');
  };

  render() {
    const { expand } = this.state;
    return (
      <SearchBar
        onSearch={this.search}
        onReset={this.reset}
        expand={expand}
        onToggleExpand={(val) => this.setState({ expand: val })}
      >
        <Input placeholder="学习中心" />
        <Input placeholder="分公司" />
        <Input placeholder="年份" />
        <Select placeholder="季度" />
        <DatePicker placeholder="开始日期" />
        <DatePicker placeholder="结束日期" />
        <Select />
        <Select />
        <Select />
        <Select />
        <Select />
      </SearchBar>
    );
  }
}

export default Main;
