import React from 'react';
import Page from 'COMPONENT/Page';
import Section from 'COMPONENT/Section';
import styles from './styles.less';
import { Row, Col } from 'antd';
import TextLink from 'COMPONENT/TextLink';

class Main extends React.Component {
  render() {
    return (
      <Page route={this.props.route} hasBackground={false} title={false}>
        <div className={styles.row}>
          <Section title="标题" className={styles.sec}>
            主体内容主体内容主体内容主体内容
          </Section>
        </div>
        <Row gutter={10} className={styles.row}>
          <Col span={12}>
            <Section title="板块工具栏展示" toolBar={<TextLink>操作</TextLink>} className={styles.sec}>
              主体内容主体内容主体内容主体内容
            </Section>
          </Col>
          <Col span={12}>
            <Section title="板块加载状态展示" loading className={styles.sec}>
              主体内容主体内容主体内容主体内容
            </Section>
          </Col>
        </Row>
      </Page>
    );
  }
}

export default Main;
