import React from 'react';
import Radio from 'COMPONENT/Radio';
import Modal from 'COMPONENT/Modal';
const RadioGroup = Radio.Group;

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { onClose, onSelect } = this.props;
    const { value } = this.state;
    return (
      <Modal title="请选择" onCancel={onClose} onOk={() => onSelect(value)}>
        <RadioGroup onChange={(e) => this.setState({ value: e.target.value })} value={value}>
          <Radio value="1">选项1</Radio>
          <Radio value="2">选项2</Radio>
          <Radio value="3">选项3</Radio>
        </RadioGroup>
      </Modal>
    );
  }
}

export default Main;
