import React from 'react';
import Select from 'COMPONENT/Select';

const dict = [
  {
    label: '第1组',
    options: [
      { val: '1', text: '选项 1' },
      { val: '2', text: '选项 2' },
      { val: '3', text: '选项 3' },
    ],
  },
  {
    label: '第2组',
    options: [
      { val: '4', text: '选项 4' },
      { val: '5', text: '选项 5' },
    ],
  },
];

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <Select dict={dict} value={value} onChange={(value) => this.setState({ value })} />
      </div>
    );
  }
}

export default Main;
