import React from 'react';
import Button from 'COMPONENT/Button';
import ShareQRCode from 'COMPONENT/ShareQRCode';

class Demo extends React.Component {
  constructor(props) {
    super(props);
    this.switchModal = this.switchModal.bind(this);
    this.state = {
      modalVisible: false,
    };
    this.shareTitle = '这是一个分享二维码示例';
    this.shareText = '这是一个分享二维码示例的内容';
  }
  switchModal() {
    this.setState((prevState) => ({ modalVisible: !prevState.modalVisible }));
  }

  render() {
    return (
      <div>
        <Button type="primary" onClick={this.switchModal}>
          分享
        </Button>
        <ShareQRCode
          title="分享"
          shareTitle={this.shareTitle}
          shareText={this.shareText}
          fileName="某某活动报名二维码"
          visible={this.state.modalVisible}
          onCancel={this.switchModal}
        />
      </div>
    );
  }
}

export default Demo;
