import React from 'react';
import TextArea from 'COMPONENT/TextArea';

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <TextArea
        placeholder="字数不能超过50"
        value={value}
        onChange={(e) => this.setState({ value: e.target.value })}
        wordCount={true}
        maxLength={50}
        style={{ width: 500 }}
      />
    );
  }
}

export default Main;
