import React from 'react';
import TimePicker from 'COMPONENT/TimePicker';

class Main extends React.Component {
  state = {
    value: null,
  };

  /**
   * 开始时间禁用的小时（禁用23:00-05:59）
   * @return {number[]}
   */
  getDisabledHours = () => {
    return [23, 0, 1, 2, 3, 4, 5];
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <TimePicker
          value={value}
          onChange={(val) => this.setState({ value: val })}
          disabledHours={this.getDisabledHours}
        />
      </div>
    );
  }
}

export default Main;
