import React from 'react';
import TimePicker from 'COMPONENT/TimePicker';
import styles from 'DOC/styles.less';

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <label className={styles.label}>默认尺寸：</label>
        <TimePicker value={value} onChange={(val) => this.setState({ value: val })} />
        <label className={styles.label}>小号：</label>
        <TimePicker size="small" />
        <label className={styles.label}>加小号：</label>
        <TimePicker size="xSmall" />
      </div>
    );
  }
}

export default Main;
