import React from 'react';
import Input from 'COMPONENT/Input';

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200, marginBottom: 20 }}>
        <Input
          value={value}
          onChange={(e) => this.setState({ value: e.target.value })}
          validator={{ rules: ['required'], keepHeight: true }}
        />
      </div>
    );
  }
}

export default Main;
