import React from 'react';
import DocPage from 'DOC/DocPage';
import Sec from 'DOC/Section';
import styles from 'DOC/styles.less';

const Main = () => {
  return (
    <DocPage>
      <Sec title="说明">
        本系统的前端组件基于蚂蚁金服团队的开源组件库
        <a href="https://ant.design/docs/react/introduce-cn">https://ant.design/docs/react/introduce-cn</a>，
        部分组件进行了重新封装，故原组件不再使用，包括：DatePicker、TimePicker、Table、Spin、Modal、Popover、Select、Input的多行输入模式。
      </Sec>
    </DocPage>
  );
};

export default Main;
