import React from 'react';
import { connect } from 'dva';
import CompPage from 'DOC/DocPage';
import Sec from 'DOC/Section';
import commonStyles from '../../styles.less';
// import styles from './styles.less';
import Table from 'DOC/VariableTable';

class Main extends React.Component {
  openPage = (path) => {
    dispatch({
      type: 'main/openPage',
      payload: {
        path,
        refresh: true,
      },
    });
  };

  render() {
    return (
      <CompPage>
        {/*<Sec title="主色">
          <Table>
            <tr>
              <td>主色（标准）</td>
              <td>@primaryColor</td>
              <td>#6D67FF</td>
              <td>决定主题风格，用于Logo、需要强调（如：可点击、激活状态）的元素、选中文字的底色</td>
              <td><a onClick={() => openPage('/docLessColorPrimary')}>查看</a></td>
            </tr>
            <tr>
              <td>主色（淡）</td>
              <td>@primaryColor</td>
              <td>rgba(109, 103, 255, .1)</td>
              <td>激活状态元素的背景色</td>
              <td><a onClick={() => openPage('/docLessColorPrimary')}>查看</a></td>
            </tr>
          </Table>
        </Sec>*/}
        <Sec title="草稿">
          可用的变量总览。 表格列出所有可用变量的名称、变量名、变量值、应用场景、详情链接。
          按主色、辅助色、基础色、字体大小、圆角、阴影分组。
        </Sec>
      </CompPage>
    );
  }
}

export default connect()(Main);
