const storeName = 'account';

/*
 * 按钮权限
 * */
// 预约跟进学生提醒
const CRM_REMIND_FOLLOW_STD = 'CRM_REMIND_FOLLOW_STD';
// 预约上门学生提醒
const CRM_REMIND_VISIT_STD = 'CRM_REMIND_VISIT_STD';
// 新增主动资源的提醒
const CRM_REMIND_ACTIVE_RESOURCES = 'CRM_REMIND_ACTIVE_RESOURCES';
// 新增普通资源的提醒
const CRM_REMIND_GENERAL_RESOURCES = 'CRM_REMIND_GENERAL_RESOURCES';
// 资源池提醒
const CRM_REMIND_RESOURCE_POOL = 'CRM_REMIND_RESOURCE_POOL';
// 网络资源池提醒
const CRM_REMIND_NETWORK_POOL = 'CRM_REMIND_NETWORK_POOL';
// 会计审批环节提醒
const ECS_REFUND_ACCOUNTING_APPROVE = 'ECS_REFUND_ACCOUNTING_APPROVE';
// 出纳审批环节提醒
const ECS_REFUND_CASHIER_APPROVE = 'ECS_REFUND_CASHIER_APPROVE';
// 抵扣券审批权限
const DEDUCTION_COUPON_REVIEW = 'DEDUCTION_COUPON_REVIEW';

/*
 * remindType
 * */
// 预约跟进学生提醒
const FOLLOW_UP = 'FOLLOW_UP';
// 预约上门学生提醒
const VISIT = 'VISIT';
// 新增主动资源的提醒
const INITIATIVE_NEW_RESOURCE_PERSONAL = 'INITIATIVE_NEW_RESOURCE_PERSONAL';
// 新增普通资源的提醒
const GENERAL_NEW_RESOURCE_PERSONAL = 'GENERAL_NEW_RESOURCE_PERSONAL';
// 资源池提醒
const NEW_RESOURCE_POOL = 'NEW_RESOURCE_POOL';
// 网络资源池提醒
const NEW_NETWORK_RESOURCE = 'NEW_NETWORK_RESOURCE';
// 会计审批环节提醒
const ECS_CLASS_RETURN_UNAUDIT = 'ECS_CLASS_RETURN_UNAUDIT';
// 出纳审批环节提醒
const ECS_CLASS_ACCOUNTANT_RAUDIT = 'ECS_CLASS_ACCOUNTANT_RAUDIT';
// 抵扣券审批提醒
const PROMOTION_INFO_RETURN_UNAUDIT = 'PROMOTION_INFO_RETURN_UNAUDIT';
// 学管师、班主任学生学校信息提醒
const SCHOOL_STUDENT_NOTICE = 'GRADE_MATCHING';
const authToRemindType = [
  {
    auth: CRM_REMIND_FOLLOW_STD,
    type: FOLLOW_UP,
  },
  {
    auth: CRM_REMIND_VISIT_STD,
    type: VISIT,
  },
  {
    auth: CRM_REMIND_ACTIVE_RESOURCES,
    type: INITIATIVE_NEW_RESOURCE_PERSONAL,
  },
  {
    auth: CRM_REMIND_GENERAL_RESOURCES,
    type: GENERAL_NEW_RESOURCE_PERSONAL,
  },
  {
    auth: CRM_REMIND_RESOURCE_POOL,
    type: NEW_RESOURCE_POOL,
  },
  {
    auth: CRM_REMIND_NETWORK_POOL,
    type: NEW_NETWORK_RESOURCE,
  },
  // 暂时只移除这2个配置，待确认无影响后，需删除相关代码及权限
  // {
  //   auth: ECS_REFUND_ACCOUNTING_APPROVE,
  //   type: ECS_CLASS_RETURN_UNAUDIT,
  // },
  // {
  //   auth: ECS_REFUND_CASHIER_APPROVE,
  //   type: ECS_CLASS_ACCOUNTANT_RAUDIT,
  // },
  {
    auth: DEDUCTION_COUPON_REVIEW,
    type: PROMOTION_INFO_RETURN_UNAUDIT,
  },
  {
    auth: SCHOOL_STUDENT_NOTICE,
    type: SCHOOL_STUDENT_NOTICE,
  },
];

export {
  storeName,
  CRM_REMIND_FOLLOW_STD,
  CRM_REMIND_VISIT_STD,
  CRM_REMIND_ACTIVE_RESOURCES,
  CRM_REMIND_GENERAL_RESOURCES,
  CRM_REMIND_RESOURCE_POOL,
  CRM_REMIND_NETWORK_POOL,
  ECS_REFUND_ACCOUNTING_APPROVE,
  ECS_REFUND_CASHIER_APPROVE,
  DEDUCTION_COUPON_REVIEW,
  FOLLOW_UP,
  VISIT,
  INITIATIVE_NEW_RESOURCE_PERSONAL,
  GENERAL_NEW_RESOURCE_PERSONAL,
  NEW_RESOURCE_POOL,
  NEW_NETWORK_RESOURCE,
  ECS_CLASS_RETURN_UNAUDIT,
  ECS_CLASS_ACCOUNTANT_RAUDIT,
  PROMOTION_INFO_RETURN_UNAUDIT,
  authToRemindType,
  SCHOOL_STUDENT_NOTICE,
};
