import React from 'react';
import Modal from 'COMPONENT/Modal';
import style from './index.less';

export default class MoreSysNoticeModal extends React.Component {
  static defaultProps = {
    onClose: () => {},
  };

  constructor(props) {
    super(props);
  }

  render() {
    const { children } = this.props;

    return (
      <Modal
        loading={false}
        onCancel={this.props.onClose}
        title="系统公告"
        width={640}
        height={500}
        cancelText="关闭"
        okBtnShow={false}
        className={style.modalWrap}
      >
        {children}
      </Modal>
    );
  }
}
