/**
 * 切换点击的tab
 */
export function toggleTabItem(tab) {
  tab.active = !tab.active;
}

/**
 * 格式化选中值
 * @returns {Array}
 */
export function formatterValue(activeTab = []) {
  let value = [];

  if (!activeTab || activeTab.length <= 0) {
    return value;
  }

  if (activeTab.length <= 1) {
    value.push(activeTab[0].value);
  } else {
    activeTab.forEach((tab) => {
      value.push(tab.value);
    });
  }

  return value;
}
