const VISIT_STATUS_UNVISIT = '1';
const VISIT_STATUS_VISITED = '2';
const visitStatusDict = [
  { val: VISIT_STATUS_UNVISIT, text: '未上门' },
  { val: VISIT_STATUS_VISITED, text: '已上门' },
];

const TIME_RANGE_TODAY = 'DAY';
const TIME_RANGE_WEEK = 'WEEK';
const TIME_RANGE_MONTH = 'MONTH';
const TIME_RANGE_QUARTER = 'QUARTER';

const timeRangeDict = [
  { val: TIME_RANGE_WEEK, text: '本周' },
  { val: TIME_RANGE_MONTH, text: '本月' },
  { val: TIME_RANGE_QUARTER, text: '季度' },
];

const timeRange2Dict = [{ val: TIME_RANGE_TODAY, text: '今日' }, ...timeRangeDict];

export default {
  VISIT_STATUS_UNVISIT,
  VISIT_STATUS_VISITED,
  visitStatusDict,

  TIME_RANGE_TODAY,
  TIME_RANGE_WEEK,
  TIME_RANGE_MONTH,
  TIME_RANGE_QUARTER,
  timeRangeDict,
  timeRange2Dict,
};
