import { getResourcePoolTags } from 'SERVICE/customer';

/**
 * 获取指定学习中心下的资源标签列表
 *
 * @param param {object} {resourceCampusIds: '资源学习中心'}
 * @return {Promise<Array|*>}
 */
export async function getPoolTagList(param) {
  const { data } = await getResourcePoolTags(param);

  return data || [];
}

export default {
  getPoolTagList,
};
