import { getList, updateByBrench, getCampusByGoalId, addByBrench, updateGoalByCampus } from 'SERVICE/targetManage';

const getListApi = async (params) => {
  let { datas: listData, rowCount: total } = await getList(params);
  return {
    listData,
    total,
  };
};

const updateByBrenchApi = async (params) => {
  await updateByBrench(params);
  return 1;
};

const getCampusByGoalIdApi = async (params) => {
  const { data } = await getCampusByGoalId(params);
  return data;
};

const addByBrenchApi = async (params) => {
  const { resultCode } = await addByBrench(params);
  return resultCode;
};

const updateGoalByCampusApi = async (params) => {
  const { resultCode } = await updateGoalByCampus(params);
  return resultCode;
};

export default {
  getListApi,
  updateByBrenchApi,
  getCampusByGoalIdApi,
  addByBrenchApi,
  updateGoalByCampusApi,
};
