import React from 'react';
// import styles from './styles.less';
import { Row, Col } from 'antd';
import { addCusModalRowStyle } from '../utils';

class CusInfoLayout extends React.Component {
  render() {
    const { children } = this.props;
    return (
      <Row style={addCusModalRowStyle}>
        {children
          .filter((ch) => !!ch)
          .map((c, i) => {
            return (
              <Col key={i} span={12} style={i !== 0 && i % 2 === 0 ? { clear: 'both' } : null}>
                {c}
              </Col>
            );
          })}
      </Row>
    );
  }
}

export default CusInfoLayout;
