import { getSchoolByBlCampus } from 'SERVICE/common';
import { formateDict } from 'UTIL/dict';

const loadSchoolDict = async (city) => {
  if (!city) {
    return [];
  }
  const data = await getSchoolByBlCampus({
    blCampus: city,
  });
  const dict = formateDict(data);
  return dict;
};

export default {
  loadSchoolDict,
};
