import styVars from 'COMPONENT/theme/variables';

const CUS_STATUS_NEW = 'NEW';
const CUS_STATUS_HIGH = 'HIGH';
const CUS_STATUS_LOW = 'LOW';
const CUS_STATUS_VISITED = 'VISITED';
const CUS_STATUS_FEEL = 'EXPERIENCE';
const CUS_STATUS_SIGNED = 'CONTRACT';
const CUS_STATUS_HAVE = 'HAVE';
const CUS_STATUS_INVALID = 'NO';
const cusStatusDict = [
  //{ val: CUS_STATUS_NEW, text: '新客户', color: styVars.infoColor },
  { val: CUS_STATUS_LOW, text: '低意向', color: styVars.warningColor },
  { val: CUS_STATUS_HAVE, text: '有意向', color: '#F8E71C' },
  { val: CUS_STATUS_HIGH, text: '高意向', color: styVars.highlightColor },
  { val: CUS_STATUS_INVALID, text: '无效客户', color: '#CDCDCD' },
  { val: CUS_STATUS_VISITED, text: '已上门', color: styVars.primaryColor },
  //{ val: CUS_STATUS_FEEL, text: '体验课', color: styVars.successColor },
  { val: CUS_STATUS_SIGNED, text: '签单', color: '#2697A7' },
];

export default {
  CUS_STATUS_NEW,
  CUS_STATUS_HIGH,
  CUS_STATUS_LOW,
  CUS_STATUS_VISITED,
  CUS_STATUS_FEEL,
  CUS_STATUS_SIGNED,
  CUS_STATUS_HAVE,
  CUS_STATUS_INVALID,
  cusStatusDict,
};
