import React from 'react';
import PropTypes from 'prop-types';
import style from './style.module.less';
import { Modal } from 'COMPONENT';
import { Progress } from 'antd';

const ModalReportProgress = (props) => {
  return (
    <Modal title="报告生成中..." widthSize="S" footer={null} closable={false}>
      <div className={style.progressWrap}>
        <Progress percent={props.percent} />
      </div>
    </Modal>
  );
};

ModalReportProgress.propTypes = {
  percent: PropTypes.number.isRequired,
};

export default ModalReportProgress;
