/**
 * 将接口返回的学生信息转换成前端格式
 *
 * @param student {object} 学生信息 {id, name, contact, grade}
 * @return {{studentId, gradeName, studentName, contact}}
 */
export function formatStudentInfo(student = {}) {
  const { id, name, contact, grade } = student;

  return { studentId: id, studentName: name, contact, gradeName: grade };
}
