import styVars from 'COMPONENT/theme/variables';

const CUS_STATUS_NEW = '1';
const CUS_STATUS_HIGH = '2';
const CUS_STATUS_LOW = '3';
const CUS_STATUS_VISITED = '4';
const CUS_STATUS_FEEL = '5';
const CUS_STATUS_SIGNED = '6';
const cusStatusDict = [
  { val: CUS_STATUS_NEW, text: '新客户', color: styVars.infoColor },
  { val: CUS_STATUS_HIGH, text: '高意向', color: styVars.highlightColor },
  { val: CUS_STATUS_LOW, text: '低意向', color: styVars.warningColor },
  { val: CUS_STATUS_VISITED, text: '已上门', color: styVars.primaryColor },
  { val: CUS_STATUS_FEEL, text: '体验课', color: styVars.successColor },
  { val: CUS_STATUS_SIGNED, text: '签单', color: '#2697A7' },
];

const IS_VISIT_YES = '是';
const CUS_LIST_LOST = '3';

export default {
  CUS_STATUS_NEW,
  CUS_STATUS_HIGH,
  CUS_STATUS_LOW,
  CUS_STATUS_VISITED,
  CUS_STATUS_FEEL,
  CUS_STATUS_SIGNED,
  cusStatusDict,
  IS_VISIT_YES,
  CUS_LIST_LOST,
};
