// 过往跟进记录
export function pageMyCurrentCustomerFollowUps(apiParams) {
  console.log('pageMyCurrentCustomerFollowUps.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: {
        list: [
          {
            createTime: '2020-08-01 11:52',
            remark: '富士康粉红色的克劳福德考虑是否克里斯蒂',
            intentionOfTheCustomerName: '低意向',
            customerSignName: '1对1常规',
          },
          {
            createTime: '2020-08-02 15:32',
            remark: '幅度萨芬我看你渴望分开了枉费我就',
            intentionOfTheCustomerName: '高意向',
            customerSignName: '1对1专题课',
          },
        ],
      },
    };
    setTimeout(function () {
      resolve(res);
    }, 1000);
  });
}

// 保存跟进记录
export function saveCustomerFollowUp(apiParams) {
  console.log('saveCustomerFollowUp.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: null,
    };
    setTimeout(function () {
      resolve(res);
    }, 1000);
  });
}

// 保存跟进记录无效时接口
export function invalidCustomerResource(apiParams) {
  console.log('invalidCustomerResource.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: null,
    };
    setTimeout(function () {
      resolve(res);
    }, 1000);
  });
}
