import moment from 'moment';
import { DATE_FORMAT, TIME_FORMAT } from 'COMPONENT/utils/form';

const getWeekRange = (mom) => {
  let day = mom.day();
  day = day === 0 ? 6 : day - 1;
  const startDate = mom.add(-day, 'days').format(DATE_FORMAT);
  const endDate = moment(startDate, DATE_FORMAT).add(6, 'days').format(DATE_FORMAT);
  return { startDate, endDate };
};

const addDays = (date, days) => {
  return moment(date, DATE_FORMAT).add(days, 'days').format(DATE_FORMAT);
};

export default {
  getWeekRange,
  addDays,
};
