// ClassRenewController/queryTranslateRecordDetailList
function queryTranslateRecordDetailList(apiParams) {
  console.log('queryTranslateRecordDetailList: ', apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultMessage: 'success',
      resultCode: 0,
      data: [
        {
          id: 'TEST0001',
          originalBlCampusName: '莞城学习中心',
          originalClassName: 'TEST班级A01',
          seriesBlCampusName: '虎门学习中心',
          seriesClassName: 'TEST班级B01',
          conflictList: 'B学习中心：B班；B学习中心：C班；B学习中心：D班',
          associatedList: 'B学习中心：A班；B学习中心：C班；',
          completeStatus: 0,
        },
        {
          id: 'TEST0002',
          originalBlCampusName: '莞城学习中心',
          originalClassName: 'TEST班级A02',
          seriesBlCampusName: '虎门学习中心',
          seriesClassName: 'TEST班级B02',
          conflictList: 'B学习中心：B班；B学习中心：C班；B学习中心：D班',
          associatedList: 'B学习中心：A班；B学习中心：C班；',
          completeStatus: 0,
        },
        {
          id: 'TEST0003',
          originalBlCampusName: '莞城学习中心',
          originalClassName: 'TEST班级A03',
          seriesBlCampusName: '虎门学习中心',
          seriesClassName: 'TEST班级B03',
          conflictList: 'B学习中心：B班；B学习中心：C班；B学习中心：D班',
          associatedList: 'B学习中心：A班；B学习中心：C班；',
          completeStatus: 0,
        },
      ],
      records: 3,
    };

    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
}

// ClassRenewController/undoTranslateClassRenew
function undoTranslateClassRenew(apiParams) {
  console.log('undoTranslateClassRenew: ', apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultMessage: 'success',
      resultCode: 0,
      data: null,
    };

    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
}

export { queryTranslateRecordDetailList, undoTranslateClassRenew };
