// ClassRenewController/queryTranslateRecordList
function queryTranslateRecordList(apiParams) {
  console.log('queryTranslateRecordList: ', apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultMessage: 'success',
      resultCode: 0,
      rows: [
        {
          id: 'TEST01',
          blcampusName: '莞城学习中心',
          originalClassQuantity: 10,
          successQuantity: 7,
          failQuantity: 2,
          conflictQuantity: 1,
          queueQuantity: 100,
          createUser: 'xhadmin',
          createTime: 1581756495588,
          completeStatus: 1,
        },
        {
          id: 'TEST02',
          blcampusName: '莞城学习中心',
          originalClassQuantity: 10,
          successQuantity: 7,
          failQuantity: 2,
          conflictQuantity: 1,
          queueQuantity: 100,
          createUser: 'xhadmin',
          createTime: 1581756495588,
          completeStatus: 0,
        },
        {
          id: 'TEST03',
          blcampusName: '莞城学习中心',
          originalClassQuantity: 10,
          successQuantity: 7,
          failQuantity: 2,
          conflictQuantity: 1,
          queueQuantity: 100,
          createUser: 'xhadmin',
          createTime: 1581756495588,
          completeStatus: 2,
        },
      ],
      records: 3,
    };
    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
}

function getTranslateRecord(apiParams) {
  console.log('getTranslateRecord: ', apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultMessage: 'success',
      resultCode: 0,
      data: {
        id: 'TEST01',
        blcampusName: '莞城学习中心',
        originalClassQuantity: 10,
        successQuantity: 7,
        failQuantity: 2,
        conflictQuantity: 1,
        queueQuantity: 100,
        createUser: 'xhadmin',
        createTime: 1581756495588,
        completeStatus: 1,
      },
    };
    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
}

export { queryTranslateRecordList, getTranslateRecord };
