const goingStatus = '0';
const completeStatus = '1';
const revokeStatus = '2';
const revokingStatus = '3';
// 关联状态
const linkStatueCfg = {
  [goingStatus]: '进行中',
  [completeStatus]: '已完成',
  [revokeStatus]: '已撤回',
  [revokingStatus]: '撤回中',
};

const dateFormat = 'YYYY-MM-DD HH:mm';

const successLink = '0';
const failLink = '1';
const conflictLink = '2';
// 关联类型
const linkTypeCfg = {
  [successLink]: '关联成功',
  [failLink]: '关联失败',
  [conflictLink]: '关联冲突',
};

export {
  goingStatus,
  completeStatus,
  revokeStatus,
  revokingStatus,
  linkStatueCfg,
  dateFormat,
  successLink,
  failLink,
  conflictLink,
  linkTypeCfg,
};
