export function getDepositCouponsByStudent(apiParams) {
  console.log('getDepositCouponsByStudent: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: {
        maxAmount: 20000,
        depositList: [
          {
            couponId: 'mock0001',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 100,
          },
          {
            couponId: 'mock0002',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 300,
          },
          {
            couponId: 'mock0003',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 500,
          },
          {
            couponId: 'mock0004',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 1000,
          },
          {
            couponId: 'mock0005',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 3000,
          },
          {
            couponId: 'mock0006',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 5000,
          },
          {
            couponId: 'mock0007',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 10000,
          },
          {
            couponId: 'mock0008',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 12000,
          },
          {
            couponId: 'mock0009',
            endDate: '2021-10-1-01 23:59:59',
            highAmount: 20000,
          },
        ],
      },
    };
    setTimeout(function () {
      resolve(res);
    }, 600);
  });
}
