/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/2/18.
 */
import { PropTypes } from 'react';
import style from './index.less';

const LinkBtn = (props) => {
  const prefix = 'LinkBtn';
  return (
    <div
      className={style[prefix]}
      onClick={() => {
        props.onClick(props.data);
      }}
    >
      {props.text}
    </div>
  );
};
LinkBtn.protoTypes = {
  text: PropTypes.string.isRequired,
  onClick: PropTypes.func.isRequired,
};

export default LinkBtn;
