function getPaymentRecordList(apiParams) {
  console.log('getPaymentRecordList: ', apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultCode: 0,
      resultMessage: 'success',
      rows: [
        {
          paymentDate: '2019-11-19',
          studentId: 'STU191116000003',
          studentName: '王大锤',
          orderBranchName: '东莞分公司',
          orderCampusName: '莞城学习中心',
          financeType: '正常',
          channel: '微信支付',
          orderNoInChannel: '1199002555144444',
          totalAmount: '200',
          incomeAmount: null,
          orderNum: '5071372710793216',
          activityType: '拼团',
          activityName: '拼团活动',
        },
        {
          paymentDate: '2019-11-19',
          studentId: 'STU191116000003',
          studentName: '王大锤',
          orderBranchName: '东莞分公司',
          orderCampusName: '莞城学习中心',
          financeType: '正常',
          channel: '微信支付',
          orderNoInChannel: '1199002555144444',
          totalAmount: '200',
          incomeAmount: null,
          orderNum: '5071372710793216',
          activityType: '拼团',
          activityName: '拼团活动',
        },
        {
          paymentDate: '2019-11-19',
          studentId: 'STU191116000003',
          studentName: '王大锤',
          orderBranchName: '东莞分公司',
          orderCampusName: '莞城学习中心',
          financeType: '正常',
          channel: '微信支付',
          orderNoInChannel: '1199002555144444',
          totalAmount: '200',
          incomeAmount: null,
          orderNum: '5071372710793216',
          activityType: '拼团',
          activityName: '拼团活动',
        },
      ],
      records: 3,
    };
    setTimeout(() => {
      resolve(rsp);
    }, 600);
  });
}

function exportInsightPaymentRecordListExcel(apiParams) {
  console.log('apiParams: ', apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultCode: 0,
      resultMessage: 'success',
      data: '导出成功！',
    };
    setTimeout(() => {
      resolve(rsp);
    }, 600);
  });
}

export { getPaymentRecordList, exportInsightPaymentRecordListExcel };
