const DEFAULT_ENG_CHARSET = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';

export function createUid(length = 8, charset = DEFAULT_ENG_CHARSET) {
  let result = '';

  for (let i = length; i > 0; --i) {
    result += charset[Math.floor(Math.random() * charset.length)];
  }

  return result;
}

export function timeTrim(timeStamp) {
  try {
    let date = new Date(Number(timeStamp));
    let timeArr = [
      date.getFullYear(),
      date.getMonth() + 1,
      date.getDate(),
      date.getHours(),
      date.getMinutes(),
      date.getSeconds(),
    ];
    return `${timeArr[0]}-${timeArr[1]}-${timeArr[2]}- ${timeArr[3]}:${timeArr[4]}:${timeArr[5]}`;
  } catch (e) {
    return '';
  }
}
