# 20190507迭代

## 选择双师/小班产品后需选择首次上次时间



---

# 201901迭代

## 合同管理-添加合同(修改合同)

1. 业务逻辑相关：
    - 购物车产品列表的数据是从产品表和班级表等查出来的，数据结构很复杂，根据不同的产品类型会有不同的数据结构。
    - 从购物车选择之后回到添加合同页面，会先生成报读课程产品的表格行 dom。后续改变数量，选择优惠等等操作都是直接修改 dom 上面的数据，在保存合同的时候，再从 dom 上面解析数据。
    - 合同保存之后，选择了的产品会保存到合同产品表。所以修改合同时查询出来的合同产品数据和购物车产品列表的数据结构是不一样的，因为他们的数据来源不一样。这就导致我们需要把两种数据结构清洗成相同的来显示购物车已选产品
2. 改版购物车后：旧前端页面位于 contract/editContractReact.js，新前端页面位于 src/pages/contract/ModalAddProduct
3. 因为这次改版只有前端改，后端接口完全不改动，以前的选择产品列表数据结构十分凌乱。所以解决方案是：在原始产品列表数据的基础下，生成一份用于新版弹框的显示数据。旧页面维护一份原始数据（用于再次打开弹框），新版页面需要同时维护一份原始数据 (用于与旧页面通讯) 和 一份展示数据（用于新版展示）。每次操作，旧页面和新弹框通过事件中心 GlobalEmitter 进行通讯，并传递数据。
4. 所有的新旧逻辑通讯从 旧页面的 DOMContentLoaded ( 即 3257 行 $(function(){} )开始，旧页面监听 contractAddProduct 命名空间下的 addProduct 事件。新弹框把一个产品添加进购物车时，获取到一份和旧版选择产品弹框一样的数据，然后通知旧页面保存一份，再通过直接调用旧页面的方法contractNew.addProduct 添加一行合同产品记录。
5. 添加产品的时候，如果 subProducts 字段有数据，则说明该产品有关联产品，为了不修改旧页面添加关联产品的逻辑，所以直接在旧页面调用 contractNew.addProduct 后，再通知新弹框添加一份关联产品数据（addSubProduct事件）
6. 在添加”小班”等需要选择上课时间的产品时，需要切换模态框。在选择时间的时候，如果是点击确定按钮，则在显示购物车的时候，还需要更新一下产品的数据(上课时间)，如果点击取消按钮，则在显示购物车时，还会删除刚才添加至购物车的最后一个产品。
7. 新弹框和旧页面的数据通过id 或者 tempId对应，这样才能同步的添加和删除。如果是修改合同，合同产品数据会有 id 字段，tempId 是新增合同产品的时候，前端的暂存id
8. 删除产品时，新弹框是直接删除数据，旧页面是通过id 或者 tempId找到对应的行，然后找到删除按钮，模拟一次点击，这样就可以复用旧页面的删除逻辑。
9. 旧页面的删除产品，还有删除关联产品的逻辑，是通过找到 contractNew.addProduct时生成的相同的randomX，然后删除。为了复用逻辑，新弹框增加了一个关联删除(relatedDel)事件，在发生关联删除的时候，通知新页面删除关联的产品。
10. 购物车版添加合同是新增的一个旧页面，资源表需要加上ANON_RES 类型的记录
