/**
 * Created by Haolin on 2019/1/11.
 */
import React from 'react';
import { connect } from 'dva';
import style from './index.less';
import SelectedProductCard from './SelectedProductCard';

class SelectedProductDesk extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  static classPrefix = 'SelectedProductDesk';
  componentDidMount() {}
  componentWillUnmount() {}

  render() {
    const { dataSource, onBtnClick } = this.props;
    const {} = this.state;
    const prefix = SelectedProductDesk.classPrefix;

    return (
      <div className={style[prefix]}>
        {dataSource.length > 0 ? (
          dataSource.map((item, index) => (
            <SelectedProductCard
              data={item}
              index={index}
              onBtnClick={() => {
                onBtnClick(index);
              }}
              key={index}
            />
          ))
        ) : (
          <span
            style={{
              textAlign: 'center',
              fontSize: 18,
              color: '#ccc',
              height: '100%',
              display: 'flex',
              alignItems: 'center',
              justifyContent: 'center',
            }}
          >
            暂无
          </span>
        )}
      </div>
    );
  }
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps)(SelectedProductDesk);
