/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/1/10.
 */
import style from './index.less';
import notDataImg from '../../assets/png/noData.png';

const NoData = (props) => {
  const classPrefix = 'NoData';
  return (
    <div className={props.center ? '' : style[`${classPrefix}-wrap`]}>
      <div className={style[classPrefix]}>
        <img className={style[`${classPrefix}-img`]} src={notDataImg} alt="暂无数据" />
        <p className={style[`${classPrefix}-text`]}>{props.text || '暂无数据'}</p>
      </div>
    </div>
  );
};
NoData.defaultProps = {
  center: false,
};

export default NoData;
