import React from 'react';
import { Button } from 'COMPONENT';

const FooterButton = (props) => {
  return (
    <div className="ModalFooter">
      <Button type="default" onClick={props.onDetail}>
        查看已有二维码
      </Button>
      <Button type="primary" onClick={props.onRebuild} disabled={props.disabled}>
        {props.rebuildBtnText || '取消并重新生成二维码'}
      </Button>
    </div>
  );
};

export default FooterButton;
