import { PAY_STATUS_PAYING } from './config';

/**
 * 倒计时
 *
 * @param val
 * @return {string}
 */
export function countdownText(val) {
  return val === 0 ? '' : `(${val})`;
}

/**
 * 弹窗提示副标题
 */
export const tipsStyle = {
  color: 'red',
  fontSize: 12,
  marginLeft: 10,
};

/**
 * 判断支付状态是否在支付中
 *
 * @param payStatus 支付状态
 * @return {boolean}
 */
export function calcPaying(payStatus) {
  return payStatus === PAY_STATUS_PAYING;
}
