import React from 'react';
import styles from './styles.less';

class SummaryItem extends React.Component {
  render() {
    const { name, children } = this.props;
    return (
      <div className={styles.wrap}>
        <div className={styles.content}>{children}</div>
        <div className={styles.name}>{name}</div>
      </div>
    );
  }
}

export default SummaryItem;
