import React from 'react';
import styles from './styles.less';
import dicts from '../dicts';

class ProductTypeTag extends React.Component {
  render() {
    const { type } = this.props;
    const info = dicts.productTypeDict.find((d) => d.val === type);
    return <div className={styles.wrap}>{info ? info.tag : null}</div>;
  }
}

export default ProductTypeTag;
