const getRandomDispatchClass = (assistClassList) => {
  let assistClass;
  let maxNumRest = 0;
  assistClassList.forEach((d) => {
    const { num, numTotal, id, classHoursList } = d;
    if (classHoursList.some((c) => !c.isDone)) {
      const numRest = numTotal - num;
      if (numRest > maxNumRest) {
        maxNumRest = numRest;
        assistClass = d;
      }
    }
  });
  return assistClass || null;
};

const getFirstClassDateInfo = (classHoursList) => {
  let firstClassDate = null;
  let count = 0;
  for (let i = 0; i < classHoursList.length; i++) {
    const d = classHoursList[i];
    if (!d.isDone) {
      firstClassDate = d.date;
      count = classHoursList.length - i;
      break;
    }
  }
  return { firstClassDate, count };
};

const SELECT_PROMOTION_NONE = 'none';

export default {
  getRandomDispatchClass,
  getFirstClassDateInfo,
  SELECT_PROMOTION_NONE,
};
