export function batchConfirmActivityContract(apiParams) {
  console.log('batchConfirmActivityContract: ', apiParams);
  return new Promise((resolve) => {
    const rsp = {
      resultCode: 0,
      resultMessage: 'success',
      data: {
        customerName: '张三',
        phone: '13078945612',
        smsContent:
          '【星火教育】您正在确认报名{产品名称}等{产品数量}个课程，您同时同意遵守星火小学课堂课程管理相关规定和指引，点击查看详情http：xxxxxxxxxxxx。具体课程信息与管理规定请咨询学习中心。确认请回复1',
        sendRecord: [
          {
            sendDateTime: '2020-10-25  09:00:56',
            operator: '皇冠梨',
            phone: '18811118989',
          },
          {
            sendDateTime: '2020-10-26  10:00:56',
            operator: '刘显洁',
            phone: '18811118989',
          },
          {
            sendDateTime: '2020-10-27  11:00:56',
            operator: '黄管理',
            phone: '18811118989',
          },
        ],
      },
    };
    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
}

export function sendSmsForActivityContract(apiParams) {
  console.log('sendSmsForActivityContract: ', apiParams);
  return new Promise((resolve) => {
    const rsp = {
      resultCode: 0,
      resultMessage: 'success',
      data: true,
    };
    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
}
