/**
 * 计算可退金额汇总
 */
export function calcTotalRefundableAmount(productList = []) {
  if (!productList) {
    return 0;
  }

  const count = productList.reduce((previousValue, currentValue) => {
    const { refundableAmount } = currentValue;

    return previousValue + refundableAmount || 0;
  }, 0);

  return Math.round(count * 100) / 100;
}
