/**
 * 合同模版字典
 */
export const TEMPLATE_TYPE_GROUP = 'GROUP';
export const TEMPLATE_TYPE_COUNTRY = 'COUNTRY';
export const templateTypeDict = [
  { text: '集团版', val: TEMPLATE_TYPE_GROUP },
  { text: '国家版', val: TEMPLATE_TYPE_COUNTRY },
];

// 国家版模板CODE
// 星火国家版标准合同
export const XH_COUNTRY = 'XH_COUNTRY';
// 双师国家版标准合同
export const SS_COUNTRY = 'SS_COUNTRY';
// 确认状态 [0:历史数据,-1:未知,1:待确认,2:确认中,4:已确认,8:已取消,16:无需确认]
export const CONFIRM_STATUS = {
  HISTORY: 0,
  UNKNOWN: -1,
  UN_CONFIRM: 1,
  CONFIRMING: 2,
  CONFIRMED: 4,
  CANCELED: 8,
  NO_NEED_CONFIRM: 16,
};
// 确认渠道
export const CONFIRM_CHANNEL = {
  NONE: 'NONE',
  ON_LINE: 'ON_LINE',
  OFF_LINE: 'OFF_LINE',
  SMS: 'SMS',
};
