import { TEMPLATE_TYPE_GROUP, XH_COUNTRY, SS_COUNTRY } from './constant';
import { loginUser } from 'UTIL/common';

/**
 * 判断是否为集团模版
 *
 * @param templateType {string} 集团类型
 * @return {boolean}
 */
export function calcIsGroupTemplate(templateType) {
  return templateType === TEMPLATE_TYPE_GROUP;
}

/**
 * 格式化国家模版code
 *
 * @return {string}
 */
export function formatCountryCode() {
  return loginUser.isXingHuoSym() ? XH_COUNTRY : SS_COUNTRY;
}
