/**
 * 格式化类型名称
 *
 * @param row 行数据
 * @param isTwoTeacher 是否为双师系统
 * @return {string}
 */
export function formatProductTypeName(row = {}, isTwoTeacher = false) {
  const { productTypeName, productGroupName } = row;
  const groupName = productGroupName ? `（${productGroupName}）` : '';

  return isTwoTeacher ? `${productTypeName + groupName}` : productTypeName;
}
