import React from 'react';
import styles from './styles.less';

export default function ModalHeader(props) {
  const { stuName, stuId, contractId, contractTotalMoney, contractCampus, confirmStatusName } = props.fundDetail;
  const moneyDisplay = Number(contractTotalMoney).toFixed(2);

  return (
    <div>
      <div className={styles.stuLayer}>
        <p>
          <label>学生姓名:&nbsp;&nbsp;</label>
          <span>{stuName}</span>
        </p>
        <p>
          <label>学生ID:&nbsp;&nbsp;</label>
          <span>{stuId}</span>
        </p>
      </div>
      <div className={styles.conLayer}>
        <p>
          <label>合同编号:&nbsp;&nbsp;</label>
          <span>{contractId}</span>
        </p>
        <p>
          <label>合同金额:&nbsp;&nbsp;</label>
          <span>{moneyDisplay}</span>
        </p>
        <p>
          <label>合同学习中心:&nbsp;&nbsp;</label>
          <span>{contractCampus}</span>
        </p>
        <p>
          <label>合同确认状态:&nbsp;&nbsp;</label>
          <span>{confirmStatusName}</span>
        </p>
      </div>
    </div>
  );
}
