import registerModel from 'UTIL/registerModel';

/**
 * 加载分享支付弹窗
 * @return {Promise<any>}
 */
export function loadModal() {
  return new Promise(contractSharePayment);
}

export function contractSharePayment(resolve) {
  require.ensure([], (require) => {
    registerModel(require('PAGE/contract/SharePayment/store'));
    resolve(require('PAGE/contract/SharePayment/index'));
  });
}
