import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';

const TableProduct = (props) => {
  return (
    <span className={style.TableProduct}>
      <span className={style.TableProductType}>{props.type}</span>
      <span className={style.TableProductName}>{props.name}</span>
    </span>
  );
};

TableProduct.propTypes = {
  type: PropTypes.string.isRequired,
  name: PropTypes.string.isRequired,
};

export default TableProduct;
