import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';

/**
 * 渲染科目
 *
 * @param props
 * @return {*}
 * @constructor
 */
const Index = (props) => {
  return (
    <span className={style.TableProduct}>
      <span className={style.TableProductType}>{props.type}</span>
      <span className={style.TableProductName}>{props.name}</span>
    </span>
  );
};

Index.propTypes = {
  type: PropTypes.string.isRequired,
  name: PropTypes.string.isRequired,
};

export default Index;
