import React from 'react';
import ToBeSelectedCard from '../ToBeSelectedCard';

/**
 * 待选班render
 *
 * @param onClick
 * @param isRenew
 * @return {function(*, *): *}
 */
function classCardRender({ onClick, isRenew }) {
  return (props, index) => {
    return <ToBeSelectedCard {...props} isRenew={isRenew} onSelect={onClick} index={index} key={index} />;
  };
}

export default classCardRender;
