import React from 'react';
import styles from '../index.less';
import { Tooltip } from 'antd';

const RedeemDetail = (props) => {
  const { data } = props;

  return (
    <div className={styles.top_left}>
      <div className={styles.top_left_single}>
        <Tooltip placement="top" title={`¥ ${data.hightAmount}`}>
          <h5 className={styles.top_left_money}>¥ {data.hightAmount}</h5>
        </Tooltip>
      </div>
    </div>
  );
};

export default RedeemDetail;
