import React from 'react';
import SelectedCard from '../SelectedCard';

/**
 * 已选班render
 *
 * @param onDelete
 * @return {function(*, *): *}
 */
function selectedCardRender({ onDelete }) {
  return (props, index) => {
    return (
      <SelectedCard
        {...props}
        deleteBtnVisible={!props._btnDeleteDisabled}
        onDelete={onDelete}
        index={index}
        key={index}
      />
    );
  };
}

export default selectedCardRender;
