import { List } from 'COMPONENT';
const { COL_WIDTH_M, COL_WIDTH_L } = List;

export default [
  {
    title: '课程序号',
    dataIndex: 'courseNum',
    key: 'courseNum',
    width: COL_WIDTH_L,
    render(text) {
      return `第${text}讲`;
    },
  },
  {
    title: '上课日期',
    dataIndex: 'courseDate',
    key: 'courseDate',
    width: COL_WIDTH_L,
  },
  {
    title: '上课时间',
    dataIndex: 'courseStartTime',
    key: 'courseStartTime',
    width: COL_WIDTH_L,
  },
  {
    title: '课时',
    dataIndex: 'courseHours',
    key: 'courseHours',
    width: COL_WIDTH_M,
  },
  {
    title: '主讲老师',
    dataIndex: 'teacherName',
    key: 'teacherName',
    width: COL_WIDTH_L,
  },
  {
    title: '状态',
    dataIndex: 'courseStatus',
    key: 'courseStatus',
    width: COL_WIDTH_L,
    render(text) {
      return text == 'NEW' ? '未上课' : '已上课';
    },
  },
];
