const CLASS_STATUS_NOT_START = 'NEW';
const CLASS_STATUS_CHECKED = 'ATTENDANCE';
const CLASS_STATUS_PAYED = 'CHARGED';
const CLASS_STATUS_CONFLICT = 'CONFLICT';
const CLASS_STATUS_LEAVE = 'LEAVE';
const CLASS_STATUS_CANCEL = 'CANCEL';
const classStatusDict = [
  { val: CLASS_STATUS_NOT_START, text: '未上课' },
  { val: CLASS_STATUS_CHECKED, text: '已考勤' },
  { val: CLASS_STATUS_PAYED, text: '已扣费' },
  { val: CLASS_STATUS_CONFLICT, text: '冲突' },
  { val: CLASS_STATUS_LEAVE, text: '已取消' },
  { val: CLASS_STATUS_CANCEL, text: '请假' },
];

const PRODUCT_TYPE_ECS = 'ECS_CLASS';
const PRODUCT_TYPE_LECTURE = 'LECTURE';
const PRODUCT_TYPE_ONE = 'ONE_ON_ONE';
const PRODUCT_TYPE_OTM = 'OTM_CLASS';
const PRODUCT_TYPE_SMALL = 'SMALL_CLASS';
const PRODUCT_TYPE_TWO = 'TWO_TEACHER_MAIN';
const PRODUCT_TYPE_TWO_ASSIST = 'TWO_TEACHER_ASSIST';
const productTypeDict = [
  { val: PRODUCT_TYPE_ECS, text: '精英班' },
  { val: PRODUCT_TYPE_LECTURE, text: '讲座' },
  { val: PRODUCT_TYPE_ONE, text: '一对一' },
  { val: PRODUCT_TYPE_OTM, text: '一对多' },
  { val: PRODUCT_TYPE_SMALL, text: '小班' },
  { val: PRODUCT_TYPE_TWO, text: '双师主' },
  { val: PRODUCT_TYPE_TWO_ASSIST, text: '双师辅' },
];

const OWNER_TYPE_TEACHER = '1';
const OWNER_TYPE_STUDENT = '2';
const ownerTypeDict = [
  { val: OWNER_TYPE_TEACHER, text: '老师' },
  { val: OWNER_TYPE_STUDENT, text: '学生' },
];

export default {
  PRODUCT_TYPE_ECS,
  PRODUCT_TYPE_LECTURE,
  PRODUCT_TYPE_ONE,
  PRODUCT_TYPE_OTM,
  PRODUCT_TYPE_SMALL,
  PRODUCT_TYPE_TWO,
  PRODUCT_TYPE_TWO_ASSIST,
  productTypeDict,
  CLASS_STATUS_NOT_START,
  CLASS_STATUS_CHECKED,
  CLASS_STATUS_PAYED,
  CLASS_STATUS_CONFLICT,
  CLASS_STATUS_LEAVE,
  CLASS_STATUS_CANCEL,
  classStatusDict,
  OWNER_TYPE_TEACHER,
  OWNER_TYPE_STUDENT,
  ownerTypeDict,
};
