const TWO_TEACHER_VAL = 'TWO_TEACHER';
const SMALL_CLASS_VAL = 'SMALL_CLASS';

const productTypeAllow = ['TWO_TEACHER', 'SMALL_CLASS'];

const productTypeDict = [
  { text: '双师', val: TWO_TEACHER_VAL },
  { text: '小班', val: SMALL_CLASS_VAL },
];

const statusDict = [
  { text: '全部关联', val: '3' },
  { text: '部分关联', val: '2' },
  { text: '未关联', val: '1' },
];

const statusCfg = {
  1: '未关联',
  2: '部分关联',
  3: '全部关联',
};

const conflictDict = [
  { text: '是', val: '2' },
  { text: '否', val: '1' },
];

const isWinterOrSummerVacation = function (quarterId) {
  return quarterId
    ? {
        // 寒假
        DAT0000000230: true,
        // 春季
        DAT0000000231: false,
        // 暑假
        DAT0000000232: true,
        // 秋季
        DAT0000000233: false,
      }[quarterId]
    : false;
};

export {
  TWO_TEACHER_VAL,
  SMALL_CLASS_VAL,
  productTypeAllow,
  productTypeDict,
  statusDict,
  statusCfg,
  conflictDict,
  isWinterOrSummerVacation,
};
