/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/3/14.
 */
import { PropTypes } from 'react';
import style from './index.less';

const MainWrap = (props) => {
  const { children, side } = props;
  const prefix = 'MainWrap';
  return (
    <div className={style[prefix]} style={{ height: window.innerHeight - 104 }}>
      <div className={style[`${prefix}-main`]}>{children}</div>
      <div className={style[`${prefix}-side`]}>{side}</div>
    </div>
  );
};

export default MainWrap;
