import React from 'react';
import Page from 'COMPONENT/Page';
import IndexBar from '../../IndexBar';
import CourseTable from '../CourseTable';

const OldTwoTeacherCurriculum = (props) => {
  return (
    <Page
      name={props.name}
      className={props.className}
      loading={props.loading}
      route={props.route}
      fitWindowHeight={true}
      subHeader={
        <IndexBar onSearch={props.search} onExport={props.handleExport} exportBtnDisabled={props.exportBtnDisabled} />
      }
    >
      <CourseTable
        dataSource={props.data}
        rowsConfig={props.tableRows}
        colsConfig={props.tableColumns}
        render={props.courseCardRender}
        renderMinHeight={40}
      />
    </Page>
  );
};

export default OldTwoTeacherCurriculum;
