/**
 * 双师主辅班课表(示例数据)
 *
 * 1. 先按星期数分组
 * 2. 再按直播间分组
 * 3. 转换数据格式，判断数据是否有冲突，有的话合并为冲突数据
 * * */
const courseData = {
  Monday: {
    liveRoomId_01: [
      {
        id: 'mock_0001',
        range: ['08:30', '10:10'],
        statusName: '已考勤',
        status: 'OLD',
        beginTime: '08:30',
        endTime: '10:10',
        className: '2019年暑假课程双师英语六年级尖子冲刺班（第十一讲）',
        teacherName: '刘显洁',
        liveRoomId: 'liveRoomId_01',
        courseDate: '2019-05-20',
      },
      {
        id: 'mock_0002',
        range: ['14:00', '16:00'],
        statusName: '未考勤',
        status: 'NEW',
        beginTime: '14:00',
        endTime: '16:00',
        className: '2019年暑假课程双师英语六年级尖子冲刺班（第十二讲）',
        teacherName: '刘显洁',
        liveRoomId: 'liveRoomId_01',
        courseDate: '2019-05-20',
      },
    ],
    liveRoomId_03: [
      {
        id: 'mock_0003',
        range: ['20:30', '21:15'],
        statusName: '未考勤',
        status: 'NEW',
        beginTime: '20:30',
        endTime: '21:15',
        className: '2019年暑假课程双师英语六年级尖子冲刺班技巧培训',
        teacherName: '刘显洁',
        liveRoomId: 'liveRoomId_03',
        courseDate: '2019-05-20',
      },
    ],
  },
  Tuesday: {
    liveRoomId_02: [
      {
        id: 'mock_0004_mock_0005',
        range: ['08:00', '10:30'],
        statusName: '冲突课程',
        status: 'CONFLICT',
        beginTime: '08:00',
        endTime: '10:30',
        liveRoomId: 'liveRoomId_02',
        courseDate: '2019-05-21',
        list: [
          {
            id: 'mock_0004',
            statusName: '未考勤',
            status: 'NEW',
            beginTime: '08:00',
            endTime: '10:00',
            className: '2019年暑假课程双师数学六年级尖子冲刺班（第十一讲）',
            teacherName: '刘显洁',
            liveRoomId: '',
            courseDate: '2019-05-21',
          },
          {
            id: 'mock_0005',
            statusName: '未考勤',
            status: 'NEW',
            beginTime: '08:30',
            endTime: '10:30',
            className: '2019年暑假课程双师数学六年级尖子冲刺班（第十二讲）',
            teacherName: '刘显洁',
            liveRoomId: 'liveRoomId_02',
            courseDate: '2019-05-21',
          },
        ],
      },
    ],
    liveRoomId_04: [
      {
        id: 'mock_0006',
        range: ['14:00', '16:00'],
        statusName: '未考勤',
        status: 'NEW',
        beginTime: '14:00',
        endTime: '16:00',
        className: '2019年暑假课程双师英语六年级尖子冲刺班技巧培训',
        teacherName: '刘显洁',
        liveRoomId: 'liveRoomId_03',
        courseDate: '2019-05-22',
      },
      {
        id: 'mock_0006',
        range: ['16:00', '18:00'],
        statusName: '未考勤',
        status: 'NEW',
        beginTime: '16:00',
        endTime: '18:00',
        className: '2019年暑假课程双师英语六年级尖子冲刺班技巧培训',
        teacherName: '刘显洁',
        liveRoomId: 'liveRoomId_03',
        courseDate: '2019-05-22',
      },
    ],
  },
};
