import React from 'react';
import CurrImageUpload from './CurrUpload';
import PreveImageUpload from './PreUpload';

function ProxyImageUpload({ max, ...props }) {
  return max !== void 0 ? <CurrImageUpload max={max} {...props} /> : <PreveImageUpload {...props} />;
}

export default ProxyImageUpload;
