import React, { Component } from 'react';
import { connect } from 'dva';
import Modal from 'COMPONENT/Modal';
import Button from 'COMPONENT/Button';

class ArrangeTimeModal extends Component {
  constructor(props) {
    super(props);
  }

  onOk = () => {
    this.props.dispatch({ type: 'main/refreshCurrentTab' });
  };

  render() {
    const {
      TOTAL_CLASS_HOURS = 0 /**总小时数*/,
      ARRANGED_COURSE_HOURS = 0 /**已排小时数*/,
      NOT_ARRANG_COURSE_HOURS = 0 /**未排小时数*/,
    } = this.props.oldPageParams;
    return (
      <Modal
        width={680}
        title="排课提醒"
        onCancel={this.onOk}
        footer={
          <div>
            <Button type="primary" onClick={this.onOk}>
              我知道了
            </Button>
          </div>
        }
      >
        <div style={{ marginBottom: '20px' }}>
          <span style={{ marginRight: '50px' }}>
            <label style={{ color: '#999' }}>小班总小时：</label>
            <strong style={{ color: '##363636' }}>{TOTAL_CLASS_HOURS}</strong>
          </span>
          <span style={{ marginRight: '50px' }}>
            <label style={{ color: '#999' }}>已排小时：</label>
            <strong style={{ color: '##363636' }}>{ARRANGED_COURSE_HOURS}</strong>
          </span>
          <span style={{ marginRight: '50px' }}>
            <label style={{ color: '#999' }}>剩余未排小时：</label>
            <strong style={{ color: '#FF695E' }}>{NOT_ARRANG_COURSE_HOURS}</strong>
          </span>
        </div>
      </Modal>
    );
  }
}

const mapStateToProps = (_) => {
  return {};
};

export default connect(mapStateToProps)(ArrangeTimeModal);
