import { getMiniClassCourseForPrepareDrop, cancelPrepareDropMiniClass } from 'SERVICE/course';

const getMiniClassCourseForPrepareDropApi = async (params) => {
  const {
    data: { attendedCourse, attendingCourse },
    timeStamp,
  } = await getMiniClassCourseForPrepareDrop(params);
  return {
    attendedCourse,
    attendingCourse,
    timeStamp,
  };
};

const cancelPrepareDropMiniClassApi = async (params) => {
  const { resultCode } = await cancelPrepareDropMiniClass(params);
  return {
    resultCode,
  };
};

export default {
  getMiniClassCourseForPrepareDropApi,
  cancelPrepareDropMiniClassApi,
};
