import { otmRemindByCourseList, otmRemindByAttendanceList } from 'SERVICE/course';

const remindByAttendanceListApi = async (params) => {
  let { rowCount: total, datas: remindByAttendanceListData } = await otmRemindByAttendanceList(params);
  return {
    total,
    remindByAttendanceListData,
  };
};

const remindByCourseListApi = async (params) => {
  let { rowCount: total, datas: remindByCourseListData } = await otmRemindByCourseList(params);
  return {
    total,
    remindByCourseListData,
  };
};

export default {
  remindByAttendanceListApi,
  remindByCourseListApi,
};
