import { findEletronicAccFlowList, getStudentAccoutInfo, getStuEleAccFlowMsg, exportECFlowList } from 'SERVICE/eleAcc';

const getEletronicAccFlowList = async (params) => {
  const data = await findEletronicAccFlowList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

const getStuEleAccFlow = async (params) => {
  const res = await getStuEleAccFlowMsg(params);
  if (res.resultCode !== 0) {
    throw new Error(res.resultMessage);
  }
  return res.data;
};

export default {
  getEletronicAccFlowList,
  getStudentAccoutInfo,
  getStuEleAccFlow,
  exportECFlowList,
};
