import React from 'react';
import style from './index.less';
import PropTypes from 'prop-types';

const classPrefix = 'FooterTips';

const FooterTips = (props) => {
  return (
    <div className={style[classPrefix]}>
      {props.title && <div className={style[`${classPrefix}-title`]}>{props.title}</div>}
      <div className={style[`${classPrefix}-content`]}>{props.children}</div>
    </div>
  );
};
FooterTips.propTypes = {
  title: PropTypes.string,
};

export default FooterTips;
