import CashFlow from './component/CashFlow';
import Course from './component/Course';
import ActualIncome from './component/ActualIncome';
import Personalise from './component/Personalise';
import SmallClass from './component/SmallClass';
import YearExamGoal from './component/YearExamGoal';

export const tabArray = [
  {
    title: '预收',
    key: 'CashFlow',
    authId: 'OPERATION_TAB_CASHFLOW',
    component: CashFlow,
  },
  {
    title: '小时消耗',
    key: 'Course',
    authId: 'OPERATION_TAB_COURSE',
    component: Course,
  },
  {
    title: '实收',
    key: 'ActualIncome',
    authId: 'OPERATION_TAB_REALRECEIVE',
    component: ActualIncome,
  },
  {
    title: '个性化签班课科次',
    key: 'Personalise',
    authId: 'OPERATION_TAB_SSMCSC',
    component: Personalise,
  },
  {
    title: '小班科次',
    key: 'SmallClass',
    authId: 'OPERATION_TAB_SMALLCLASS',
    component: SmallClass,
  },
  {
    title: '全年中考精英班招生人数',
    key: 'YearExamGoal',
    authId: 'OPERATION_TAB_YEARGOAL',
    component: YearExamGoal,
  },
];

// 是否显示 是否已上传数据 选择框
export const SHOW_HAS_VAL_SELECTOR = true;
