import React from 'react';
import { connect } from 'dva';
import TagManagePage from '../TagManagePage';
import { MODE_BROWSER } from '../common';

class TagManageBrowser extends React.Component {
  render() {
    return <TagManagePage mode={MODE_BROWSER} {...this.props.params} route={this.props.route} />;
  }
}

const mapStateToProps = (state) => {
  return {
    params: state.main.pageParams['/ArticleEditBrowser/TagManage'],
  };
};

export default connect(mapStateToProps)(TagManageBrowser);
