import React from 'react';
import { connect } from 'dva';
import EditPage from 'PAGE/ipadBackEnd/articleEdit/Editor';

class Edit extends React.Component {
  render() {
    return <EditPage {...this.props.params} route={this.props.route} />;
  }
}

const mapStateToProps = (state) => {
  const { routing, main } = state;
  const { locationBeforeTransitions } = routing || {};
  const { pathname } = locationBeforeTransitions || {};
  let params = {};

  if (pathname) {
    params = main.pageParams[pathname];
  }

  return {
    params: params,
  };
};

export default connect(mapStateToProps)(Edit);
