import React from 'react';
import { connect } from 'dva';
import TagManagePage from '../TagManagePage';
import { MODE_WORKBENCH } from '../common';

class TagManageWorkbeach extends React.Component {
  render() {
    return <TagManagePage mode={MODE_WORKBENCH} {...this.props.params} route={this.props.route} />;
  }
}

const mapStateToProps = (state) => {
  return {
    params: state.main.pageParams['/ArticleEditWorkbench/TagManage'],
  };
};

export default connect(mapStateToProps)(TagManageWorkbeach);
