import api from 'SERVICE/marketActivityManage';
// // 已迁移报读接口
// const passRefund = async (params) => {
//   const data = await api.passRefund(params)
//   if (res.code!==2000000) {
//     throw new Error(data.msg)
//   }
//   return data
// }
//
// const disPassRefund = async (params) => {
//   const data = await api.disPassRefund(params)
//   if (res.code!==2000000) {
//     throw new Error(data.msg)
//   }
//   return data
// }

// 未迁移
const loadRefundList = async (params) => {
  const data = await api.listRefund(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

const passRefund = async (params) => {
  const data = await api.passRefund(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

const disPassRefund = async (params) => {
  const data = await api.disPassRefund(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

const applyRefund = async (params) => {
  const data = await api.applyRefund(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

export { loadRefundList, disPassRefund, passRefund, applyRefund };
