import { DATE_FORMAT, TIME_FORMAT } from 'COMPONENT/utils/form';

const formatPhoneNumber = (num) => {
  let newNum = '';
  for (let i = 0; i < num.length; i++) {
    if (i < 7) {
      newNum += num[i];
    } else {
      newNum += '*';
    }
  }
  return newNum;
};

export const resizeTimerange = () => {
  const els = document.querySelectorAll('.outcall-time-range-search');

  if (els) {
    [...els].forEach((el) => {
      if (el.parentNode && el.parentNode.classList.contains('SearchBar-control')) {
        el.parentNode.style.width = '33.33334%';
      }
    });
  }
};

export default {
  formatPhoneNumber,
};
