/**
 * Created by luoming on 2018/3/28
 */
import React from 'react';
import styles from './index.less';
import { Row, Col } from 'antd';
import FormItem from 'COMPONENT/FormItem';

export default class InfoBoard extends React.PureComponent {
  constructor(props) {
    super(props);
  }

  render() {
    let { data } = this.props;
    return (
      <Row className={styles.infoBoard}>
        {data.map((v, k) => {
          // 隐藏项
          const hideItem = v.name === '使用平台' || v.name === '客户条件' || v.name === '合同条件';
          const style = (hideItem && { display: 'none' }) || {};

          return (
            <Col span={12} key={k} style={style}>
              <FormItem name={v.name}>{v.info}</FormItem>
            </Col>
          );
        })}
      </Row>
    );
  }
}
