export const MISC_FIELD_DEFAULT_TYPE = 'customerContact';

export const miscFieldOptions = [
  {
    value: 'customerContact',
    label: '客户号码',
  },
  {
    value: 'studentName',
    label: '学生姓名',
  },
  {
    value: 'studentId',
    label: '学生号',
  },
  {
    value: 'id',
    label: '券编号',
  },
  {
    value: 'buyOrderNo',
    label: '买券订单号',
  },
  {
    value: 'contractId',
    label: '合同号',
  },
];

export const usedStatusDict = [
  // {
  //   text: '未领取',
  //   val: '5',
  // },
  {
    text: '未使用',
    val: '0',
  },
  {
    text: '已占用',
    val: '4',
  },
  {
    text: '已使用',
    val: '1',
  },
  {
    text: '已过期',
    val: '3',
  },
  // {
  //   text: '已撤回',
  //   val: '2',
  // },
  {
    text: '已退款',
    val: '-1',
  },
  {
    text: '退款中',
    val: '6',
  },
];

export const statusMap = {
  '-1': '已退款',
  0: '未使用',
  1: '已使用',
  2: '已撤回',
  3: '已过期',
  4: '已占用',
  5: '未领取',
  6: '退款中',
};
