import React from 'react';
import styles from './index.style.less';

/**
 * 图标
 *
 * @param props.status
 * @return {*}
 * @constructor
 */
const CouponIcon = (props) => {
  const isValid = props.status === '0';

  return (
    <span className={styles.iconWrap} data-status={isValid}>
      无门槛代金券
    </span>
  );
};

export default CouponIcon;
