import react from 'react';
import { Tooltip } from 'antd';
import { Icon } from 'SRC/components';
import style from './style.module.less';

const Tip = (props) => {
  return (
    <Tooltip title={props.title} placement="right">
      <Icon className={style.tipIcon} type="warning" size={20} />
    </Tooltip>
  );
};

export default Tip;
