import React from 'react';
import Block from 'COMPONENT/Block';
import { Row, Col } from 'antd';
import style from '../common.less';
import SearchBlock from './component/SearchBlock';
import PanelHeader from './component/PanelHeader';
import ListBlock from './component/ListBlock';

class SelectPreferentialBlock extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    return (
      <Block type="dark" className={style.container}>
        <Row gutter={0}>
          <Col span={2} className={style.block_title + ' ' + style.promotion_title}>
            <span>选择优惠</span>
          </Col>

          <Col span={22}>
            <div className={style.promotion_head_wrap}>
              <PanelHeader />
            </div>

            <SearchBlock />

            <ListBlock />
          </Col>
        </Row>
      </Block>
    );
  }
}

export default SelectPreferentialBlock;
