const storeName = 'performanceStatistics';

const TWO_TEACHER_VAL = 'TWO_TEACHER';
const SMALL_CLASS_VAL = 'SMALL_CLASS';

// 合同产品状态字典(不完整)
const contractPrdStatusDict = [
  {
    text: '正常',
    val: 'NORMAL',
  },
  {
    text: '结束',
    val: 'ENDED',
  },
  {
    text: '结课',
    val: 'CLOSE_PRODUCT',
  },
  {
    text: '无效',
    val: 'UNVALID',
  },
  {
    text: '冻结',
    val: 'FROZEN',
  },
];
// 合同类型
const contractTypeDict = [
  {
    text: '新签',
    val: 'NEW_CONTRACT',
  },
  {
    text: '续费',
    val: 'RE_CONTRACT',
  },
];
const contractTypeConf = {
  NEW_CONTRACT: '新签',
  RE_CONTRACT: '续费',
};
//
const productTypeAllow = [TWO_TEACHER_VAL, SMALL_CLASS_VAL];
//
const dateFormat = 'YYYY-MM-DD';

export {
  storeName,
  TWO_TEACHER_VAL,
  SMALL_CLASS_VAL,
  contractPrdStatusDict,
  contractTypeDict,
  contractTypeConf,
  productTypeAllow,
  dateFormat,
};
