export default {
  getPerformanceStatisticsList(apiParams) {
    console.log('业绩科次列表数据: ', apiParams);
    return new Promise((resolve) => {
      let rsp = {
        resultCode: 0,
        resultMessage: 'success',
        rows: [
          {
            branchName: '东莞分公司',
            campusName: '莞城学习中心',
            performancePersonName: 'xhadmin',
            employeeNo: 'X00001',
            contractDate: '2019-06-25',
            contractId: 'CON00000000001',
            studentName: '靓仔伟',
            contractTypeId: 'NEW_CONTRACT',
            productTypeId: 'TWO_TEACHER',
            productSeriesName: '短期班',
            productCharacterName: '常规课程',
            productName: '暑假英语双师提高短期班',
            className: '暑假英语双师提高短期班01',
            quarterName: '暑假',
            subjectName: '英语',
            totalAmount: 1000,
            pendingAmount: 0,
            statusName: '正常',
            amountRate: 10,
          },
        ],
        records: 1,
      };
      setTimeout(() => {
        resolve(rsp);
      }, 1000);
    });
  },
  getPerformanceStatisticsInfo(apiParams) {
    console.log('业绩科次统计数据: ', apiParams);
    return new Promise((resolve) => {
      let rsp = {
        resultCode: 0,
        resultMessage: 'success',
        data: {
          studentAmountRate: 10,
          normalAmountRate: 5,
          yinLiuAmountRate: 5,
          validAmountRate: 6,
          refundAmountRate: 4,
        },
      };
      setTimeout(() => {
        resolve(rsp);
      }, 1000);
    });
  },
};
