import { SMALL_CLASS_VAL } from './config';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

function errorsHandling(handleErr, errKeyName) {
  return function (err) {
    showMessage(errKeyName ? err[errKeyName] : err.text, 'error');
    if (handleErr) handleErr();
  };
}

function setProductName(productType) {
  return productType === SMALL_CLASS_VAL ? '面授' : '双师';
}

export { errorsHandling, setProductName };
