import {
  peiYouTest,
  peiYouPre,
  peiYou,
  twoTeacherTest,
  twoTeacherPre,
  twoTeacher,
  uat,
  pre,
  prd,
} from 'CONST/buildEnv';
const buildBaseUrl = (query = {}) => {
  let result = '';
  if (process.env) {
    switch (process.env.BUILD_ENV) {
      case pre:
      case peiYouPre:
      case twoTeacherPre:
        result = 'https://cmall-pre.xiao100.com/bd/advertisement?';
        break;
      case prd:
      case peiYou:
      case twoTeacher:
        result = 'https://cmall.xiao100.com/bd/advertisement?';
        break;
      default:
        result = 'https://cmall-test.xiao100.com/bd/advertisement?';
        break;
    }
    switch (process.env.BUILD_ENV) {
      case uat:
      case pre:
      case prd:
        result += 'sys=XINGHUO&';
        break;
      case peiYouTest:
      case peiYouPre:
      case peiYou:
        result += 'sys=ADVANCE&';
        break;
      case twoTeacherTest:
      case twoTeacherPre:
      case twoTeacher:
        result += 'sys=TWO_TEACHER&';
        break;
      default:
        result += 'sys=XINGHUO&';
        break;
    }
  }
  Object.keys(query).forEach((key) => {
    result += `&${key}=${query[key]}`;
  });
  return result;
};

export { buildBaseUrl };
