import React from 'react';
import Modal from 'COMPONENT/Modal';
import FormItem from 'COMPONENT/FormItem';
import TextArea from 'COMPONENT/TextArea';

class FailReasonModal extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { onClose, order } = this.props;
    return (
      <Modal title="查看" onCancel={onClose} width={430} okBtnShow={false} cancelText="关闭">
        <div style={{ marginBottom: '20px' }}>{`${order.studentName}(${order.phone})`}</div>
        <div className="activityModalContainer">
          <FormItem name="不通过原因" required="true">
            <TextArea rows={3} value={order.cancelReason || ''} disabled={true} maxLength={70} />
          </FormItem>
        </div>
      </Modal>
    );
  }
}

export default FailReasonModal;
