import { peiYou, peiYouPre, peiYouTest, prd, pre, twoTeacher, twoTeacherPre, twoTeacherTest } from 'CONST/buildEnv';

export default function getXhmallShareUrl(params = {}) {
  const { url, extraParams } = params;
  let prefix = 'xhmall-test';
  let sys = 'XINGHUO';
  let appId = 'wx3ecb878239508b99';
  const env = process.env.BUILD_ENV;
  if (env === peiYouTest || env === peiYouPre || env === peiYou) sys = 'ADVANCE';
  if (env === twoTeacherTest || env === twoTeacherPre || env === twoTeacher) sys = 'TWO_TEACHER';
  if (env === pre || env === peiYouPre || env === twoTeacherPre) {
    prefix = 'xhmall-pre';
    appId = 'wxb6f98188c2b39d30';
  }
  if (env === prd || env === peiYou || env === twoTeacher) {
    prefix = 'xhmall';
    appId = 'wx2b1fe6dca1db781e';
  }
  let formatShareUrl = `https://${prefix}.xiao100.com/${url}?sys=${sys}&appid=${appId}`;

  formatShareUrl = Object.keys(extraParams).reduce((urlString, cur) => {
    const shareParam = extraParams[cur];
    if (shareParam) {
      // 有参数
      urlString += `&${cur}=${Array.isArray(shareParam) ? shareParam.join(',') : shareParam}`;
    }
    return urlString;
  }, formatShareUrl);

  return formatShareUrl;
}
