import React from 'react';
import style from './index.less';
import FormItem from 'COMPONENT/FormItem';
import Select from 'COMPONENT/Select';

const classPrefix = 'FollowUpPerson';

const FollowUpPerson = (props) => {
  return (
    <div className={style[classPrefix]}>
      <FormItem name="客户分配" labelWidth={80}>
        <Select placeholder="请选择跟进人" dict={props.dict} value={props.value} onChange={props.onChange} showSearch />
      </FormItem>
    </div>
  );
};

export default FollowUpPerson;
