import React from 'react';
import { connect } from 'dva';
import ModalBatchActivating from './ModalBatchActivating';

const classPrefix = 'BatchActivating';

class BatchActivating extends React.Component {
  constructor(props) {
    super(props);
    this.customerStudents = JSON.parse(props.oldPageParams.customerStudents);
  }

  render() {
    return (
      <div className={classPrefix}>
        <ModalBatchActivating customerStudents={this.customerStudents} onCancel={this.props.onClose} />
      </div>
    );
  }
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps)(BatchActivating);
