/**
 * Created by luoming on 2018/4/4
 */
import moment from 'moment';
let getCurrentYearAndTerm = () => {
  let schoolYear, term;

  let year = Number(moment().format('YYYY'));
  if (moment().isBetween(year + '-09-01', year + 1 + '-03-02', 'day')) {
    schoolYear = year + '-' + (year + 1);
    term = 'LAST_SEMESTER';
  }
  if (moment().isBetween(year - 1 + '-09-01', year + '-03-02', 'day')) {
    schoolYear = year - 1 + '-' + year;
    term = 'LAST_SEMESTER';
  }
  if (moment().isBetween(year + '-03-01', year + '-09-02', 'day')) {
    schoolYear = year - 1 + '-' + year;
    term = 'NEXT_SEMESTER';
  }
  return { schoolYear, term };
};
export default getCurrentYearAndTerm;
