import React from 'react';
import Modal from 'COMPONENT/Modal';
import Block from 'COMPONENT/Block';
import styles from './styles.less';

class ModelView extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: true,
    };
  }

  onOk = () => {};
  onLoad = () => {
    this.setState({ loading: false });
  };
  render() {
    let { src, onClose } = this.props;
    let { loading } = this.state;
    return (
      <Modal
        loading={loading}
        onCancel={onClose}
        width={540}
        footer={null}
        okBtnShow={false}
        cancelBtnShow={false}
        className={styles.bigPhoto}
        closable={false}
        maskClosable={true}
      >
        <Block title={name} style={{ marginTop: -10 }}>
          <img src={src} alt="" onLoad={this.onLoad} />
        </Block>
      </Modal>
    );
  }
}

export default ModelView;
