import { List } from 'COMPONENT';
import moment from 'moment';
const { COL_WIDTH_L, COL_WIDTH_M } = List;

export default [
  {
    title: '分公司',
    dataIndex: 'blOrganizationName',
    key: 'blOrganizationName',
    width: COL_WIDTH_L,
  },
  {
    title: '老师',
    dataIndex: 'objectName',
    key: 'objectName',
    width: COL_WIDTH_M,
  },
  {
    title: '年份',
    dataIndex: 'yearName',
    key: 'yearName',
    width: COL_WIDTH_M,
  },
  {
    title: '修改时间',
    dataIndex: 'createTime',
    key: 'createTime',
    width: 180,
    render(text) {
      return moment(text).format('YYYY-MM-DD HH:mm:ss');
    },
  },
  {
    title: '修改人',
    dataIndex: 'createUserName',
    key: 'createUserName',
    width: COL_WIDTH_M,
  },
];
