import {
  CALL_AGENT_STATUS_ACTIVE,
  // CALL_AGENT_STATUS_DELETED,
  CALL_AGENT_STATUS_DISABLED,
  CALL_AGENT_STATUS_INACTIVE,
  callAgentStatusCfg,
  CALL_AGENT_UNBIND,
  CALL_AGENT_BIND,
  bindStatusCfg,
} from 'CONST/callConfig';

export const bindStatusDict = [
  { text: bindStatusCfg[CALL_AGENT_BIND], val: `${CALL_AGENT_BIND}` },
  { text: bindStatusCfg[CALL_AGENT_UNBIND], val: `${CALL_AGENT_UNBIND}` },
];

export const agentStatusDict = [
  { text: callAgentStatusCfg[CALL_AGENT_STATUS_INACTIVE], val: `${CALL_AGENT_STATUS_INACTIVE}` },
  { text: callAgentStatusCfg[CALL_AGENT_STATUS_ACTIVE], val: `${CALL_AGENT_STATUS_ACTIVE}` },
  { text: callAgentStatusCfg[CALL_AGENT_STATUS_DISABLED], val: `${CALL_AGENT_STATUS_DISABLED}` },
  // { text: callAgentStatusCfg[CALL_AGENT_STATUS_DELETED], val: `${CALL_AGENT_STATUS_DELETED}` },
];

export const assignTypeDict = [
  { text: '已分配', val: '2' },
  { text: '未分配', val: '3' },
];

// 坐席到期状态
export const expireTypeDict = [
  { text: '未到期', val: '1' },
  { text: '已到期', val: '2' },
];

// 续费周期
export const renewTypeDict = [
  { text: '半年', val: '1' },
  { text: '一年', val: '2' },
];
