// 获取坐席已绑定用户
export function listUserAgentsByAgentId(apiParams) {
  console.log('listUserAgentsByAgentId.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: [
        {
          userId: 'mock_userId0001',
          userName: '测试账号01',
        },
        {
          userId: 'mock_userId0003',
          userName: '测试账号03',
        },
      ],
    };
    setTimeout(() => {
      resolve(res);
    }, 1000);
  });
}

// 获取坐席可绑定用户
export function listCampusUsersByAgentId(apiParams) {
  console.log('listCampusUsersByAgentId.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: [
        {
          employeeNo: 'X0001',
          userId: 'mock_userId0001',
          userName: '测试账号01',
          userAccount: 'test0001',
          roleVos: [{ name: '咨询师' }, { name: '咨询师主管' }, { name: '学管师' }, { name: '学管师主管' }],
        },
        {
          employeeNo: 'X0002',
          userId: 'mock_userId0002',
          userName: '测试账号02',
          userAccount: 'test0002',
          roleVos: [{ name: '咨询师' }, { name: '学管师' }],
        },
      ],
    };
    for (let i = 3; i < 21; i++) {
      res.data.push({
        employeeNo: `X000${i}`,
        userId: `mock_userId000${i}`,
        userName: `测试账号0${i}`,
        userAccount: `test000${i}`,
        roleVos: [{ name: '咨询师' }],
      });
    }
    setTimeout(() => {
      resolve(res);
    }, 1000);
  });
}

// 用户绑定坐席
export function bindUsers(apiParams) {
  console.log('bindUsers.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: null,
    };
    setTimeout(() => {
      resolve(res);
    }, 1000);
  });
}
