import { addNavs } from '../common';
import EntranceExam from './EntranceExam';

const routes = [
  {
    path: 'ConsultantFollowCustomer',
    name: '跟进客户',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/consultant/FollowCustomer'));
      });
    },
  },
  {
    path: 'ConsultantDataBoard',
    name: '数据看板',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/consultant/DataBoard'));
      });
    },
  },
  {
    path: 'ConsultantMasterDataBoard',
    name: '主管数据',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/consultant/MasterDataBoard'));
      });
    },
  },
  {
    path: 'ConsultantResourcePools',
    name: '资源池',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/consultant/ResourcePools'));
      });
    },
  },
  {
    path: 'ConsultantFollowCustomerManage',
    name: '跟进客户管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/consultant/FollowCustomerManage'));
      });
    },
  },
  ...EntranceExam,
];

export default addNavs(routes);
