/**
 * Created by Haolin<haolinhom@gmail.com> on 2018/7/10.
 */
import registerModel from 'UTIL/registerModel';

const routes = [
  {
    path: 'twoTeacherClassGroup',
    name: '双师管理（集团）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/course/TwoTeacherClass/store'));
        cb(null, require('PAGE/course/TwoTeacherClass'));
      });
    },
  },
  {
    path: 'twoTeacherClassGroup/addMainClass',
    name: '双师管理（集团）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/TwoTeacherClass/AddMainClass'));
      });
    },
  },
  {
    path: 'twoTeacherClassGroup/mainClassDetail',
    name: '双师管理（集团）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/TwoTeacherClass/MainClassDetail'));
      });
    },
  },
  {
    path: 'twoTeacherCourseManage',
    name: '双师辅班课表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/TwoTeacherClass/twoTeacherCourseManage/ScheduleManage'));
      });
    },
  },
  {
    path: 'twoTeacherLecture',
    name: '线上讲座',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/course/TwoTeacherLecture/store'));
        cb(null, require('PAGE/course/TwoTeacherLecture'));
      });
    },
  },
  {
    path: 'twoTeacherLecture/addLecture',
    name: '线上讲座',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/TwoTeacherLecture/AddLecture'));
      });
    },
  },
  {
    path: 'twoTeacherLecture/detail',
    name: '线上讲座',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/TwoTeacherLecture/Detail'));
      });
    },
  },
  {
    path: 'twoTeacherCurriculum',
    name: '双师主辅班课表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/course/TwoTeacherCurriculum/store'));
        cb(null, require('PAGE/course/TwoTeacherCurriculum'));
      });
    },
  },
  {
    path: 'changeClass/twoTeacherChangeClassRecord',
    name: '转班申请记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/course/TwoTeacherChangeClassRecord/store'));
        cb(null, require('PAGE/course/TwoTeacherChangeClassRecord'));
      });
    },
  },
];

export default routes;
