import { addNavs } from '../common';

const routes = [
  {
    path: 'FollowupCustomersOnLine',
    name: '跟进客户管理（新）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/netWorkbench/FollowupCustomersOnLine'));
      });
    },
  },
  {
    path: 'InputCustomerOnLine',
    name: '客户录入（新）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/netWorkbench/InputCustomerOnLine'));
      });
    },
  },
  {
    path: 'CustomerListOnline',
    name: '网络客户列表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/netWorkbench/CustomerListOnline'));
      });
    },
  },
  {
    path: 'NetworkResourcePool',
    name: '网络资源池',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/NetworkResourcePool'));
      });
    },
  },
];

export default addNavs(routes);
