import { addNavs } from '../common';
import registerModel from 'UTIL/registerModel';

const routes = [
  {
    path: 'OutcallCustomerFollow',
    name: '跟进客户',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/outcallWorkbench/customerFollow'));
      });
    },
  },
  {
    path: 'OutcallCustomerFollow/detail',
    name: '客户详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/outcallWorkbench/customerDetail'));
      });
    },
  },
  {
    path: 'distributeCustomer',
    name: '分配客户管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/outcallWorkbench/distributeCustomerManage'));
      });
    },
  },
  {
    path: 'OutcallCustomerFollowManage',
    name: '跟进客户管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/outcallWorkbench/customerFollowManage'));
      });
    },
  },
  {
    path: 'OutcallCustomerFollowManage/detail',
    name: '客户详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/outcallWorkbench/customerFollowManageDetail'));
      });
    },
  },
  {
    path: 'outcallWorkbenchInvalidResourcePool',
    name: '无效资源池',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/outcallWorkbench/InvalidResourcePool/store'));
        cb(null, require('PAGE/outcallWorkbench/InvalidResourcePool'));
      });
    },
  },
];

export default addNavs(routes);
