/**
 * Created by luoming on 2018/3/21
 */
const routes = [
  {
    path: 'FullReducePromotion',
    name: '优惠活动-满减促销',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/FullReduce'));
      });
    },
  },
  {
    path: 'FullReducePromotion/View',
    name: '满减促销详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/View'));
      });
    },
  },
  {
    path: 'FullReducePromotion/Copy',
    name: '满减促销复制',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/Copy'));
      });
    },
  },
  {
    path: 'FullReducePromotion/Add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/Add'));
      });
    },
  },
  {
    path: 'FullReducePromotion/Edit',
    name: '编辑',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/Add'));
      });
    },
  },

  {
    path: 'FullGivePromotion',
    name: '优惠活动-满赠促销',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/FullGive'));
      });
    },
  },
  {
    path: 'FullGivePromotion/View',
    name: '满赠促销详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/View'));
      });
    },
  },
  {
    path: 'FullGivePromotion/Add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/Add'));
      });
    },
  },
  {
    path: 'FullGivePromotion/Edit',
    name: '编辑',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/Add'));
      });
    },
  },

  {
    path: 'DiscountPromotion',
    name: '优惠活动-打折促销',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/Discount'));
      });
    },
  },
  {
    path: 'DiscountPromotion/View',
    name: '打折促销详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/View'));
      });
    },
  },
  {
    path: 'DiscountPromotion/Add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/Add'));
      });
    },
  },
  {
    path: 'DiscountPromotion/Edit',
    name: '编辑',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/Add'));
      });
    },
  },

  {
    path: 'SuperposePreferential',
    name: '优惠活动-叠加优惠',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/SuperposePreferential'));
      });
    },
  },
  {
    path: 'SuperposePreferential/Add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/SuperposePreferential/Add'));
      });
    },
  },
  {
    path: 'SuperposePreferential/Edit',
    name: '编辑',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/SuperposePreferential/Add'));
      });
    },
  },
  {
    path: 'SuperposePreferential/Detail',
    name: '详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/SuperposePreferential/Add'));
      });
    },
  },

  {
    path: 'personalizedClassHourDiscount',
    name: '优惠活动-个性化课时优惠',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/PersonalizedClassHourDiscount/List'));
      });
    },
  },
  {
    path: 'personalizedClassHourDiscount/View',
    name: '详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/PersonalizedClassHourDiscount/View'));
      });
    },
  },
  {
    path: 'personalizedClassHourDiscount/Add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/PersonalizedClassHourDiscount/Add'));
      });
    },
  },
  {
    path: 'personalizedClassHourDiscount/Edit',
    name: '编辑',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Activity/PersonalizedClassHourDiscount/Add'));
      });
    },
  },
];

export default routes;
