const routes = [
  // 合同打印
  {
    path: 'print/contract/:contractId',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('VIEW/Print/Contract'));
      });
    },
  },
  {
    path: 'print/contract/:contractId/:templateCode',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('VIEW/Print/Contract'));
      });
    },
  },
  // (B类合同)服务书
  {
    path: 'print/servicebook/:contractId',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('VIEW/Print/ServiceBook'));
      });
    },
  },
  {
    path: 'print/servicebook/:contractId/:templateCode',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('VIEW/Print/ServiceBook'));
      });
    },
  },
  // 教学平台学生报告
  {
    path: 'print/teachStudentReport/:studentId/:examId/:templateCode',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('VIEW/Print/TeachStudentReport'));
      });
    },
  },
];

export default routes;
