import registerModel from 'UTIL/registerModel';
export default [
  {
    path: 'PosReport',
    name: '收款类型报表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/financeReport/posReport'));
      });
    },
  },
  {
    path: 'NewCashFlowVoucher',
    name: '现金流凭证',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/reportCenter/financeReport/cashFlowVoucher/store'));
        cb(null, require('PAGE/reportCenter/financeReport/cashFlowVoucher'));
      });
    },
  },
  {
    path: 'NewCashFinancialVoucher',
    name: '营收凭证',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/reportCenter/financeReport/financialVoucher/store'));
        cb(null, require('PAGE/reportCenter/financeReport/financialVoucher'));
      });
    },
  },
  {
    path: 'NewIncomingAnalyze',
    name: '营业收入统计',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/reportCenter/financeReport/incomingAnalyze/store'));
        cb(null, require('PAGE/reportCenter/financeReport/incomingAnalyze'));
      });
    },
  },
  {
    path: 'cashFinancialVoucherGrade',
    name: '营收凭证（学段年级）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/financeReport/financialVoucherForGrade'));
      });
    },
  },
  {
    path: 'techStatisticReport',
    name: '科技主体收款统计',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/techStatisticReport'));
      });
    },
  },
  {
    path: 'ecsClassIncomeStatistics',
    name: '精英班营收凭证',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/financeReport/ecsClassIncomeStatistics'));
      });
    },
  },
  {
    path: 'ecsClassIncomeStatistics',
    name: '精英班营收凭证',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/financeReport/ecsClassIncomeStatistics'));
      });
    },
  },
  {
    path: 'campusPerformanceStatisticsForPersonal',
    name: '校区业绩统计（个性化）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/financeReport/campusPerformanceStatisticsForPersonal'));
      });
    },
  },
  {
    path: 'campusPerformanceStatisticsForBanke',
    name: '校区业绩统计（班课）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/financeReport/campusPerformanceStatisticsForBanke'));
      });
    },
  },
  {
    path: 'personalPerformanceStatisticsForPersonal',
    name: '个人业绩统计（个性化）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/financeReport/personalPerformanceStatisticsForPersonal'));
      });
    },
  },
  {
    path: 'personalPerformanceStatisticsForBanke',
    name: '个人业绩统计（班课）',
    nickName: '',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/financeReport/personalPerformanceStatisticsForBanke'));
      });
    },
  },
];
