const routes = [
  {
    path: 'StudentScoreTemplate',
    name: '成绩模板管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ScoreTemplate'));
      });
    },
  },
  {
    path: 'scoreOrderTemplateManagement',
    name: '成绩单模板管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/scoreOrderTemplateManagement'));
      });
    },
  },
  {
    path: 'scoreOrderTemplateManagement/Add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/scoreOrderTemplateManagement/AddPage'));
      });
    },
  },
  {
    path: 'StudentScoreTemplate/History',
    name: '历史版本',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ScoreTemplate/History'));
      });
    },
  },
  {
    path: 'StudentScoreTemplate/Edit',
    name: '编辑模板',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ScoreTemplate/Edit'));
      });
    },
  },
  {
    path: 'StudentScoreTemplate/History/Edit',
    name: '编辑模板',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ScoreTemplate/History/Edit'));
      });
    },
  },
];

export default routes;
