import buildApi from './buildApi';
const config = {
  // 获取续报班列表
  getLinkClassList: { url: 'ClassRenewController/queryClassList.do', method: 'GET', dataType: 'json' },

  /*------------------------首页接口------------------*/
  // 首页列表
  queryOriginalClassList: { url: 'ClassRenewController/queryOriginalClassList.do', method: 'GET', dataType: 'json' },
  // 首页导出excel
  exportOriginalClass: { url: 'ClassRenewController/exportOriginalClass.do', method: 'GET', dataType: 'json' },
  // 首页查看续报班详情
  querySeriesClassList: { url: 'ClassRenewController/querySeriesClassList.do', method: 'GET', dataType: 'json' },
  // 首页续保详情删除续班
  deleteClassRenew: { url: 'ClassRenewController/deleteClassRenew.do', method: 'POST', dataType: 'json' },
  // 手动关联续班
  submitHandClassRenew: { url: 'ClassRenewController/sumitHandClassRenew.do', method: 'POST', dataType: 'json' },
  // 续报关联列表数量和查询平移关联范围数量
  getLinkDetailRange: { url: 'ClassRenewController/getOriginalClassQuantity.do', method: 'GET', dataType: 'json' },

  /* -------------------人续接口----------------------- */
  // 获取人续列表
  findStudentRenewList: {
    url: 'ClassRenewStudentController/findStudentRenewList.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取人续详情
  findStudentRenewInfo: {
    url: 'ClassRenewStudentController/findStudentRenewInfo.do',
    method: 'POST',
    dataType: 'json',
  },
  // 人续保存兼课
  saveStudentRenewInfo: {
    url: 'ClassRenewStudentController/saveStudentRenewInfo.do',
    method: 'POST',
    dataType: 'json',
  },
  // 删除恢复接口
  test: { url: 'ClassRenewStudentController/saveStudentRenewInfo.do', method: 'GET', dataType: 'json' },
  // 获取人续导入列表
  findStudentRenewImportList: {
    url: 'ClassRenewStudentController/findStudentRenewImportList.do',
    method: 'POST',
    dataType: 'json',
  },

  /*------------------------班续接口-----------------------------------------*/
  // 查看平移班续范围
  queryTranslateClassRewRange: {
    url: 'ClassRenewController/queryTranslateClassRewRange.do',
    method: 'POST',
    dataType: 'json',
  },
  // 提交平移班续
  submitTranslateClassRenew: {
    url: 'ClassRenewController/sumitTranslateClassRenew.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取班续导入列表
  findClassRenewImportList: { url: 'ClassRenewController/queryImportRecordList.do', method: 'GET', dataType: 'json' },
  // 获取班续未匹配导入excel
  exportClassUnMatchRecord: { url: 'ClassRenewController/exportImportRecord.do', method: 'GET', dataType: 'json' },
};
export default buildApi(config);
