import buildApi from './buildApi';

const config = {
  getCustomerList: 'twoteacher/tic/customer/list.do',
  findStaffName: 'RefundController/findStaffName.do',
  addCustomer: {
    url: 'twoteacher/tic/customer.do',
    method: 'POST',
    dataType: 'json',
  },
  checkCustomer: {
    url: 'twoteacher/tic/customer/check.do',
    method: 'POST',
    dataType: 'json',
  },
  auditCustomer: {
    url: 'twoteacher/tic/customer/audit.do ',
    method: 'POST',
    dataType: 'json',
  },
  updateCustomer: {
    url: 'twoteacher/tic/customer/modify.do ',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
