/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/3/4.
 */
import buildApi from './buildApi';

// 导出文件接口配置
const config = {
  // 获取用户导出记录
  getExportRecordList: { url: 'ExportCenterController/getExportRecordList.do', method: 'POST', dataType: 'json' },
  // 清空导出记录
  deleteExportRecord: { url: 'ExportCenterController/deleteExportRecord.do', method: 'POST', dataType: 'json' },
  // 重新导出
  reExportExcel: { url: 'ExportCenterController/reExportExcel.do', method: 'POST', dataType: 'json' },
  // 课消记录导出excel报表
  exportListChargeExcel: { url: 'ExportCenterController/exportListChargeExcel.do', method: 'POST', dataType: 'json' },
  // 退费记录导出excel报表
  exportStudentReturnFeeExcel: {
    url: 'ExportCenterController/exportStudentReturnFeeExcel.do',
    method: 'POST',
    dataType: 'json',
  },
  // 合同列表(管理)导出excel
  exportContractListMgmtExcel: {
    url: 'ExportCenterController/exportContractListMgmtExcel.do',
    method: 'POST',
    dataType: 'json',
  },
  exportFollowRateReport: { url: 'ExportCenterController/exportFollowRateReport.do', method: 'POST', dataType: 'json' },
  // 业绩科次统计 - 导出excel
  exportStaffDistributionStatisticsListExcel: {
    url: 'ExportCenterController/exportStaffDistributionStatisticsListExcel.do',
    method: 'POST',
    dataType: 'json',
  },
  // 退费科次统计 - 导出excel
  exportRefundResponsibleContractProductListExcel: {
    url: 'ExportCenterController/exportRefundResponsibleContractProductListExcel.do',
    method: 'POST',
    dataType: 'json',
  },
  // 转介绍登记审核 - 导出待签单数据
  exportTwoTeacherTicUnsignedList: {
    url: 'ExportCenterController/exportTwoTeacherTicUnsignedList.do',
    method: 'POST',
    dataType: 'json',
  },
  // 转介绍登记审核 - 导出已签单数据
  exportTwoTeacherTicSignedList: {
    url: 'ExportCenterController/exportTwoTeacherTicSignedList.do',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
