import buildApi from './buildApi';

const config = {
  // 查询分账明细记录
  getSplitAccountList: 'FinanceSeparateAccountOpRecordController/pageSeparateAccountOpRecord.do',
  // 统计分账明细
  getSplitAccountTotal: 'FinanceSeparateAccountOpRecordController/countSeparateAccountOpRecord.do',
  // 导出分账明细记录
  exportSplitAccountList: 'FinanceSeparateAccountOpRecordController/exportSeparateAccountOpRecord.do',
  // 更新为已结算
  updateAsSettled: {
    url: 'FinanceSeparateAccountOpRecordController/updateAsSettled.do',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
