import buildApi from './buildApi';

const config = {
  getListOfCash: 'WelcomeController/getTodayAndMonthTotalIncome.do', //营业指标现金流部分
  getListOfClassFire: 'WelcomeController/getTodayMonthConsumeByType.do', //营业指标课消部分
  getTopListOfAchievement: 'ReportFormsController/getTop10ByDateAndRole.do', //集团业绩TOP10列表
  getTopRankForSsBossBy: { url: 'ReportFormsController/getTopRankForSsBossBy.do', method: 'POST', dataType: 'json' }, // 双师-运营业绩TOP10概览
  getTopListOfClassFire: 'ReportFormsController/getTop10CourseHoursByType.do', //课消TOP10
  getHomeroomTeacherBonusTop: '/boss-xinghuo-api/bonus/homeTeacher/top', // 校区班主任业绩top
  getSystemNoticeList: 'WelcomeController/getSystemNoticeList.do', //系统公告
  getSystemNoticeById: 'WelcomeController/findSystemNoticeVoById.do', //根据id获取具体公告详情
  getHasReadUsers: 'SystemAction/getHasReadedSystemNoticeUsers.do', //获取已读人数情况
  getReplyList: 'SystemAction/getSystemNoticeReplyList.do', //获取评论列表
  deleteReply: 'SystemAction/deleteSystemNoticeReply.do', //删除评论
  publishNoticeReply: '/SystemAction/saveOrEditSystemNoticeReply.do', //发表评论
  getHasNotNotice: 'SystemAction/getSystemNoticeUserList.do',
  saveHasReadNotice: 'SystemAction/saveHasReadedNotice.do',
  // 获取首页乐捐提醒展示项
  getDonateItems: 'IndexController/getDonateVoluntarilyShowItems.do',
  // 获取首页乐捐提醒项数据
  getDonateItemsValue: 'IndexController/getDonateVoluntarilyItems.do',
  // 刷新首页乐捐提醒项数据
  refreshDonateVoluntarily: { url: 'IndexController/refreshDonateVoluntarily.do', method: 'POST' },
};

export default buildApi(config);
