import buildApi from './buildApi';

const config = {
  // 分公司字典
  listUserAllBranchByResourceId: {
    url: 'boss-xinghuo-api/organization/listUserAllBranchByResourceId',
    method: 'GET',
  },
  // 分公司下学习中心字典
  listUserAllCampusByResourceIdAndBranchId: {
    url: 'boss-xinghuo-api/organization/listUserAllCampusByResourceIdAndBranchId',
    method: 'GET',
  },

  // 支付分类配置分页列表
  getPagePayCategorys: {
    url: 'boss-xinghuo-api/payCategoryConfig/pagePayCategorys',
    method: 'POST',
    dataType: 'json',
  },

  exportPayCategorys: {
    url: 'boss-xinghuo-api/payCategoryConfig/pagePayCategorys?isExport=pull',
    method: 'POST',
    dataType: 'json',
  },

  // 新增分类规则配置
  savePayCategorys: {
    url: 'boss-xinghuo-api/payCategoryConfig/savePayCategorys',
    method: 'POST',
    dataType: 'json',
  },

  // 删除支付分类配置
  deletePayCategorysByIds: {
    url: 'boss-xinghuo-api/payCategoryConfig/deletePayCategorysByIds',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
