import buildApi from './buildApi';

/**
 * 成绩管理接口 Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  getCampusByLoginUser: 'CommonAction/getCampusByLoginUser.do', //获取筛选学习中心,
  getOTOList: 'CourseController/getOneOnOneBatchAttendanceList.do', //获取一对一审批课时单
  getTeacherList: 'TeacherSubjectController/getTeacherListByCampusId.do', //获取老师列表
  checkAudit: 'CourseController/oneOnOneAuditSubmit.do', //审批课时单
  invalidAudit: 'ContractAction/washCourseCharge.do', //无效课时单
  checkAllAudit: { url: 'CourseController/auditAutoRecog.do', method: 'POST', dataType: 'json' }, //全部审核通过
  getOneOnOneAutoRecogCount: 'CourseController/getOneOnOneAutoRecogCount.do',
  getOneOnOneAuditSummary: 'CourseController/getOneOnOneAuditSummary.do', //获取通过课时数和总数 各年级数
};

export default buildApi(config);
