/**
 * Created by luoming on 2018/3/7
 */
import buildApi from './buildApi';

/**
 * pos终端接口 Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  getPosList: 'PosMachineController/getPosMachineManageList.do', //获取POS终端列表数据
  disabledPos: 'PosMachineController/disablePosMachineManage.do', //禁用POS机
  enabledPos: 'PosMachineController/enablePosMachineManage.do', // 激活POS机
  savePos: 'PosMachineController/savePosMachineManage.do', //新增保存pos机
  savePosMachineInfos: { url: 'posMachineInfoController/savePosMachineInfos.do', method: 'POST', dataType: 'json' }, //新增保存POS机多终端编号
  findAllPosMachineInfoByPosNumber: 'posMachineInfoController/findAllPosMachineInfoByPosNumber.do', //通过POS机登录帐号查询POS机多个终端号
  setPosPassWord: { url: 'PosMachineController/setPosPassword.do', method: 'POST' }, //设置pos级的密码,
  findPosByNumber: 'PosMachineController/findPosMachineManageByPosNumber.do', //根据编号查找POS机信息
  getPosListByNumber: 'PosMachineController/getPosMachineList.do', //
  handlePos: 'PosMachineController/editPosMachine.do',
};

export default buildApi(config);
