/**
 * VIEW/Print 接口配置
 * */
import buildApi from './buildApi';

// 合同打印接口配置
const contractCfg = {
  // 获取模板Code
  getTemplateCode: 'ContractNewController/getTemplateCode.do',
  getTemplateCodeNew: 'ContractNewController/getTemplateCodeNew.do',
  // 获取模板Code及是否含指导价
  getContractPrintFlagForGuideNaturePrice: 'ContractNewController/getContractPrintFlagForGuideNaturePrice.do',
  // 通过合同id获取合同内容
  getCampusContractPrint: 'ContractNewController/getCampusContractPrint.do',
  // 保存合同内容
  saveCampusContractPrint: {
    url: 'ContractNewController/saveCampusContractPrint.do',
    method: 'POST',
    dataType: 'json',
  },
  // 星火专用，根据合同id获取合同确认信息
  getConfirmInfoByContractId: 'ContractNewController/getConfirmInfoByContractId.do',
};

// 后续其他类型打印接口配置...

const config = {
  ...contractCfg,
};

export default buildApi(config);
