import buildApi from './buildApi';

const config = {
  //  第三方支付数据分页列表
  getThirdPayDataApiList: {
    url: 'boss-xinghuo-api/thirdPayDataApi/page',
    method: 'POST',
    dataType: 'json',
  },

  exportThirdPayDataApiList: {
    url: 'boss-xinghuo-api/thirdPayDataApi/page?isExport=pull',
    method: 'POST',
    dataType: 'json',
  },

  importThirdPayData: {
    url: 'boss-xinghuo-api/thirdPayDataApi/importData',
    method: 'POST',
    dataType: 'json',
  },

  getThirdPayImportLog: {
    url: 'boss-xinghuo-api/thirdPayDataApi/pageImportLog',
    method: 'POST',
    dataType: 'json',
  },

  manualMatchThirdPayData: {
    url: 'boss-xinghuo-api/thirdPayDataApi/manualMatch',
    method: 'POST',
    dataType: 'json',
  },

  deleteThirdPayDataById: {
    url: 'boss-xinghuo-api/thirdPayDataApi/deleteById',
    method: 'POST',
  },
};

export default buildApi(config);
