import {
  uat,
  pre,
  prd,
  peiYouTest,
  peiYouPre,
  peiYou,
  twoTeacherTest,
  twoTeacherPre,
  twoTeacher,
} from 'CONST/buildEnv';

const appDict = {
  [uat]: { appName: 'XHBOSS', appEnv: 'TEST' },
  [pre]: { appName: 'XHBOSS', appEnv: 'PRE' },
  [prd]: { appName: 'XHBOSS', appEnv: 'PRD' },
  [twoTeacherTest]: { appName: 'SSBOSS', appEnv: 'TEST' },
  [twoTeacherPre]: { appName: 'SSBOSS', appEnv: 'PRE' },
  [twoTeacher]: { appName: 'SSBOSS', appEnv: 'PRD' },
  [peiYouTest]: { appName: 'PYBOSS', appEnv: 'TEST' },
  [peiYouPre]: { appName: 'PYBOSS', appEnv: 'PRE' },
  [peiYou]: { appName: 'PYBOSS', appEnv: 'PRD' },
};

const { appName, appEnv } = appDict[process.env.BUILD_ENV] || {};

const endpoint = 'cn-shenzhen.log.aliyuncs.com';
const projectName = 'io-event';
const logstoreName = 'xiao-legacy-boss-web-fe';

export { appName, appEnv, endpoint, projectName, logstoreName };
