import { previewFile } from 'SERVICE/common';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

const preview = async ({ previewPath, src, type }) => {
  console.log('* preview: ', previewPath, src, type);
  const _path = previewPath || src;
  if (_path) {
    window.open(_path, '_blank');
    return _path;
  } else {
    try {
      const newTab = window.open('about:blank');
      const path = await previewFile({ file: src, type }, true);
      newTab.location.href = path;
      return path;
    } catch (e) {
      showMessage('预览失败');
    }
  }
};

export default preview;
