import moment from 'moment';
import { DATE_FORMAT } from 'COMPONENT/utils/form';

/* 日期转星期 */
const weekNames = ['周一', '周二', '周三', '周四', '周五', '周六', '周日'];
export const getWeekByDate = (date) => {
  const day = moment(date, DATE_FORMAT).day();
  return day === 0 ? 6 : day - 1;
};

export function getWeekNameByDate(date) {
  return weekNames[getWeekByDate(date)];
}
