import React from 'react';
import { Icon } from 'antd';
import { PopoverPlus } from 'COMPONENT';
import Panel from './Panel';
import styles from './styles.module.less';

class DownloadWidget extends React.Component {
  constructor(props) {
    super(props);

    this.$popover = null;
  }

  render() {
    return (
      <PopoverPlus popoverProps={{ placement: 'bottomRight' }} content={<Panel />} ref={(c) => (this.$popover = c)}>
        <div className={styles.widget}>
          <Icon className={styles.widgetIcon} type="download" />
        </div>
      </PopoverPlus>
    );
  }
}

export default DownloadWidget;
