import { getNotice } from 'SERVICE/system';

const loadSystemMessage = async () => {
  /*   const list = [
    { title: '跟进回访', content: '你今天需要对学生030704进行跟进回访。', path: '/StudentFollowVisit', params: { studentId: 'STU180319000002', studentName: '学生030704', studyManager: 'ss' } },
    { title: '跟进回访', content: '你今天需要对黄不晓2进行跟进回访。', path: '/StudentFollowVisit', params: { studentId: 'STU180319000002', studentName: '黄不晓2', studyManager: 'ss' } }
  ] */
  const apiData = await getNotice({}, true);
  const list = apiData.map((d) => {
    const { title, content, data } = d;
    let mes = {
      title,
      content,
    };
    if (data) {
      const { path, ...params } = data;
      mes = { ...mes, path, params };
    }
    return mes;
  });
  return list;
};

export default {
  loadSystemMessage,
};
