import React from 'react';
import classNames from 'classnames';
import style from './index.less';
import Modal from 'COMPONENT/Modal';

const classPrefix = 'ModalGuide';

const ModalGuide = (props) => {
  return (
    <Modal
      title="打印配置指引"
      className={classNames(style[classPrefix], 'print-hide')}
      widthSize="L"
      onCancel={props.onCancel}
      okBtnShow={false}
    >
      {props.children}
    </Modal>
  );
};

export default ModalGuide;
