# boss打印管理

## 路径

```
|-- components: 组件
  |-- A4: A4纸组件 [**含打印样式**]
  |-- CheckBox: 选项组件
  |-- Content: 内容组件
  |-- Contract: 合同组件
  |-- Input: 输入组件(封装)
  |-- InputPlus: 输入组件(加强版)
  |-- InputSimple: 输入组件(简单版)
  |-- Paragraph: 段落组件
  |-- SignedSealed: 盖章签名组件
|-- Contract: 合同模块业务逻辑
|-- StudentReport: 学生入学测报告业务逻辑
|-- Index: 页面框架 [**含打印样式**]
  |-- assets: 静态资源
  |-- GuideBtn: 打印设置指引按钮
  |-- ModalGuide: 打印设置指引弹窗
|-- template: 模板
  |-- Contract: 合同模块
    |-- JIANG_SU: 江苏省校外培训机构培训服务合同 [**含打印样式**]
    |-- GUANG_DONG: 广东省校外培训机构培训服务合同 [**含打印样式**]
    |-- GUANG_DONG_CLIENT: 广东省校外培训机构培训服务合同 (家长合同) [**含打印样式**]
  |-- StudentReport: 学生入学测报告
|-- config.js: 配置
|-- utils.js: 工具
```

## 组件文档

### InputPlus

| 属性 | 说明 | 类型 | 默认值 |
|----|----|----|----|
| value | 输入值 | string | |
| maxFontNum | 一行最大字数(中文) | number | |
| onChange | 输入change回调 | func | |
| width | 宽度 | number | null |
| disabled | 不可操作 | bool | false |

`特别说明：`
设置maxFontNum属性时，maxFontNum = (组件最大宽度 / 字号14) - 1，且maxFontNum必须为0.5的倍数。

TODO: 待补充其余组件文档
