import {
  peiYouTest,
  peiYouPre,
  peiYou,
  twoTeacherTest,
  twoTeacherPre,
  twoTeacher,
  uat,
  pre,
  prd,
} from 'CONST/buildEnv';

const preArr = [pre, peiYouPre, twoTeacherPre];
const prdArr = [prd, peiYou, twoTeacher];

let teachReportPageUrl = 'https://test-teaching.xiaojiaoyu100.com/pagination-report/banke/exam-report';

if (process.env) {
  if (preArr.indexOf(process.env.BUILD_ENV) !== -1) {
    teachReportPageUrl = 'http://127.0.0.1:8011';
  } else if (prdArr.indexOf(process.env.BUILD_ENV) !== -1) {
    teachReportPageUrl = 'http://127.0.0.1:8011';
  }
}

Object.freeze(teachReportPageUrl);

export { teachReportPageUrl };
