# 无需java调试旧Boss前端页面

* 将旧boss项目中的`eduboss-main\src\main\webapp`文件夹整个copy到本文件夹下

* 本地跑一个静态文件服务用于代理旧前端页面文件，将其根目录设置为当前的`eduboss`

* 修改`.roadhogrc`配置
```json
{
  "proxy": {
      "/webapp": {
        "target": "http://127.0.0.1:8686",
        "changeOrigin": true
      }
    },
    "define": {
        "process.env": {
          "PROXY_OLD_BOSS": false,
          "PROXY_OLD_BOSS_URL": "\"/webapp/\""
        }
      }
}
```
其中`"proxy"["/webapp"]["target"]`的值为代理旧前端页面代理服务地址；
通过设置`"define"["process.env"]["PROXY_OLD_BOSS"]`为true来开启旧前端走本地代理；

