// 接听
export const ANSWER = 'ANSWER';
// 挂断
export const HAND_UP = 'HAND_UP';

const answerCfg = {
  text: '接听',
  className: 'answerBtn',
  icon: 'answer-call',
};

const handUpCfg = {
  text: '挂断',
  className: 'handUpBtn',
  icon: 'hand-up-call',
};

export function getKeyCfg(type, key) {
  let cfg = {};
  switch (type) {
    case ANSWER:
      cfg = answerCfg;
      break;
    case HAND_UP:
      cfg = handUpCfg;
      break;
    default:
      console.error('Error: type is invalid in getKeyCfg!');
  }
  return cfg[key] || null;
}
