import React from 'react';
import ModalUploadFile from './index';

/**
 * 为旧前端封装上传文锦啊弹窗
 * 旧前端监听全局事件，处理回调:
 * 解绑事件：window.parent.GlobalEvent.off('ModalUploadImg:onOk', () => {});
 * 监听事件：window.parent.GlobalEvent.on('ModalUploadImg:onOk', () => {});
 */
class Index extends React.Component {
  constructor(props) {
    super(props);
  }

  /**
   * 点击确定触发全局事件
   *
   * @param fileList {Array} 文件列表
   */
  onOk = (fileList) => {
    if (GlobalEvent) {
      GlobalEvent.emit('ModalUploadFile:onOk', fileList);
    }
  };

  render() {
    return <ModalUploadFile {...this.props} onOk={this.onOk} />;
  }
}

export default Index;
