import { isImg } from 'COMPONENT/FileIcon/utils';

const getIconSrc = (fileName, src) => {
  const extension = fileName.slice(fileName.lastIndexOf('.') + 1);

  if (src && isImg({ extension })) {
    return src + '?x-oss-process=image/resize,m_fixed,h_38,w_38';
  }
};

export default {
  getIconSrc,
};
