/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/1/17.
 */
import {
  peiYouTest,
  peiYouPre,
  peiYou,
  twoTeacherTest,
  twoTeacherPre,
  twoTeacher,
  uat,
  pre,
  prd,
} from 'CONST/buildEnv';

const preArr = [pre, peiYouPre, twoTeacherPre];
const prdArr = [prd, peiYou, twoTeacher];

// 教学接口(用于学生档案)
let jiaoXueBaseUrl = 'https://test-teaching.xiaojiaoyu100.com/tea_api/';
// 教学-续费个辅-档案页面
let jiaoXuePageUrl = 'https://test-teaching.xiaojiaoyu100.com';
// =============================合同确认链接========================================
let h5ContractComfirmUrl = 'https://cmall-test.xiao100.com/contract-online-operation';

if (process.env) {
  if (preArr.indexOf(process.env.BUILD_ENV) !== -1) {
    jiaoXueBaseUrl = 'https://pre-teaching.xiaojiaoyu100.com/tea_api/';
    jiaoXuePageUrl = 'https://pre-teaching.xiaojiaoyu100.com';

    h5ContractComfirmUrl = 'https://cmall-pre.xiao100.com/contract-online-operation';
  } else if (prdArr.indexOf(process.env.BUILD_ENV) !== -1) {
    jiaoXueBaseUrl = 'https://teaching.xiaojiaoyu100.com/tea_api/';
    jiaoXuePageUrl = 'https://teaching.xiaojiaoyu100.com';

    h5ContractComfirmUrl = 'https://cmall.xiao100.com/contract-online-operation';
  }
}

export { jiaoXueBaseUrl, jiaoXuePageUrl, h5ContractComfirmUrl };
