/**
 * 组件未完成提示
 */
import React from 'react';
import { Icon } from 'antd';
import Page from 'COMPONENT/Page';
import styles from './styles.less';
import styleVars from 'COMPONENT/theme/variables';

const DocPage = ({ text }) => {
  return (
    <Page title={false}>
      <div className={styles.wrap}>
        <div>
          <Icon type="exclamation-circle" style={{ fontSize: 72, color: styleVars.fontColorTips, marginBottom: 20 }} />
        </div>
        {text || '暂无文档'}
      </div>
    </Page>
  );
};

export default DocPage;
