import React from 'react';
import Checkbox from 'COMPONENT/Checkbox';

const CheckboxGroup = Checkbox.Group;
const options = [
  { label: '香蕉', value: '1' },
  { label: '草莓', value: '2' },
  { label: '番茄', value: '3' },
];

class Main extends React.Component {
  state = {
    value: [],
  };
  render() {
    const { value } = this.state;
    return (
      <div>
        <Checkbox
          checked={value.length > 0 && value.length === options.length ? true : false}
          indeterminate={value.length > 0 && options.length > value.length}
          onChange={(e) => this.setState({ value: e.target.checked ? options.map((d) => d.value) : [] })}
        >
          全选
        </Checkbox>
        <CheckboxGroup options={options} value={value} onChange={(val) => this.setState({ value: val })} />
      </div>
    );
  }
}

export default Main;
