import React from 'react';
import DropdownMenu from 'COMPONENT/DropdownMenu';
import Icon from 'COMPONENT/Icon';
import styleVars from 'COMPONENT/theme/variables';

const menus = [{ text: '操作 1' }, { text: '操作 2' }];

class Main extends React.Component {
  render() {
    return (
      <div>
        <DropdownMenu menus={menus} text="更多" color={styleVars.fontColor} hasArrow={true} />
        <DropdownMenu menus={menus} iconType="plus" color={styleVars.fontColor} style={{ marginLeft: 20 }} />
        <DropdownMenu
          menus={menus}
          text="更多"
          color={styleVars.fontColor}
          disabledColor={styleVars.fontColorTips}
          hasArrow={true}
          style={{ marginLeft: 20 }}
          disabled
        />
        <DropdownMenu
          menus={menus}
          iconType="plus"
          color={styleVars.fontColor}
          disabledColor={styleVars.fontColorTips}
          style={{ marginLeft: 20 }}
          disabled
        />
      </div>
    );
  }
}

export default Main;
