import React from 'react';
import Ueditor from 'COMPONENT/Ueditor';
import Button from 'COMPONENT/Button';

class Main extends React.Component {
  state = {
    value: null,
  };
  getTitle = () => {
    alert(this.refs.editor.getTitle());
  };
  getContent = () => {
    alert(this.refs.editor.getContent());
  };
  render() {
    const ueConfig = {
      initialContent: '请在此处输入正文内容',
    };
    return (
      <div>
        <Button onClick={this.getTitle} style={{ marginRight: '10px' }}>
          获取标题
        </Button>
        <Button onClick={this.getContent}>获取编辑器内容</Button>
        <Ueditor hasTitle={true} ref="editor" ueConfig={ueConfig} />
      </div>
    );
  }
}

export default Main;
