import React from 'react';
import FileList from 'COMPONENT/FileList';
import previewFile from 'UTIL/previewFile';
import { OSS_TEST_PREFIX } from 'CONST/ossConfig';

const fileList = [
  {
    id: 'file2',
    name: '图片.png',
    src: `${OSS_TEST_PREFIX}/0560a09b-760a-ba5a-915b-f2e351359f20`,
    iconSrc: `${OSS_TEST_PREFIX}/0560a09b-760a-ba5a-915b-f2e351359f20?x-oss-process=image/resize,m_fixed,h_38,w_38`,
  },
];

class Main extends React.Component {
  render() {
    return <FileList data={fileList} type="view" onPreview={previewFile} />;
  }
}

export default Main;
