import React from 'react';
import FileList from 'COMPONENT/FileList';
import previewFile from 'UTIL/previewFile';
import { OSS_TEST_PREFIX } from 'CONST/ossConfig';

const fileList = [
  { id: 'file1', name: 'word文件.doc', src: `${OSS_TEST_PREFIX}/09500f9c-422e-b3ad-0e26-d7270927d728` },
  { id: 'file2', name: 'ppt文件.ppt', src: `${OSS_TEST_PREFIX}/53a9c947-b5e5-0626-014a-eef5ba70238b` },
];

class Main extends React.Component {
  render() {
    return <FileList data={fileList} type="view" onPreview={previewFile} />;
  }
}

export default Main;
