import React from 'react';
import List from 'COMPONENT/List/CardList';

const list = [
  { col1: '李老师', col2: '男', detail1: '13349498400', detail2: 'x星系，w星球...' },
  { col1: '黄管理', col2: '女', detail1: '18989047898', detail2: 'x星系，w星球...' },
];
const columns = [
  { title: '姓名', dataIndex: 'col1' },
  { title: '性别', dataIndex: 'col2' },
];

class Main extends React.Component {
  state = {
    expandedRowKey: null,
  };

  getDetail = (record) => {
    return (
      <div style={{ padding: '10px 20px' }}>
        <div>{`电话：${record.detail1}`}</div>
        <div>{`住址：${record.detail2}`}</div>
      </div>
    );
  };

  render() {
    return (
      <List
        dataSource={list}
        columns={columns}
        expandedRowRender={this.getDetail}
        expandedRowKey={this.state.expandedRowKey}
        onExpandedRowChange={(key) => this.setState({ expandedRowKey: key })}
      />
    );
  }
}

export default Main;
