import React from 'react';
import List from 'COMPONENT/List';

const list = [
  { col1: 'xxx1', col2: 'yyy1' },
  { col1: 'xxx2', col2: 'yyy2' },
];
const columns = [
  { title: '第1列', dataIndex: 'col1' },
  { title: '第2列', dataIndex: 'col2' },
];

class Main extends React.Component {
  state = {
    selectedRowKeys: [], //选中行的key的集合
  };

  render() {
    const { selectedRowKeys } = this.state;
    return (
      <List
        dataSource={list}
        columns={columns}
        rowSelection={{
          selectedRowKeys,
          onChange: (keys) => this.setState({ selectedRowKeys: keys }),
        }}
      />
    );
  }
}

export default Main;
