import React from 'react';
import List from 'COMPONENT/List';

const list = [
  { col1: 'xxx1', col2: 'yyy1', detail1: 'zzz1', detail2: 'wwwwwww1' },
  { col1: 'xxx2', col2: 'yyy2', detail1: 'zzz2', detail2: 'wwwwwww2' },
];
const columns = [
  { title: '第1列', dataIndex: 'col1' },
  { title: '第2列', dataIndex: 'col2' },
];

class Main extends React.Component {
  getDetail = (record) => {
    return (
      <div>
        <div>{`其他：${record.detail1}`}</div>
        <div>{`更多：${record.detail2}`}</div>
      </div>
    );
  };

  render() {
    return <List dataSource={list} columns={columns} expandedRowRender={this.getDetail} />;
  }
}

export default Main;
