import React from 'react';
import List from 'COMPONENT/List';

const { COL_WIDTH_S, COL_WIDTH_M, COL_WIDTH_L, COL_WIDTH_XL } = List;
const list = [
  { fixLeft: '默认为中号', colS: '最小宽度70px', colM: '最小宽度110px', colL: '最小宽度142px', colXL: '最小宽度210px' },
  {
    fixLeft: '默认为中号',
    colS: '1~3个汉字，1~6个英文或数字',
    colM: '4~6个汉字，7~12个英文或数字',
    colL: '7~9个汉字，13~18个英文或数字',
    colXL: '大于9个汉字，大于18个英文或数字',
  },
];
const columns = [
  { title: '左固定列', dataIndex: 'fixLeft', fixed: 'left' },
  { title: '小号列', dataIndex: 'colS', width: COL_WIDTH_S },
  { title: '中号列', dataIndex: 'colM' },
  { title: '大号列', dataIndex: 'colL', width: COL_WIDTH_L },
  { title: '加大号列', dataIndex: 'colXL', width: COL_WIDTH_XL },
  {
    title: '自由设置宽度的列',
    width: 400,
    render: () => '一般情况使用以上几个固定尺寸的列宽，特殊情况可根据需求自由设置',
  },
  { title: '右固定列', dataIndex: 'fixRight', fixed: 'right', render: () => <a>操作按钮</a> },
];

class Main extends React.Component {
  render() {
    return <List dataSource={list} columns={columns} />;
  }
}

export default Main;
