import React from 'react';
import Button from 'COMPONENT/Button';
import Modal from 'COMPONENT/Modal';

class Main extends React.Component {
  state = {
    visible: false,
  };

  close = () => {
    this.setState({ visible: false });
  };

  render() {
    const { visible } = this.state;
    return (
      <div>
        <Button type="primary" onClick={() => this.setState({ visible: true })}>
          查看示例
        </Button>
        {visible && (
          <Modal title="标题" onOk={this.close} onCancel={this.close}>
            <p>任意内容</p>
            <p>任意内容任意内容任意内容</p>
            <p>任意内容任意内容任意内容任意内容任意内容任意内容</p>
          </Modal>
        )}
      </div>
    );
  }
}

export default Main;
