import React from 'react';
import Button from 'COMPONENT/Button';
import Modal from 'COMPONENT/Modal';
import FormItem from 'COMPONENT/FormItem';
import TextArea from 'COMPONENT/TextArea';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';
import SomeBusinessModal from './SomeBusinessModal';

class Main extends React.Component {
  state = {
    visible: false,
  };

  render() {
    const { visible, loading } = this.state;
    return (
      <div>
        <Button type="primary" onClick={() => this.setState({ visible: true })}>
          查看示例
        </Button>
        {visible && <SomeBusinessModal onClose={() => this.setState({ visible: false })} />}
      </div>
    );
  }
}

export default Main;
