import React from 'react';
import { connect } from 'dva';
import Page from 'COMPONENT/Page';

class Main extends React.Component {
  openPage = (params) => {
    const { dispatch } = this.props;
    dispatch({
      type: 'main/openPage',
      payload: params,
    });
  };

  render() {
    return (
      <Page route={this.props.route}>
        <p>点击标题栏的导航链接跳转到其他层级页面。</p>
      </Page>
    );
  }
}

export default connect()(Main);
