import React from 'react';
import Button from 'COMPONENT/Button';
import Popover from 'COMPONENT/Popover';

const text = '默认的箭头指向目标对象的位置会根据弹框的位置做调整，可通过设置使箭头始终指向中心（水平和垂直方向皆适用）';
const maxWidth = 200;

const cfg = {
  getPopupContainer: (ele) => ele.parentNode,
};
class Main extends React.Component {
  render() {
    return (
      <div>
        <Popover {...cfg} placement="topLeft" maxWidth={maxWidth} content={text}>
          <Button>默认显示方式</Button>
        </Popover>
        &nbsp;&nbsp;
        <Popover {...cfg} arrowPointAtCenter placement="topLeft" maxWidth={maxWidth} content={text}>
          <Button>箭头指向中心</Button>
        </Popover>
      </div>
    );
  }
}

export default Main;
