import React from 'react';
import ReactDOM from 'react-dom';
import Button from 'COMPONENT/Button';
import PopTip from 'COMPONENT/PopTip';

class Main extends React.Component {
  state = {
    visible: false,
    tips: null,
  };

  save = () => {
    this.setState({ visible: true, tips: '请正确填写信息' });
  };

  render() {
    return (
      <div ref={(c) => (this.$wrap = ReactDOM.findDOMNode(c))}>
        <PopTip
          visible={this.state.visible}
          content={this.state.tips}
          onClose={() => this.setState({ visible: false })}
          popupContainer={this.$wrap}
          icon="error"
          getPopupContainer={(ele) => ele.parentNode}
        >
          <Button onClick={this.save}>保存</Button>
        </PopTip>
      </div>
    );
  }
}

export default Main;
