import React from 'react';
import Select from 'COMPONENT/Select';
import styles from 'DOC/styles.less';

const dict = [
  { val: '1', text: '选项 1' },
  { val: '2', text: '选项 2' },
  { val: '3', text: '选项 3' },
];

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <label className={styles.label}>默认尺寸：</label>
        <Select dict={dict} value={value} onChange={(value) => this.setState({ value })} />
        <label className={styles.label}>小号：</label>
        <Select size="small" dict={dict} />
        <label className={styles.label}>加小号：</label>
        <Select size="xSmall" dict={dict} />
      </div>
    );
  }
}

export default Main;
