import React from 'react';
import SortButton from 'COMPONENT/SortButton';
const SortButtonGroup = SortButton.Group;

class Main extends React.Component {
  state = {
    sort: null,
  };

  onChange = (sort) => {
    this.setState({ sort });
    console.log(sort);
  };

  render() {
    const { sort } = this.state;
    return (
      <SortButtonGroup value={sort} onChange={this.onChange}>
        <SortButton name="time">时间</SortButton>
        <SortButton name="readCount">阅读量</SortButton>
      </SortButtonGroup>
    );
  }
}

export default Main;
