import React from 'react';
import Tag from 'COMPONENT/Tag';
import styles from './styles.less';
import styleVars from 'COMPONENT/theme/variables';

class Main extends React.Component {
  state = {
    agree: true,
  };

  render() {
    const { agree } = this.state;
    return (
      <div className={styles.wrap}>
        <Tag>默认</Tag>
        <Tag color={styleVars.primaryColor} fontWhite>
          主色
        </Tag>
      </div>
    );
  }
}

export default Main;
