import React from 'react';
import TreeMultiSelect from 'COMPONENT/TreeMultiSelect';
import { dict } from '../common';

class Main extends React.Component {
  state = {
    value: ['1-1', '1-2'],
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <TreeMultiSelect dict={dict} value={value} onChange={(value) => this.setState({ value })} disabled />
      </div>
    );
  }
}

export default Main;
