import React from 'react';
import TreeSelect from 'COMPONENT/TreeSelect';
import styles from 'DOC/styles.less';
import { dict } from '../common';

class Main extends React.Component {
  state = {
    value: null,
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <label className={styles.label}>默认尺寸：</label>
        <TreeSelect dict={dict} value={value} onChange={(value) => this.setState({ value })} />
        <label className={styles.label}>小号：</label>
        <TreeSelect size="small" dict={dict} />
        <label className={styles.label}>加小号：</label>
        <TreeSelect size="xSmall" dict={dict} />
      </div>
    );
  }
}

export default Main;
