import React from 'react';
import Input from 'COMPONENT/Input';

class Main extends React.Component {
  state = {
    value: null,
  };

  check = (value) => {
    value = value || '';
    if (value.length < 5) {
      return `还差${5 - value.length}个字`;
    }
    return null;
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <Input
          placeholder="请输入至少5个字"
          value={value}
          onChange={(e) => this.setState({ value: e.target.value })}
          validator={{ rules: [this.check] }}
        />
      </div>
    );
  }
}

export default Main;
