import styles from './styles.less';

const Demo = (props) => {
  const { title, info, children } = props;

  return (
    <div className={styles.wrap}>
      <div className={'font_size_heading_sm font_color_primary ' + styles.title}>
        {title}
        {info && <span className={styles.info + ' font_color_secondary font_size_sm'}>{' - ' + info}</span>}
      </div>
      <div className={styles.content}>{children || <span>待完善。</span>}</div>
    </div>
  );
};

export default Demo;
