import React from 'react';
import DocPage from 'DOC/DocPage';
import Sec from 'DOC/Section';
import styles from 'DOC/styles.less';

const Main = () => {
  return (
    <DocPage>
      <Sec title="说明">
        工具包目前有以下分类：
        <ul className={styles.ul}>
          <li>basic：基础类型的处理工具，如字符串、数字、对象等类型的截取、校验、对比等</li>
          <li>dict：字典相关处理，如字典格式转换、常用字典加载等</li>
          <li>dom：DOM操作相关</li>
          <li>form：表单和表单输入控件相关</li>
          <li>globalTips：全局信息提示，如警告框、确认框、自动消失信息框等</li>
          <li>http：网络请求相关</li>
          <li>thirdParty：第三方工具包</li>
          <li>url：URL地址相关，如地址解析、截取等</li>
          <li>其他</li>
        </ul>
      </Sec>
    </DocPage>
  );
};

export default Main;
