import app from 'SRC/app';
import moment from 'moment';
import 'moment/locale/zh-cn';
import './index.html';
import 'COMPONENT/theme/less/index.less';
import 'ASSET/fonts/icons.less';
import 'COMPONENT/assets/iconfont/index.less';
import 'COMPONENT/assets/svgs/index.less';
import 'COMPONENT/assets/css/keyframes.css';
import './GlobalEmitter';
import 'UTIL/GlobalEvent/index.js';

moment.locale('zh-cn');

app.model(require('MODEL/account'));
app.model(require('MODEL/dict'));

app.router(require('./routes/index'));

app.start('#root');

console.log(process.env);
