/**
 * Created by luoming on 2018/3/1
 */
let option = {
  color: ['#5B63FF', '#DD93F7', '#FDE9FF'],
  tooltip: {
    trigger: 'item',
    axisPointer: {
      type: 'line',
    },
    position: 'top',
    formatter: '{b} <br/>{c}',
  },
  legend: {
    data: [],
    itemWidth: 8,
    itemHeight: 8,
    borderRadius: 6,
    right: '10%',
  },
  grid: {
    left: '1%',
    right: '4%',
    bottom: '3%',
    containLabel: true,
  },
  yAxis: {
    type: 'value',
    axisLine: {
      show: false,
    },
    splitLine: {
      lineStyle: {
        opacity: 0.3,
      },
    },
    axisTick: {
      show: false,
    },
    minInterval: 1,
  },
  xAxis: {
    axisLine: {
      show: false,
    },
    axisTick: {
      show: false,
    },
    type: 'category',
    data: [],
  },
  series: [
    {
      type: 'bar',
      stack: '总量',
      barWidth: 12,
      data: [],
    },
  ],
};
let teacherClassFireDict = [
  {
    val: 'TOTAL',
    text: '教师总课消TOP10',
  },
  {
    val: 'ONE_ON_ONE_COURSE',
    text: '一对一课消TOP10',
  },
  {
    val: 'SMALL_CLASS',
    text: '小班课消TOP10',
  },
  {
    val: 'OTHERS',
    text: '其他课消TOP10',
  },
];
let studyManagerClassFireDict = [
  {
    val: 'TOTAL',
    text: '学管师总课消TOP10',
  },
  {
    val: 'ONE_ON_ONE_COURSE',
    text: '一对一课消TOP10',
  },
  {
    val: 'SMALL_CLASS',
    text: '小班课消TOP10',
  },
  {
    val: 'OTHERS',
    text: '其他课消TOP10',
  },
];

let overviewClassForeDict = [
  {
    val: 'TOTAL',
    text: '总课消',
  },
  {
    val: 'ONE_ON_ONE_COURSE',
    text: '一对一课消',
  },
  {
    val: 'SMALL_CLASS',
    text: '小班课消',
  },
  {
    val: 'OTHERS',
    text: '其他课消',
  },
];

export { option, teacherClassFireDict, studyManagerClassFireDict, overviewClassForeDict };
