import React from 'react';
import { connect } from 'dva';
import { Page } from 'COMPONENT';
import TabContainer from './TabContainer';
import { PAGE_ROUTE } from './constant';

/**
 * 外呼工作台-跟进客户（外呼）
 */
class FollowCustomer extends React.Component {
  constructor(props) {
    super(props);
  }

  componentWillUnmount() {
    this.props.dispatch({
      type: 'main/setPageParams',
      payload: {
        path: PAGE_ROUTE,
        params: null,
      },
    });
  }

  render() {
    return (
      <Page route={this.props.route} title={false}>
        <TabContainer />
      </Page>
    );
  }
}

export default connect()(FollowCustomer);
