import React from 'react';
import styles from './styles.less';
import Sec from '../../component/Sec';
import Record from '../../component/Record';

class RecordsBlock extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { cusId, stuId, deliverTarget } = this.props;

    return (
      <div className={styles.wrap}>
        <Sec title={'跟进记录'}>
          <Record cusId={cusId} stuId={stuId} deliverTarget={deliverTarget} />
        </Sec>
      </div>
    );
  }
}

export default RecordsBlock;
