/**
 * 格式化成绩
 * @param examResultList [{"courseId":"xx", "courseName":"语文", "score":"80"}]
 * @param courseId 科目ID
 */
export function formatScore(examResultList = [], courseId = '') {
  if (!examResultList || !courseId || examResultList.length <= 0) {
    return '';
  }

  let score = '';
  const result = examResultList.find((item) => {
    return item.courseId === courseId;
  });

  if (result) {
    score = result.score || '';
  }

  return score;
}
