/**
 * 格式化跟进客户页面参数
 *
 * @param cusId 客户ID
 * @param stuId 学生ID
 * @param createUserId 跟进人ID
 * @param followList 需要跟进的列表
 */
export function formatEditPageParam({ cusId, stuId, createUserId, followList }) {
  return {
    cusId,
    studentId: stuId,
    detailEditable: true,
    followEditable: true,
    deliverTarget: createUserId,
    followList: followList || [],
  };
}
