/**
 * 跟进客户tab配置
 * @type {string}
 */
const CUS_LIST_FOLLOW = '1';
const CUS_LIST_SIGNED = '2';
const CUS_LIST_LOST = '3';
const CUS_TRANSFER = '4'; // 转校申请客户
const cusListDict = [
  { val: CUS_LIST_FOLLOW, text: '跟进客户' },
  { val: CUS_LIST_SIGNED, text: '签单客户' },
  { val: CUS_LIST_LOST, text: '流失客户' },
];
const cusListManageDict = [
  { val: CUS_LIST_FOLLOW, text: '跟进客户' },
  { val: CUS_LIST_SIGNED, text: '签单客户' },
  { val: CUS_LIST_LOST, text: '流失客户' },
];

const ENTRANCE_1 = '1';
const ENTRANCE_2 = '2';
const entranceDict = [
  { val: ENTRANCE_1, text: '资源入口1' },
  { val: ENTRANCE_2, text: '资源入口2' },
];

const IS_VISIT_YES = '是';
const IS_VISIT_NO = '否';
const isVisitDict = [
  { val: IS_VISIT_YES, text: '是' },
  { val: IS_VISIT_NO, text: '否' },
  { val: null, text: '无' },
];

const INTENTION_1 = '1';
const INTENTION_2 = '2';
const intentionDict = [
  { val: INTENTION_1, text: '意向度1' },
  { val: INTENTION_2, text: '意向度2' },
];

const CUS_TAG_1 = '1';
const CUS_TAG_2 = '2';
const cusTagDict = [
  { val: CUS_TAG_1, text: '客户标签1' },
  { val: CUS_TAG_2, text: '客户标签2' },
];

/**
 * 跟进客户-时间类型
 */
const followTimeTypeDict = [
  { val: '1', text: '最新跟进时间' },
  { val: '2', text: '下次跟进时间' },
  { val: '3', text: '诺到时间' },
  { val: '4', text: '上门时间' },
  { val: '5', text: '创建时间' },
];

/**
 * 流失客户-时间类型
 */
const lostTimeTypeDict = [
  { val: '6', text: '流失时间' },
  { val: '2', text: '下次跟进时间' },
  { val: '3', text: '诺到时间' },
  { val: '4', text: '上门时间' },
  { val: '5', text: '创建时间' },
];

export default {
  CUS_LIST_FOLLOW,
  CUS_LIST_SIGNED,
  CUS_LIST_LOST,
  CUS_TRANSFER,
  cusListDict,
  cusListManageDict,
  ENTRANCE_1,
  ENTRANCE_2,
  entranceDict,
  IS_VISIT_YES,
  IS_VISIT_NO,
  isVisitDict,
  INTENTION_1,
  INTENTION_2,
  intentionDict,
  CUS_TAG_1,
  CUS_TAG_2,
  cusTagDict,
  followTimeTypeDict,
  lostTimeTypeDict,
};
