import React from 'react';
import { Col, Row } from 'antd';

/**
 * 头部的搜索表单容器
 *
 * @param props
 * @return {*}
 * @constructor
 */
const HeadSearchContainer = (props) => {
  const { searchBar, buttonGroup } = props;

  return (
    <Row>
      <Col span={22}>{searchBar}</Col>
      <Col span={2}>{buttonGroup}</Col>
    </Row>
  );
};

export default HeadSearchContainer;
