function fillPrefixZero(num) {
  if (num < 10) {
    return `0${num}`;
  }
  return `${num}`;
}

// 最长23:59:59
export function durationToTime(s) {
  if (typeof s !== 'number') {
    s = Number(s) || 0;
  }
  let baseStamp = 946656000000;
  const tagDate = new Date(s * 1000 + baseStamp);
  return `${fillPrefixZero(tagDate.getHours())}:${fillPrefixZero(tagDate.getMinutes())}:${fillPrefixZero(
    tagDate.getSeconds(),
  )}`;
}
