// ClassRenewController/queryClassList
function queryClassList(apiParams) {
  console.log('queryClassList: ', apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultMessage: 'success',
      resultCode: 0,
      data: [
        /**
         * 开始上课时间
         * 已上课时
         * */
        {
          classId: 'TEST01',
          className: '测试班01',
          blCampusName: '莞城学习中心',
          productType: 'SMALL_CLASS',
          productTypeName: '小班',
          endDate: '2020-03-31',
          maxQuantity: 10,
          peopleQuantity: 1,
          nextClassDate: '2020-02-25',
          startClassTime: '14:00',
          courseName: '测试班01课程01',
          mainTeacherName: '刘显洁1',
          assistTeacherName: '刘显洁2',
          classLevelName: '短期',
          classTypeName: '短期班',
          consumeCourseHours: 15,
          totalCourseHours: 36,
          price: 1000,
          classLength: 120,
        },
        {
          classId: 'TEST02',
          className: '测试班02',
          blCampusName: '莞城学习中心',
          productType: 'SMALL_CLASS',
          productTypeName: '小班',
          endDate: '2020-03-31',
          maxQuantity: 10,
          peopleQuantity: 1,
          nextClassDate: '2020-02-25',
          startClassTime: '14:00',
          courseName: '测试班02课程02',
          mainTeacherName: '刘显洁1',
          assistTeacherName: '刘显洁2',
          classLevelName: '短期',
          classTypeName: '短期班',
          consumeCourseHours: 3,
          totalCourseHours: 36,
          price: 1000,
          classLength: 120,
        },
      ],
      records: 1,
    };
    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
}

export { queryClassList };
