const SMALL_CLASS = 'SMALL_CLASS';
const TWO_TEACHER = 'TWO_TEACHER';

const productTypeDict = [
  { text: '小班', val: SMALL_CLASS },
  { text: '双师', val: TWO_TEACHER },
];

const productTypeAllow = [SMALL_CLASS, TWO_TEACHER];

const mainTcTextCfg = {
  null: '班主任',
  undefined: '班主任',
  [SMALL_CLASS]: '班主任',
  [TWO_TEACHER]: '主讲老师',
};

const auxTcTextCfg = {
  null: '班主任',
  undefined: '班主任',
  [SMALL_CLASS]: '任课老师',
  [TWO_TEACHER]: '辅导老师',
};

const winter = 'DAT0000000230';
const spring = 'DAT0000000231';
const summer = 'DAT0000000232';
const autumn = 'DAT0000000233';

const updateQuarterCfg = {
  [winter]: [spring],
  [spring]: [summer, autumn],
  [summer]: [autumn],
  [autumn]: [winter, spring],
};

// 双师系统中 幼儿园拆分为小班、中班、大班，添加配置不影响星火系统
const grade0 = '幼升小';
const grade00 = '幼儿园';
const grade001 = '小班';
const grade002 = '中班';
const grade003 = '大班';
const grade01 = '一年级';
const grade02 = '二年级';
const grade03 = '三年级';
const grade04 = '四年级';
const grade05 = '五年级';
const grade06 = '六年级';
const grade07 = '初一';
const grade08 = '初二';
const grade09 = '初三';
const grade10 = '高一';
const grade11 = '高二';
const grade12 = '高三';
const grade13 = '毕业';

const updateGradeCfg = {
  [grade0]: grade01,
  [grade00]: grade01,
  [grade001]: grade002,
  [grade002]: grade003,
  [grade003]: grade01,
  [grade01]: grade02,
  [grade02]: grade03,
  [grade03]: grade04,
  [grade04]: grade05,
  [grade05]: grade06,
  [grade06]: grade07,
  [grade07]: grade08,
  [grade08]: grade09,
  [grade09]: grade10,
  [grade10]: grade11,
  [grade11]: grade12,
  [grade12]: grade13,
};

export {
  SMALL_CLASS,
  TWO_TEACHER,
  productTypeDict,
  productTypeAllow,
  mainTcTextCfg,
  auxTcTextCfg,
  winter,
  spring,
  summer,
  autumn,
  updateQuarterCfg,
  updateGradeCfg,
};
