import React from 'react';
import { loginUser } from 'UTIL/common';
import registerModel from 'UTIL/registerModel';
import XH from './XH';
import SS from './SS';

class ConfirmHistoryIndex extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      isReady: false,
      isXH: loginUser.isXingHuoSym(),
    };

    if (!this.state.isXH) {
      registerModel(require('PAGE/contract/ConfirmHistory/SS/store/index'));
    }
  }

  componentDidMount() {
    this.setState({ isReady: true });
  }

  render() {
    return this.state.isReady && (this.state.isXH ? <XH {...this.props} /> : <SS {...this.props} />);
  }
}

export default ConfirmHistoryIndex;
