import React from 'react';

/**
 * 优惠方式
 *
 * @param props.promotionList {Array} 优惠列表（优惠+活动）
 * @return {*}
 * @constructor
 */
const PromotionTypeText = (props) => {
  const promotionList = props.promotionList || [];

  return (
    <span>
      {promotionList.map((item, index) => {
        return (
          <p key={index} style={{ padding: '2px 0' }}>
            {item.typeName}
            {item.name}(券码：{item.id})
          </p>
        );
      })}
    </span>
  );
};

export default PromotionTypeText;
