import { getPosPayDataMatchErrorList, getNotMatchFundList, updateFundHistoryPos } from 'SERVICE/contract';

const getPosPayDataMatchErrorListApi = async (params) => {
  let { records: total, rows: listData } = await getPosPayDataMatchErrorList(params);
  return {
    total,
    listData,
  };
};

const getNotMatchFundListApi = async (params) => {
  let { records: total, rows: listData } = await getNotMatchFundList(params);
  return {
    total,
    listData,
  };
};

const updateFundHistoryPosApi = async (params) => {
  let { resultMessage, resultCode } = await updateFundHistoryPos(params);
  return { resultMessage, resultCode };
};

export default {
  getPosPayDataMatchErrorListApi,
  getNotMatchFundListApi,
  updateFundHistoryPosApi,
};
