import React from 'react';
import styles from './styles.less';
import dicts from '../dicts';

class GiftModeTag extends React.Component {
  render() {
    const { mode } = this.props;
    const info = dicts.giftModeDict.find((d) => d.val === mode);
    return <div className={styles.wrap}>{info ? info.text : null}</div>;
  }
}

export default GiftModeTag;
