import React from 'react';
import { loginUser } from 'UTIL/common';

/**
 * 底部tips
 *
 * @return {*}
 * @constructor
 */
const FooterTips = (props) => {
  const isXingHuo = loginUser.isXingHuoSym();

  return (
    <div {...props} style={{ color: 'red' }}>
      <p>注意：</p>
      <p>1、资金退回到电子账户后该合同就不得再冲销课时回滚资金，请谨慎操作！！！</p>
      {isXingHuo && [
        <p key={1}>2、10人课堂产品退电子账户，将影响退科率统计！！！</p>,
        <p key={2}>3、10人课堂产品退电子账户，学生将直接退班！！！</p>,
      ]}
    </div>
  );
};

export default FooterTips;
