import React from 'react';
import styles from './styles.less';

export default function (props) {
  return (
    <div>
      <div className={styles.stuLayer}>
        <p>
          <label>学生姓名:&nbsp;&nbsp;</label>
          <span>{props.fundDetail.stuName}</span>
        </p>
        <p>
          <label>学生ID:&nbsp;&nbsp;</label>
          <span>{props.fundDetail.stuId}</span>
        </p>
      </div>
      <div className={styles.conLayer}>
        <p>
          <label>合同编号:&nbsp;&nbsp;</label>
          <span>{props.fundDetail.contractId}</span>
        </p>
        <p>
          <label>合同金额:&nbsp;&nbsp;</label>
          <span>{Number(props.fundDetail.contractTotalMoney).toFixed(2)}</span>
        </p>
        <p>
          <label>合同学习中心:&nbsp;&nbsp;</label>
          <span>{props.fundDetail.contractCampus}</span>
        </p>
      </div>
    </div>
  );
}
