export const USERTYPE = 'USER';
export const CAMPUSTYPE = 'CAMPUS';
export const CAMPUS_BRANCH = 'CAMPUS_BRANCH';
export const CAMPUS_CAMPUS = 'CAMPUS_CAMPUS';
export const USER_USER = 'USER_USER';
export const USER_CAMPUS = 'USER_CAMPUS';
export const USER_BRANCH = 'USER_BRANCH';

export const subBonusDict = [
  { val: USER_USER, text: '个人', title: '个人' },
  { val: USER_CAMPUS, text: '学习中心团队', title: '学习中心团队' },
  { val: USER_BRANCH, text: '分公司团队', title: '分公司团队' },
];

export const campusTypeDict = [
  { val: CAMPUS_BRANCH, text: '分公司', title: '分公司' },
  { val: CAMPUS_CAMPUS, text: '学习中心', title: '学习中心' },
];

// 资金分配状态 mapping
export const fundStateMap = {
  0: {
    value: 'UNALLOCATED',
    label: '未分配',
    dataEditable: false,
  },
  1: {
    value: 'PARTIAL_ALLOCATED',
    label: '部分分配',
    dataEditable: false,
  },
  2: {
    value: 'ALLOCATED',
    label: '已分配',
    dataEditable: true,
  },
};

// 资金分配操作开关 mapping
export const fundAllocatingMap = {
  0: {
    value: 'ALLOCATING_DISABLED',
    label: '不允许分配',
    dataEditable: false,
  },
  1: {
    value: 'ALLOCATING_ENABLED',
    label: '允许分配',
    dataEditable: true,
  },
};

// 操作类型 map
export const operationMap = {
  DISTRIBUTION: {
    value: 'DISTRIBUTION',
    label: '分配',
    radix: 1,
  },
  EXTRACT: {
    value: 'EXTRACT',
    label: '提取',
    radix: -1,
  },
};
