import {
  getStudentContractProductDistributionList,
  getContractProductDistributionInfo,
  getContractProductListByStudentId,
  getContractProductDistributionInfoListByStudentId,
} from 'SERVICE/contract';

// 科次业绩分配查询列表
const getStudentContractProductDistributionListApi = async (params) => {
  let data = await getStudentContractProductDistributionList(params);
  return data;
};

// 产品合同的科次分配合计数据
const getContractProductDistributionInfoApi = async (params) => {
  let data = await getContractProductDistributionInfo(params);
  return data;
};

// 获取学生合同列表
const getContractProductListByStudentIdApi = async (params) => {
  let data = await getContractProductListByStudentId(params);
  return data.data;
};

// 获取学生的合同产品列表（包括科次业绩分配统计）
const getContractProductDistributionInfoListByStudentIdApi = async (params) => {
  let data = await getContractProductDistributionInfoListByStudentId(params);
  return data.data;
};
export default {
  getStudentContractProductDistributionListApi,
  getContractProductDistributionInfoApi,
  getContractProductListByStudentIdApi,
  getContractProductDistributionInfoListByStudentIdApi,
};
