import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';

/**
 * 渲染产品名称
 *
 * @param props
 * @return {*}
 * @constructor
 */
const TableProduct = (props) => {
  return (
    <span className={style.TableProduct}>
      <span className={style.TableProductName}>{props.name}</span>
    </span>
  );
};

TableProduct.propTypes = {
  type: PropTypes.string.isRequired,
  name: PropTypes.string.isRequired,
};

export default TableProduct;
