// 自动计算优惠
const calcAuto = 'calcAuto';
// 手动计算优惠
const calcManual = 'calcManual';

const winter = 'DAT0000000230';
const spring = 'DAT0000000231';
const summer = 'DAT0000000232';
const autumn = 'DAT0000000233';
const all = 'DAT0000000235';

const OTHER_CATEGORY_TYPE_MARKETING = 'DAT000000673225'; // 费用类型-市场

const quarter = {
  [winter]: 1,
  [spring]: 2,
  [summer]: 3,
  [autumn]: 4,
  [all]: 5,
};

const ONE_ON_ONE_COURSE = 'ONE_ON_ONE_COURSE';
const ONE_ON_MANY = 'ONE_ON_MANY';
const SMALL_CLASS = 'SMALL_CLASS';
const TWO_TEACHER = 'TWO_TEACHER';
const ECS_CLASS = 'ECS_CLASS';
const LECTURE = 'LECTURE';
const OTHERS = 'OTHERS';
const ALL = 'ALL';

const NEW_CONTRACT = 'NEW_CONTRACT';
const RE_CONTRACT = 'RE_CONTRACT';

const contractTypeCfg = {
  [NEW_CONTRACT]: '新签合同',
  [RE_CONTRACT]: '续费合同',
};

const calcCouponIdCfg = {
  [SMALL_CLASS](id) {
    return `XB-${id}`;
  },
  [TWO_TEACHER](id) {
    return `SS-${id}`;
  },
};

const NORMAL = 'NORMAL';
const ENDED = 'ENDED';
const CLOSE_PRODUCT = 'CLOSE_PRODUCT';
const UNVALID = 'UNVALID';
const FROZEN = 'FROZEN';

const activeUseCaseCfg = {
  [NEW_CONTRACT]: 'NEW',
  [RE_CONTRACT]: 'RE',
};

export {
  calcAuto,
  calcManual,
  winter,
  spring,
  summer,
  autumn,
  ONE_ON_ONE_COURSE,
  ONE_ON_MANY,
  SMALL_CLASS,
  TWO_TEACHER,
  ECS_CLASS,
  LECTURE,
  OTHERS,
  ALL,
  NEW_CONTRACT,
  RE_CONTRACT,
  contractTypeCfg,
  calcCouponIdCfg,
  NORMAL,
  ENDED,
  CLOSE_PRODUCT,
  UNVALID,
  FROZEN,
  activeUseCaseCfg,
  quarter,
  OTHER_CATEGORY_TYPE_MARKETING,
};
