// 优惠券类型 {COUPON_MARKET: 营销优惠券, COUPON_NORMAL: 普通优惠券, COUPON_REDEEM: 无门槛优惠券, COUPON_DEPOSIT: 预存抵扣券}
export const PROMOTION_NATURE_NORMAL = 'COUPON_NORMAL';
export const PROMOTION_NATURE_DEPOSIT = 'COUPON_DEPOSIT';
export const PROMOTION_NATURE_REDEEM = 'COUPON_REDEEM';

export const promotionNatureDict = [
  { text: '券类型', val: '' },
  { text: '满减券', val: PROMOTION_NATURE_NORMAL },
  { text: '抵扣券', val: PROMOTION_NATURE_DEPOSIT },
  { text: '代金券', val: PROMOTION_NATURE_REDEEM },
];

// 连报条件
export const continuityTypeDict = [
  { text: '不连报', val: 'NONE' },
  { text: '暑秋连报', val: 'SUM_AUT' },
  { text: '寒春连报', val: 'WIN_SPR' },
];

// 叠加条件
export const superPositionDict = [
  { text: '可叠加', val: '1' },
  { text: '不可叠加', val: '0' },
];
