
# 合同产品字段

| key | keyName | type | others |
|----|----|----|----|
| productId | 产品id | string |  |
| productVersionId | 产品年份id | string |  |
| productName | 产品名称 | string |  |
| classId | 班级id | string |  |
| className | 班级名称 | string |  |
| quarterId | 季度名称 | string |  |
| quarterName | 季度id | string |  |
| subjectId | 科目id | string |  |
| gradeId | 年级id | string |  |
| classTypeId | 班级类型id | string |  |
| subjectName | 科目名称 | string |  |
| mainTeacherId | 主讲老师/班主任id | string |  |
| mainTeacherName | 主讲老师/班主任名称 | string |  |
| assistTeacherId | 辅导老师/任课老师id | string |  |
| assistTeacherName | 辅导老师/任课老师名称 | string |  |
| consumeCourseHours | 已上课时 | number |  |
| totalCourseHours | 总课时 | number |  |
| productType | 产品类型 | string |  |
| productTypeName | 产品类型名称 | string |  |
| maxPeopleQuantity | 最多报名人数 | number |  |
| peopleQuantity | 已报名人数 | number |  |
| startClassDate | 开课日期 | string |  |
| startClassTime | 开始上课时间 | string |  |
| classLength | 上课总时长 | number | 每讲课时数 * 课时时长 |
| price | 价格 | number |  |
| status | 合同产品状态 | string | 正常，结束，结课，无效，冻结 |
| statusValue | 合同产品状态Value | string |  |
| continueClassId | 续班id | string |  |
| extendClassId | 扩班id | string |  |
| promotions | 产品绑定优惠 | Object[] |  |
| promotions[0].id | 优惠id | String | |
| promotions[0].name | 优惠名称 | String | |
| otherOfCategoryId | (其他)所属产品类型 | String | |
| productCharacterId | 产品性质id | String | |
| productCharacterName | 产品性质 | String | 引流、常规 |
| contractPayCategory | 产品分账 | String | 小班(A、B) |
|  |  |  |  |
| branchId | 分公司id |  |  |
| branchName | 分公司名称 |  |  |
| campusId | 学习中心id |  |  |
| campusName | 学习中心名称 |  |  |
| classTypeId | 班级类型id |  |  |
| classTypeName | 班级类型名称 |  |  |
| classLevelId | 班级层次id |  |  |
| classLevelName | 班级层次名称 |  |  |
| courseSeriesId | 产品系列id |  |  |
| courseSeriesName | 产品系列名称 |  |  |
| nextCourseDate | 下次上课日期 |  |  |
| validEndDate | 截止日期 |  |  |
|  |  |  |  |
| subProducts | 子产品信息 | Object[] |  |
| subProducts[0].productId | 子产品ID | String | |
| subProducts[0].productName | 子产品名称 | String | |
| subProducts[0].productType | 子产品类型 | String | |
| subProducts[0].productTypeName | 子产品类型名称 | String | |
| subProducts[0].quarterId | 子产品季度id | String | |
| subProducts[0].quarterName | 子产品季度名称 | String | |
| subProducts[0].subjectId | 子产品科目id | String | |
| subProducts[0].subjectName | 子产品科目名称 | String | |
| subProducts[0].price | 子产品价格 | number | |
| subProducts[0].status | 子产品状态 | String | |
| subProducts[0].statusValue | 子产品状态value | String | |
| subProducts[0].validEndDate | 子产品截止日期 | String | |
| subProducts[0].promotions | 子产品绑定优惠 | Object[] | |
| subProducts[0].promotions[0].id | 子产品优惠id | String | |
| subProducts[0].promotions[0].name | 子产品优惠名称 | String | |
| subProducts[0].count | 子产品数量 | number | |
|  |  |  |  |
| quantity | (实际购买)数量 |  |  |
| payment | 产品总额 |  |  |
| promotionAmount | 优惠款 |  |  |
| realAmount | 应收款 |  |  |
|  |  |  |  |

