// 业务类型
const operationTypeDict = [
  { val: 'CHANGE_CLASS', text: '转班' },
  { val: 'SIGN_CLASS', text: '报班' },
];

// 转班类型
const changeTypeDict = [
  { val: 'SAME_PRODUCT', text: '同产品转班' },
  { val: 'NOT_SAME_PRODUCT', text: '跨产品转班' },
];

// 审批状态
const auditStatusDict = [
  { val: 'AUDITING', text: '审批中' },
  { val: 'AUDIT_COMPLETED', text: '已通过' },
  { val: 'AUDIT_REJECT', text: '未通过' },
  { val: 'AUDIT_STOP', text: '已终止' },
];

// 转班状态
const changeStatusDict = [
  { val: 'AUDITING', text: '转班审批' },
  { val: 'CHANGE_SUCCESS', text: '转班成功' },
  { val: 'CHANGE_FAIL', text: '转班失败' },
  { val: 'CHANGE_EXCEPTION', text: '转入异常' },
];

// 是否确认
const isConfirmDict = [
  { val: '0', text: '未确认' },
  { val: '1', text: '已确认' },
];

const confirmMap = isConfirmDict.reduce((acc, item) => {
  const { val, text } = item;
  acc[val] = text;
  return acc;
}, {});

export default {
  operationTypeDict,
  changeTypeDict,
  auditStatusDict,
  changeStatusDict,
  isConfirmDict,
  confirmMap,
};
