import React from 'react';
import { connect } from 'dva';
import Main from './Main';
import dicts from './dicts';

class ClassScheduleStudent extends React.Component {
  render() {
    return <Main {...this.props.params} ownerType={dicts.OWNER_TYPE_STUDENT} route={this.props.route} />;
  }
}

const mapStateToProps = (state) => {
  return {
    params: state.main.pageParams['/ClassScheduleStudent'],
  };
};

export default connect(mapStateToProps)(ClassScheduleStudent);
