import showMessage from 'COMPONENT/utils/globalTips/showMessage';

function errorsHandling(handleErr, errKeyName) {
  return function (err) {
    showMessage(errKeyName ? err[errKeyName] : err.text, 'error');
    if (handleErr) handleErr();
  };
}

export { errorsHandling };
