/**
 * Created by Haolin on 2019/3/19.
 */
import React from 'react';
import { connect } from 'dva';
import style from './index.less';
import SelectedProductCard from './SelectedProductCard';

class SelectedProductDesk extends React.Component {
  constructor(props) {
    super(props);
  }
  static classPrefix = 'SelectedProductDesk';

  render() {
    const { dataSource, onBtnClick } = this.props;
    const prefix = SelectedProductDesk.classPrefix;

    return (
      <div className={style[prefix]}>
        {dataSource.length > 0 ? (
          dataSource.map((item, index) => (
            <SelectedProductCard
              data={item}
              index={index}
              onBtnClick={() => {
                onBtnClick(index);
              }}
              key={index}
            />
          ))
        ) : (
          <div className={style[`${prefix}-noData`]}>暂无</div>
        )}
      </div>
    );
  }
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps)(SelectedProductDesk);
