import React from 'react';
import styles from './index.less';
import notDataDef from 'ASSET/imgs/notDataDef.png';

class DefaultTip extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { message } = this.props;
    return (
      <div className={styles.center}>
        <div>
          <img src={notDataDef} />
          <p className={styles.tip}>暂无数据</p>
          <p className={styles.message}>{message}</p>
        </div>
      </div>
    );
  }
}

export default DefaultTip;
