/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/1/3.
 */
import classNames from 'classnames';
import style from './style.less';

const Label = (props) => {
  const { children, required } = props;
  const classPrefix = 'Label';
  return (
    <div className={classNames(style[classPrefix], required ? style[`${classPrefix}-required`] : '')}>{children}</div>
  );
};
Label.defaultProps = {
  required: false,
};

export default Label;
