import { miniClassRemindByAttendanceList, miniClassRemindByCourseList } from 'SERVICE/course';

const remindByAttendanceListApi = async (params) => {
  let { rowCount: total, datas: remindByAttendanceListData } = await miniClassRemindByAttendanceList(params);
  return {
    total,
    remindByAttendanceListData,
  };
  // return {
  //   total: 100,
  //   remindByAttendanceListData: [
  //     {
  //       attendanceId: 'attendanceId',
  //       studentId: 'studentId',
  //       studentName: 'studentName',
  //       customerId: 'customerId',
  //       customerName: 'customerName',
  //       customerContact: 'customerContact',
  //       branchId: 'branchId',
  //       branchName: 'branchName',
  //       campusId: 'campusId',
  //       campusName: 'campusName',
  //       miniClassId: 'miniClassId',
  //       miniClassName: 'miniClassName',
  //       studyManegerId: 'studyManegerId',
  //       studyManegerName: 'studyManegerName',
  //       homeroomTeacherId: 'homeroomTeacherId',
  //       homeroomTeacherName: 'homeroomTeacherName',
  //       teacherId: 'teacherId',
  //       teacherName: 'teacherName',
  //       courseNum: 'courseNum',
  //       courseDate: 'courseDate',
  //       courseTime: 'courseTime',
  //       isNotAtt: 'isNotAtt',
  //     }
  //   ]
  // }
};

const remindByCourseListApi = async (params) => {
  let { rowCount: total, datas: remindByCourseListData } = await miniClassRemindByCourseList(params);
  return {
    total,
    remindByCourseListData,
  };
  // return {
  //   total: 100,
  //   remindByCourseListData: [
  //     {
  //       branchId: 'branchId',
  //       branchName: 'branchName',
  //       campusId: 'campusId',
  //       campusName: 'campusName',
  //       miniClassId: 'miniClassId',
  //       miniClassName: 'miniClassName',
  //       studyManegerId: 'studyManegerId',
  //       studyManegerName: 'studyManegerName',
  //       teacherId: 'teacherId',
  //       teacherName: 'teacherName',
  //       courseNum: 'courseNum',
  //       courseDate: 'courseDate',
  //       courseTime: 'courseTime',
  //       firstAttendentTime: 'firstAttendentTime',
  //       isTodayWaitingAtt: 'isTodayWaitingAtt',
  //       isOverdueAtt: 'isOverdueAtt',
  //     }
  //   ]
  // }
};

export default {
  remindByAttendanceListApi,
  remindByCourseListApi,
};
