import React from 'react';
import Modal from 'COMPONENT/Modal';
import style from './index.less';

export default class BossModal extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    return (
      <Modal
        title={this.props.title}
        width={this.props.width || 500}
        onCancel={this.props.onCancel}
        onOk={this.props.onCancel}
        okBtnShow={this.props.okBtnShow}
        cancelBtnShow={this.props.cancelBtnShow}
        okText={this.props.okText}
        cancelText={this.props.cancelText}
        className={style.bossModal}
      >
        {this.props.html ? <div dangerouslySetInnerHTML={{ __html: this.props.html }}></div> : <p>{this.props.text}</p>}
      </Modal>
    );
  }
}
