import React from 'react';
import PropTypes from 'prop-types';
import SelectCourseModal from 'PAGE/course/ClassAdjustment/StudentDetail/SelectCourseModal';

class Modal extends React.Component {
  constructor(props) {
    super(props);
  }

  static propTypes = {
    productId: PropTypes.string.isRequired,
  };

  render() {
    return (
      <SelectCourseModal
        title="选择所退课程"
        productId={this.props.productId}
        multiSelect={true}
        onCancel={() => this.props.onClose()}
        onConfirm={() => this.props.onClose()}
        noDataDirectCallback={() => {}}
      />
    );
  }
}

export default Modal;
