import { formatCurrency } from 'COMPONENT/utils/basic/num';

/**
 * 格式化金额，如￥2,100.00
 * @param  {number} money 金额
 * @return {string}
 */
const formatMoney = (money) => formatCurrency(money, '￥');

export default {
  formatMoney,
};
