// 操作类型
export const OperateType = [
  { text: '跨学习中心扣费', val: 'CROSS_CAMPUS_DEDUCTION' },
  { text: '跨学习中心扣费冲销', val: 'CROSS_CAMPUS_WASHCHARGE' },
  { text: '跨学习中心退费', val: 'CROSS_CAMPUS_REFUND' },
  { text: '跨学习中心转账', val: 'CROSS_CAMPUS_TRANSFER' },
  { text: '跨学习中心电子消费', val: 'CROSS_CAMPUS_ELECTRONIC_ACCOUNT_CONSUME' },
  { text: '跨性质电子消费', val: 'CROSS_CHARACTER_ELECTRONIC_ACCOUNT_CONSUME' },
  { text: '跨性质跨学习中心电子消费', val: 'CROSS_CHARACTER_CAMPUS_ELECTRONIC_ACCOUNT_CONSUME' },
  { text: '无', val: 'NONE' },
];
export const OperateTypeDict = [
  { text: '跨学习中心扣费', val: 'CROSS_CAMPUS_DEDUCTION' },
  { text: '跨学习中心扣费冲销', val: 'CROSS_CAMPUS_WASHCHARGE' },
  { text: '跨学习中心退费', val: 'CROSS_CAMPUS_REFUND' },
  { text: '跨学习中心转账', val: 'CROSS_CAMPUS_TRANSFER' },
  { text: '跨学习中心电子消费', val: 'CROSS_CAMPUS_ELECTRONIC_ACCOUNT_CONSUME' },
];

// 结算状态
export const SETTLEMENT_STATUS_NO = '1';
export const SETTLEMENT_STATUS_YES = '4';
export const SettlementStatus = [
  { text: '未结算', val: SETTLEMENT_STATUS_NO },
  { text: '已结算', val: SETTLEMENT_STATUS_YES },
];
export const SettlementStatusDict = [
  { text: '未知', val: '0' },
  { text: '未结算', val: SETTLEMENT_STATUS_NO },
  { text: '已结算', val: SETTLEMENT_STATUS_YES },
];
export const SettlementStatusListDict = [
  { text: '否', val: SETTLEMENT_STATUS_NO },
  { text: '是', val: SETTLEMENT_STATUS_YES },
];

// 学习中心类型
export const CampusType = [
  { text: '扣费学习中心', val: '3' },
  { text: '退费学习中心', val: '4' },
  { text: '转入学习中心', val: '5' },
  { text: '电子账户学习中心', val: '6' },
];
export const CampusTypeDict = [
  { text: '合同学习中心', val: '1' },
  { text: '收款学习中心', val: '2' },
  { text: '扣费学习中心', val: '3' },
  { text: '退费学习中心', val: '4' },
  { text: '转入学习中心', val: '5' },
  { text: '电子账户学习中心', val: '6' },
];
