import React from 'react';
import style from './index.less';

const classPrefix = 'TheWrapper';

const TheWrapper = (props) => {
  return (
    <div className={style[classPrefix]}>
      <div className={style[`${classPrefix}-main`]} style={props.mainStyle}>
        {props.children}
      </div>
      <div className={style[`${classPrefix}-footer`]}>{props.footer}</div>
    </div>
  );
};
TheWrapper.defaultProps = {
  mainStyle: {},
};

export default TheWrapper;
