import React from 'react';
import styles from './styles.less';
import OneList from './OneList';

class IndexArticleManage extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    const {
      list,
      isTopUser,
      isTopOrg,
      orgDict,
      menuTree,
      onReload,
      orgId,
      onLoadingStart,
      onLoadingEnd,
      colCount,
      mode,
      onEditArticle,
      menuItem,
    } = this.props;
    return (
      <div>
        {list.map((li, i) => {
          return (
            <OneList
              key={i}
              data={li}
              isTopUser={isTopUser}
              isTopOrg={isTopOrg}
              orgDict={orgDict}
              menuTree={menuTree}
              onReload={onReload}
              orgId={orgId}
              onLoadingStart={onLoadingStart}
              onLoadingEnd={onLoadingEnd}
              onSaveSuccess={onReload}
              colCount={colCount}
              mode={mode}
              menuItem={menuItem}
              onEditArticle={onEditArticle}
            />
          );
        })}
      </div>
    );
  }
}

export default IndexArticleManage;
