import React from 'react';
import Input from 'COMPONENT/Input';
import styles from './index.less';

class Link extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    let { link } = this.props;
    return (
      <div className={styles.linkContains}>
        <div>
          <div className={styles.title}>链接</div>
          <div>
            <Input
              placeholder="在此输入跳转链接"
              className={styles.input}
              value={link}
              onChange={(e) => this.props.updateLink('content', e.target.value)}
            />
          </div>
        </div>
      </div>
    );
  }
}

export default Link;
