import React from 'react';
import Modal from 'COMPONENT/Modal';
import styles from './preview.less';
class Preview extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      name: '',
    };
  }
  onOk = () => {};
  onChange = (value) => {
    this.setState({ name: value });
  };
  render() {
    let { onClose, content, title } = this.props;
    return (
      <Modal
        loading={false}
        onOk={onClose}
        title="预览"
        width={722}
        okBtnShow={false}
        closable={true}
        cancelBtnShow={false}
        onCancel={onClose}
        className={styles.modal}
      >
        <div className={styles.ipadContains}>
          <div className={styles.frame}>
            <div className={styles.menu}></div>
            <div className={styles.content}>
              <div className={styles.scale}>
                <h1 dangerouslySetInnerHTML={{ __html: title }}></h1>
                <div dangerouslySetInnerHTML={{ __html: content }}></div>
              </div>
            </div>
          </div>
        </div>
      </Modal>
    );
  }
}
export default Preview;
