import React from 'react';
import Modal from 'COMPONENT/Modal';
import styles from './index.less';

import Upload from '../upload/index';

class AddMenu extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      name: '',
    };
  }

  onOk = () => {
    let { src } = this.state;
    let { upDateSrc } = this.props;
    upDateSrc(src);
  };
  onChange = (value) => {
    this.setState({ name: value });
  };
  upDateSrc = (src) => {
    this.setState({ src });
  };

  render() {
    let { onClose } = this.props;
    let { name } = this.state;
    return (
      <Modal
        loading={false}
        onCancel={onClose}
        onOk={this.onOk}
        title="上传图片"
        width={580}
        okBtnShow={true}
        cancelText="取消"
        okText="确定"
        className={styles.modal + ' ' + styles.carousel}
      >
        <Upload
          iconSize={40}
          tips={(e) => <div style={{ color: '#999', fontSize: 12, marginTop: 25 }}>图片建议上传大小：520 x 260</div>}
          upDateSrc={(src) => this.upDateSrc(src)}
        />
      </Modal>
    );
  }
}

export default AddMenu;
