/**
 * 通过ID查找树节点
 * @param data
 * @param id
 */
export function findTreeNodeById(data, id) {
  let node = null;
  let parentNode = null;

  let getNode = function (nodeList, nodeId) {
    for (let item of nodeList) {
      if (node) {
        break;
      }

      if (item.id === nodeId) {
        node = item;
        break;
      } else if (item.children && item.children.length > 0) {
        parentNode = item;
        getNode(item.children, nodeId);
      } else {
        continue;
      }
    }
  };

  getNode(data, id);

  if (!node) {
    parentNode = null;
  }

  return {
    node,
    parentNode,
  };
}
