export const distributeRoleCodeMap = {
  TWO_TEACHER: 'OPERATOR_GROUP_LEADER',
  XINGHUO: 'CAMPUS_OPERATION_DIRECTOR',
  ADVANCE: 'MARKET_ACTIVITY_LEADER',
};

// 不同系统权限功能
export const roleCodeFeatureMap = {
  XINGHUO: {
    // ------------order.js ---------------------
    // 类似于学习中心营运主任 当前角色才可以进行分配
    // 对于双师来说 分配角色为运营组负责人 星火为 学习中心营运主任 培优为 引流项目负责人
    DISTRIBUTE_ROLE_CODE: 'CAMPUS_OPERATION_DIRECTOR',
    // 是否限制只有学习中心权限才进行 星火限制只有学习中心权限才可以进行分配
    LIMIT_CAMPUS_DISTRIBUTE: true,
    // 分配的时候是否把学管师也加上在字典里面 星火是需要咨询师和学管师 培优只要退费分班 双师只要课程顾问
    SHOW_XGS_DICT: true,
    // 分配的时候选择谁为跟进人的字典loader 星火是需要咨询师和学管师 培优只要退费分班 双师只要课程顾问
    FOLLOW_UP_PERSON_LOADER: 'getConsultantDict',
    // 退款审核人的字典loader 双师是营运负责人（load2TeacherYYZFZRDict） 星火是学习中心营运负责人（loadXQYYZRDict）  培优是引流项目负责人 loadPeiYouRefundPersonDict
    REFUND_PERSON_LOADER_NAME: 'loadXQYYZRDict',
    // ------------share.js -------------------------
    // 分享的时候是否有来源细分 双师没有
    IS_SHARE_HAS_CUS_ORG: true,
    // 可以手动选择分享人是谁 false的话那么不可选只能为自己
    // 如果不是双师 也就是星火的话如果角色是市场经理那么邀请人可以自己选
    CAN_SELECT_SHARE_PERSON: 'BREND_MERKETING_DIRECTOR',
    // 下拉获取分享人字典的loader名称
    SELECT_SHARE_PERSON_LOADER: 'loadMarketerDict',
    // 分享二维码标题的时候显示数字排序 培优功能
    SHARE_TITLE_NUM: false,

    /*报班后续的步奏不用修改 所以这里暂时不提取*/
  },
  TWO_TEACHER: {
    DISTRIBUTE_ROLE_CODE: 'OPERATOR_GROUP_LEADER',
    LIMIT_CAMPUS_DISTRIBUTE: false,
    IS_SHARE_HAS_CUS_ORG: false,
    SHOW_XGS_DICT: false,
    FOLLOW_UP_PERSON_LOADER: 'loadCourseTeacherDict',
    REFUND_PERSON_LOADER_NAME: 'load2TeacherYYZFZRDict',
    CAN_SELECT_SHARE_PERSON: false,
    SELECT_SHARE_PERSON_LOADER: null,
    SHARE_TITLE_NUM: false,
  },
  ADVANCE: {
    DISTRIBUTE_ROLE_CODE: 'MARKET_ACTIVITY_LEADER',
    LIMIT_CAMPUS_DISTRIBUTE: false,
    IS_SHARE_HAS_CUS_ORG: true,
    SHOW_XGS_DICT: false,
    FOLLOW_UP_PERSON_LOADER: 'loadPeiYouDistrbuteDict',
    REFUND_PERSON_LOADER_NAME: 'loadPeiYouRefundPersonDict',
    CAN_SELECT_SHARE_PERSON: 'MARKET_ACTIVITY_LEADER',
    SELECT_SHARE_PERSON_LOADER: 'loadPeiYouTeacherDict',
    SHARE_TITLE_NUM: true,
  },
};
// 、loadPeiYouDistrbuteDict
