// 不同系统权限功能
export const roleCodeFeatureMap = {
  XINGHUO: {
    // ------------order.js ---------------------
    // 分配的时候是否把学管师也加上在字典里面 星火是需要咨询师和学管师 培优只要退费分班 双师只要课程顾问
    SHOW_XGS_DICT: true,
    // 分配的时候选择谁为跟进人的字典loader 星火是需要咨询师和学管师 培优只要退费分班 双师只要课程顾问
    FOLLOW_UP_PERSON_LOADER: 'getConsultantDict',
    // 退款审核人的字典loader 双师是营运负责人（load2TeacherYYZFZRDict） 星火是校区营运负责人（loadXQYYZRDict）  培优是引流项目负责人 loadPeiYouRefundPersonDict
    REFUND_PERSON_LOADER_NAME: 'loadXQYYZRDict',
  },
  TWO_TEACHER: {
    SHOW_XGS_DICT: false,
    FOLLOW_UP_PERSON_LOADER: 'loadCourseTeacherDict',
    REFUND_PERSON_LOADER_NAME: 'load2TeacherYYZFZRDict',
  },
  ADVANCE: {
    SHOW_XGS_DICT: false,
    FOLLOW_UP_PERSON_LOADER: 'loadPeiYouDistrbuteDict',
    REFUND_PERSON_LOADER_NAME: 'loadPeiYouRefundPersonDict',
  },
};

/**
 * 格式化意向校区ID
 *
 * @param campusDict
 * @return {null}
 */
export function formatIntentionCampusId(campusDict = []) {
  if (!campusDict || campusDict.length === 0) {
    return null;
  }

  return campusDict[0]['options'] ? campusDict[0]['options'].map((ele) => ele.val) : null;
}
