/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/5/29.
 */
import React from 'react';
import style from './index.less';

const classPrefix = 'Wrapper';

const Wrapper = (props) => {
  return (
    <div className={style[classPrefix]}>
      {props.header && <div className={style[`${classPrefix}-header`]}>{props.header}</div>}
      {props.children && <div className={style[`${classPrefix}-body`]}>{props.children}</div>}
      {props.footer && <div className={style[`${classPrefix}-footer`]}>{props.footer}</div>}
    </div>
  );
};

export default Wrapper;
