import { Radio } from './constants';

/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/5/29.
 */
function listAllQuestionnaires(apiParams) {
  console.log(apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultCode: 0,
      resultMessage: 'success',
      rows: [
        {
          id: 'mock0001',
          orgName: '东莞分公司',
          name: '引流活动课外兴趣收集01',
          status: 0,
          createTime: 1559093421000,
        },
        {
          id: 'mock0002',
          orgName: '东莞分公司',
          name: '引流活动课外兴趣收集02',
          status: 0,
          createTime: 1559093421000,
        },
        {
          id: 'mock0003',
          orgName: '东莞分公司',
          name: '引流活动课外兴趣收集03',
          status: 0,
          createTime: 1559093421000,
        },
      ],
      records: 3,
    };
    setTimeout(() => {
      resolve(rsp);
    }, 1000);
  });
}
function saveQuestionnaire(apiParams) {
  console.log(apiParams);
  return new Promise((resolve) => {
    setTimeout(() => {
      resolve({
        resultCode: 0,
        resultMessage: 'success',
      });
    }, 1000);
  });
}
function selectById(apiParams) {
  console.log(apiParams);
  return new Promise((resolve) => {
    let rsp = {
      resultCode: 0,
      resultMessage: '',
      data: {
        bossQuestionnaire: {
          id: 6,
          orgId: '000002',
          name: '学生信息搜集hom',
          status: 0,
          isDelete: 0,
          createUserId: '112233',
          updateUserId: '112233',
          createTime: 1559295261000,
          updateTime: 1559295261000,
          orgName: '东莞分公司',
        },
        topicList: [
          {
            id: '6093427c33c94dfaba188315ebc4b8f1',
            sort: null,
            topic: '你最喜欢的科目是什么？',
            type: 1,
            required: true,
            optionList: [
              {
                id: '9f97ceba5341403a9fbe4730ebac84cb',
                sort: null,
                name: '语文',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '65982ba763b4471f861900e70b0d1e8a',
                sort: null,
                name: '英语',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '3e9c505470d443afb7f5a7f0d1ee7bf1',
                sort: null,
                name: '数学',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '7943f238a1754087834f2b8f27b33de7',
                sort: null,
                name: '其他',
                allowRemark: true,
                selected: false,
                remark: null,
                deleted: false,
              },
            ],
            deleted: null,
          },
          {
            id: '698ad06808df4832b87d65658c094d29',
            sort: null,
            topic: '你一般每天在课后会学习多长时间？',
            type: 1,
            required: true,
            optionList: [
              {
                id: '84dddb6a8f464512a24f4d9a9dbb971f',
                sort: null,
                name: '1小时',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '771b9332980c4bdd9e3cd94722472c64',
                sort: null,
                name: '2小时',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '571eb735e0ed411cbb45afdfaba691d5',
                sort: null,
                name: '3小时以上',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '15345e5560f64a658d533b7d3e311920',
                sort: null,
                name: '没有',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
            ],
            deleted: null,
          },
          {
            id: 'd36cc13beae040ca9d9306992e5e545c',
            sort: null,
            topic: '测试问题',
            type: 2,
            required: true,
            optionList: [
              {
                id: '8d4f3e5a4ebe4087b31b10e6ac5170d5',
                sort: null,
                name: '选项1',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '59cc1e9b49d3460c85dc7e32f83ace90',
                sort: null,
                name: '选项2',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '41979de3e73949b9b43c7e61c9adf548',
                sort: null,
                name: '选项3',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
              {
                id: '12a9b1e7e48b4c6bbe30b273f6058004',
                sort: null,
                name: '选项4',
                allowRemark: false,
                selected: false,
                remark: null,
                deleted: false,
              },
            ],
            deleted: null,
          },
        ],
      },
      timeStamp: 1559296202538,
    };
    setTimeout(() => {
      resolve(rsp);
    }, 1000);
  });
}
function updateQuestionnaireStatus(apiParams) {
  console.log(apiParams);
  return new Promise((resolve, reject) => {
    setTimeout(() => {
      resolve({
        resultCode: 0,
        resultMessage: 'success',
      });
      // reject({
      //   resultCode: 0,
      //   resultMessage: '保存状态失败！',
      //   text: '保存状态失败！',
      // });
    }, 1000);
  });
}

export { listAllQuestionnaires, saveQuestionnaire, selectById, updateQuestionnaireStatus };
