const classTypeDict = [
  { val: 'ONE_ON_ONE_COURSE', text: '一对一' },
  { val: 'SMALL_CLASS', text: '小班' },
  { val: 'OTHERS', text: '其他' },
  { val: 'LECTURE', text: '讲座' },
  { val: 'ONE_ON_MANY', text: '一对多' },
  { val: 'TWO_TEACHER', text: '双师' },
];

const classTypeMap = {
  ONE_ON_MANY: {
    val: 'ONE_ON_MANY',
    text: '一对多',
    // 年级必要 有可能出现课程年级与订单年级不匹配的情况
    isGradeNeeded: true,
  },
  ONE_ON_ONE_COURSE: {
    val: 'ONE_ON_ONE_COURSE',
    text: '一对一',
    // 年级必要 有可能出现课程年级与订单年级不匹配的情况
    isGradeNeeded: true,
  },
  SMALL_CLASS: {
    val: 'SMALL_CLASS',
    text: '小班',
    // 年级必要 有可能出现课程年级与订单年级不匹配的情况
    isGradeNeeded: true,
    isSignClassNeeded: true, //是否需要报班处理
  },
  OTHERS: {
    val: 'OTHERS',
    text: '其他',
    // 年级必要 有可能出现课程年级与订单年级不匹配的情况
    isGradeNeeded: true,
  },
  LECTURE: {
    val: 'LECTURE',
    text: '讲座',
    // 年级必要 有可能出现课程年级与订单年级不匹配的情况
    isGradeNeeded: true,
  },
  TWO_TEACHER: {
    val: 'TWO_TEACHER',
    text: '双师',
    // 年级必要 有可能出现课程年级与订单年级不匹配的情况
    isGradeNeeded: true,
    isSignClassNeeded: true, //是否需要报班处理
  },
};

export { classTypeMap, classTypeDict };
