// 最大优惠方案
export const MAX_PREFERENTIAL = 3;

// 状态字典
export const PROMOTION_STATUS_VALID = 'VALID';
export const PROMOTION_STATUS_INVALID = 'INVALID';
export const promotionStatusDict = [
  { text: '有效', val: PROMOTION_STATUS_VALID },
  { text: '无效', val: PROMOTION_STATUS_INVALID },
];

// 优惠方案状态
export const activityStatusDict = [
  { text: '有效', val: '0' },
  { text: '无效', val: '1' },
];

// 连报条件
export const continuityTypeDict = [
  { text: '不连报', val: 'NONE' },
  { text: '暑秋连报', val: 'SUM_AUT' },
  { text: '寒春连报', val: 'WIN_SPR' },
];

// 优惠券类型大类
export const activityTypeDict = [
  { text: '满减促销', val: 'PROMOTION_FULL_SALE' },
  { text: '打折促销', val: 'PROMOTION_DISCOUNT' },
];

export const dateFormatter = 'YYYY-MM-DD HH:mm:ss';
export const timeFormatter = 'HH:mm:ss';
