import React from 'react';
import PropTypes from 'prop-types';
import style from './index.style.less';

const Info = (props) => {
  return (
    <span className={style.info}>
      {props.label && <span className={style.infoLabel}>{props.label}：</span>}
      <span className={style.infoText}>{props.children || '-'}</span>
    </span>
  );
};

Info.propTypes = {
  label: PropTypes.string,
};

export default Info;
