export const StatusDict = [
  { val: '0', text: '无效' },
  { val: '1', text: '有效' },
];

export const StatusTextMap = new Map([
  [0, '无效'],
  [1, '有效'],
]);

export const SUMMER_AND_AUTUMN = '1';
export const WINTER_AND_SPRING = '2';
export const SINGLE_SPRING = '3';
export const SINGLE_AUTUMN = '4';

export const PeriodTypeDict = [
  { val: '1', text: '暑秋连报' },
  { val: '2', text: '寒春连报' },
  { val: '3', text: '单报春季' },
  { val: '4', text: '单报秋季' },
];

export const PeriodTextMap = new Map([
  [SUMMER_AND_AUTUMN, '暑秋连报'],
  [WINTER_AND_SPRING, '寒春连报'],
  [SINGLE_SPRING, '单报春季'],
  [SINGLE_AUTUMN, '单报秋季'],
]);

// 产品分类 上段 or 下段
export const UpSeg = '1';
export const DownSeg = '2';
export const ProductSegType = {
  [UpSeg]: '阶段一',
  [DownSeg]: '阶段二',
};
export const SegTypeDict = [
  { val: UpSeg, text: '阶段一' },
  { val: DownSeg, text: '阶段二' },
];
