// 有效期字典
export const PRODUCT_STATUS_VALID = '0';
export const PRODUCT_STATUS_INVALID = '1';
export const productStatusDict = [
  { text: '有效', val: PRODUCT_STATUS_VALID },
  { text: '无效', val: PRODUCT_STATUS_INVALID },
];

// 集团ID
export const GROUP_ID = '000001';

/**
 * 根据tabKey获取关联类型
 * @param paneKey 1: 未关联产品, 2: 已关联产品
 * @return {*} 关联类型 0: '未关联产品', 1: '已关联产品'
 */
export const getRelevanceType = function (paneKey = '1') {
  return paneKey === '1' ? 0 : 1;
};
