import { PRODUCT_STATUS_VALID } from '../../config';

const defaultTabKey = '1'; // '1': 未关联产品, '2': 已关联产品
export const defaultTabSearch = {
  val_yearId: null, // 年份
  val_quarterId: null, // 季度
  val_productType: null, // 产品类型
  val_productCharacter: null, // 产品性质
  val_subjectId: null, // 科目
  val_courseSeries: null, // 产品系列
  val_classType: null, // 班级类型
  val_gradeId: null, // 年级
  val_productName: '', // 产品名称
  val_isValid: PRODUCT_STATUS_VALID, // 有效期
  val_productBranchIds: [], // 分公司（当优惠关联选择双师事业部时显示）
};
export const defaultTabList = {
  listLoading: false,
  list: [], // 列表数据
  total: 0, // 总记录数
  pageNo: 1, // 当前页码
  pageSize: 50, // 每页记录数
};
export const defaultTabChecked = {
  allPageChecked: [], // 所有分页选中的列表
};

export const defaultState = {
  tab_key: defaultTabKey, // 当前tab
  tab_one: {
    ...defaultTabSearch,
    ...defaultTabList,
    ...defaultTabChecked,
  },
  tab_two: {
    ...defaultTabSearch,
    ...defaultTabList,
    ...defaultTabChecked,
  },
};
