import { loadImportHistoryApi, loadImportDetailApi, loadOriginDetailApi } from 'SERVICE/product';

const loadImportHistory = async (params) => {
  try {
    const data = await loadImportHistoryApi(params);
    return {
      data,
    };
  } catch (error) {
    return {
      error,
    };
  }
};

const loadImportDetail = async (params) => {
  try {
    const data = await loadImportDetailApi(params);
    return {
      data,
    };
  } catch (error) {
    return {
      error,
    };
  }
};

const loadOriginDetail = async (params) => {
  try {
    const data = await loadOriginDetailApi(params);
    return {
      data,
    };
  } catch (error) {
    return {
      error,
    };
  }
};

export default {
  loadImportHistory,
  loadImportDetail,
  loadOriginDetail,
};
