import { followupCustomerStatistics } from 'SERVICE/customer';

const getFollowupCustomerStatistics = async (params) => {
  const res = await followupCustomerStatistics(params);
  if (res.resultCode !== 0) {
    throw new Error(res.resultMessage);
  }
  return res.data || [];
};

export default {
  getFollowupCustomerStatistics,
};
