const storeName = 'refundStatistics';

const TWO_TEACHER_VAL = 'TWO_TEACHER';
const SMALL_CLASS_VAL = 'SMALL_CLASS';

const contractTypeDict = [
  {
    text: '新签',
    val: 'NEW_CONTRACT',
  },
  {
    text: '续费',
    val: 'RE_CONTRACT',
  },
];
const contractTypeConf = {
  NEW_CONTRACT: '新签',
  RE_CONTRACT: '续费',
};

const productTypeAllow = [TWO_TEACHER_VAL, SMALL_CLASS_VAL];

const dateFormat = 'YYYY-MM-DD';

export {
  storeName,
  TWO_TEACHER_VAL,
  SMALL_CLASS_VAL,
  contractTypeDict,
  contractTypeConf,
  productTypeAllow,
  dateFormat,
};
