import React from 'react';
import Modal from 'COMPONENT/Modal';
import styles from '../styles.less';
import adExample from 'ASSET/imgs/adExample.png';
export default function PreviewModal(props) {
  return (
    <Modal
      className={styles.previewModalWrapper}
      maskClosable={true}
      onCancel={props.onClose}
      width={402}
      closable={false}
      footer={null}
    >
      <div className={styles.previewWrapper}>
        <div className={styles.ad}>
          <img alt="example" style={{ width: '100%', display: 'flex' }} src={props.src || adExample} />
        </div>
      </div>
    </Modal>
  );
}
