/**
 * Created by Haolin on 2018/10/16.
 */
import React from 'react';

const winQRCode = window.QRCode;

class QrCode extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
    this.qrCode = null;
  }
  componentDidMount() {
    this.initQrCode();
  }
  componentWillUnmount() {
    this.qrCode = null;
  }
  initQrCode = () => {
    const { width, height, text } = this.props;
    this.qrCode = new winQRCode(document.querySelector('#qr-code-wrap'), {
      text,
      width,
      height,
      colorDark: '#000000',
      colorLight: '#ffffff',
      correctLevel: winQRCode.CorrectLevel.Q,
    });
  };

  render() {
    return <div id="qr-code-wrap"> </div>;
  }
}

export default QrCode;
