function sendMessage(type, data, path, callback) {
  this.postMessage(JSON.stringify({ type, data, path, callback }));
}

function getPath(query) {
  const path = decodeURIComponent(query.path);
  const allQueryKeys = Object.keys(query);
  const restQueryKeys = allQueryKeys.filter((item) => item !== 'path');
  let pathQuery = '';
  if (restQueryKeys.length > 0) {
    pathQuery = '?' + restQueryKeys.map((key) => `${key}=${query[key]}`).join('&');
  }
  return path + pathQuery;
}

export { sendMessage, getPath };
