import React from 'react';
import style from './style.less';

class Paper extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  /**
   * 更新state
   * */
  updateState = (newState) => {
    this.setState((prevState, props) => {
      return {
        ...newState,
      };
    });
  };

  render() {
    const { header, footer, children } = this.props;
    const {} = this.state;

    return (
      <div id="print-paper">
        <div className="print-paper">
          <div className="print-paper-wrapper">
            <div className="print-paper-header">{header}</div>
            <div className="print-paper-body">{children}</div>
            <div className="print-paper-footer">{footer}</div>
          </div>
        </div>
      </div>
    );
  }
}

export default Paper;
