import React from 'react';
import style from './index.less';
import { Icon } from 'antd';

const classPrefix = 'ActivatingSuccess';

const ActivatingSuccess = (props) => {
  return (
    <div className={style[classPrefix]}>
      <Icon type="check-circle" />
      <span className={style[`${classPrefix}-text`]}>全部激活成功，共激活 {props.successNum} 个</span>
    </div>
  );
};

export default ActivatingSuccess;
