export function getRelationOperationList(apiParams) {
  console.log('getRelationOperationList.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: {
        list: [
          {
            id: 'mock0001',
            createTime: '2020-12-10 15:58:00',
            operateUser: '皇冠梨',
            operateTypeName: '删除',
            customerName: 'hom家长',
            customerContact: '13078945612',
            relation: '没有关系',
            viewButton: 1,
          },
          {
            id: 'mock0002',
            createTime: '2020-12-10 15:58:00',
            operateUser: '皇冠梨',
            operateTypeName: '设置确认家长',
            customerName: 'hom家长',
            customerContact: '13078945612',
            relation: '没有关系',
            viewButton: 0,
          },
          {
            id: 'mock0003',
            createTime: '2020-12-10 15:58:00',
            operateUser: '皇冠梨',
            operateTypeName: '取消确认家长',
            customerName: 'hom家长',
            customerContact: '13078945612',
            relation: '没有关系',
            viewButton: 0,
          },
        ],
        total: 0,
      },
    };
    res.data.total = res.data.list.length;
    setTimeout(function () {
      resolve(res);
    }, 1000);
  });
}

export function restoreCustomerStudent(apiParams) {
  console.log('restoreCustomerStudent.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: null,
    };
    setTimeout(function () {
      resolve(res);
    }, 1000);
  });
}
