/**
 * Created by luoming on 2018/4/18
 */
let option = {
  title: {
    text: '{a|}{b|统计率 }',
    x: 'center',
    y: 'top',
    textStyle: {
      fontWeight: 'normal',
      // color: '#0580f2',
      fontSize: '20',
      rich: {
        a: {
          width: 8,
          height: 8,
          backgroundColor: 'rgba(165,130,255,1)',
          borderRadius: 5,
        },
        b: {
          fontSize: 16,
          padding: [0, 0, 0, 10],
        },
      },
    },
  },
  color: ['#A582FF', '#F5F5F5'],
  legend: {
    show: false,
    itemGap: 12,
    data: [],
  },

  series: [
    {
      name: 'Line 1',
      type: 'pie',
      radius: ['60%', '70%'],
      itemStyle: {
        normal: {
          label: {
            show: false,
          },
          labelLine: {
            show: false,
          },
        },
      },
      hoverAnimation: false,
      data: [
        {
          name: '01',
        },
        {
          name: '02',
        },
      ],
      silent: true,
      clockwise: false,
    },
  ],
};

let option2 = {
  title: {
    text: '{a|}{b|进步率 }',
    x: 'center',
    y: 'top',
    textStyle: {
      fontWeight: 'normal',
      // color: '#0580f2',
      fontSize: '20',
      rich: {
        a: {
          width: 8,
          height: 8,
          backgroundColor: 'rgba(91,232,189,1)',
          borderRadius: 5,
        },
        b: {
          fontSize: 16,
          padding: [0, 0, 0, 10],
        },
      },
    },
  },
  color: ['rgba(91,232,189,1)', '#F5F5F5'],
  legend: {
    show: false,
    itemGap: 12,
    data: [],
  },

  series: [
    {
      name: 'Line 1',
      type: 'pie',
      radius: ['60%', '70%'],
      itemStyle: {
        normal: {
          label: {
            show: false,
          },
          labelLine: {
            show: false,
          },
        },
      },
      hoverAnimation: false,
      data: [
        {
          name: '01',
        },
        {
          name: '02',
        },
      ],
      silent: true,
      clockwise: false,
    },
  ],
};

let option3 = {
  title: {
    text: '{a|}{b|持平率 }',
    x: 'center',
    y: 'top',
    textStyle: {
      fontWeight: 'normal',
      // color: '#0580f2',
      fontSize: '20',
      rich: {
        a: {
          width: 8,
          height: 8,
          backgroundColor: 'rgba(89,193,249,1)',
          borderRadius: 5,
        },
        b: {
          fontSize: 16,
          padding: [0, 0, 0, 10],
        },
      },
    },
  },
  color: ['rgba(89,193,249,1)', '#F5F5F5'],
  legend: {
    show: false,
    itemGap: 12,
    data: [],
  },

  series: [
    {
      name: 'Line 1',
      type: 'pie',
      radius: ['60%', '70%'],
      itemStyle: {
        normal: {
          label: {
            show: false,
          },
          labelLine: {
            show: false,
          },
        },
      },
      hoverAnimation: false,
      data: [
        {
          name: '01',
        },
        {
          name: '02',
        },
      ],
      silent: true,
      clockwise: false,
    },
  ],
};
let option4 = {
  title: {
    text: '{a|}{b|退步率 }',
    x: 'center',
    y: 'top',
    textStyle: {
      fontWeight: 'normal',
      // color: '#0580f2',
      fontSize: '20',
      rich: {
        a: {
          width: 8,
          height: 8,
          backgroundColor: 'rgba(255,106,106,1)',
          borderRadius: 5,
        },
        b: {
          fontSize: 16,
          padding: [0, 0, 0, 10],
        },
      },
    },
  },
  color: ['#FF6A6A', '#F5F5F5'],
  legend: {
    show: false,
    itemGap: 12,
    data: [],
  },

  series: [
    {
      name: 'Line 1',
      type: 'pie',
      radius: ['60%', '70%'],
      itemStyle: {
        normal: {
          label: {
            show: false,
          },
          labelLine: {
            show: false,
          },
        },
      },
      hoverAnimation: false,
      data: [
        {
          name: '01',
        },
        {
          name: '02',
        },
      ],
      silent: true,
      clockwise: false,
    },
  ],
};
let option5 = {
  title: {
    text: '进步率图表',
    textStyle: {
      fontWeight: 'normal',
      fontSize: '16',
    },
  },
  grid: {
    bottom: 40,
  },

  tooltip: {
    trigger: 'item',
    axisPointer: {
      // 坐标轴指示器，坐标轴触发有效
      type: 'line', // 默认为直线，可选为：'line' | 'shadow'
      shadowStyle: {
        opacity: 0,
      },
    },
    position: 'top',
    formatter: '{b} <br/>{c}%',
  },
  xAxis: {
    axisLine: {
      show: false,
    },
    axisTick: { show: false },
    type: 'category',
    data: ['统计率', '进步率', '持平率', '退步率'],
  },
  yAxis: {
    axisLine: {
      show: false,
    },
    splitLine: {
      show: false,
    },
    axisTick: { show: false },
  },
  series: [
    {
      data: [],
      type: 'bar',
      // silent:true,
      itemStyle: {
        //通常情况下：
        normal: {
          color: function (params) {
            let colorList = ['#A582FF', 'rgba(91,232,189,1)', '#59C1F9', '#FF6A6A'];
            return colorList[params.dataIndex];
          },
        },
      },
      //设置柱子的宽度
      barWidth: 15,
    },
  ],
};

export { option, option2, option3, option4, option5 };
