/**
 * Created by luoming on 2018/4/18
 */
let option = {
  grid: {
    bottom: 90,
    left: 30,
    right: 30,
  },
  xAxis: {
    axisLine: {
      show: false,
    },
    axisLabel: {
      rotate: 45,
    },
    axisTick: { show: false },
    type: 'category',
    data: [],
  },
  tooltip: {
    trigger: 'item',
    axisPointer: {
      // 坐标轴指示器，坐标轴触发有效
      type: 'line', // 默认为直线，可选为：'line' | 'shadow'
      shadowStyle: {
        opacity: 0,
      },
    },
    position: 'top',
    formatter: '{b} <br/>{c}%',
  },
  yAxis: {
    axisLine: {
      show: false,
    },
    splitLine: {
      show: true,
      lineStyle: {
        color: '#f5f5f5',
      },
    },
    axisTick: { show: false },
  },
  series: [
    {
      data: [],
      type: 'bar',
      // silent:true,
      itemStyle: {
        //通常情况下：
        normal: {
          color: function (params) {
            if (params.data.name === 'Y') return '#FFDC7A';
            return '#6D67FF';
          },
        },
      },
      //设置柱子的宽度
      barWidth: 15,
    },
  ],
};
export { option };
