import { storeName } from './config';
import { clone } from 'lodash';

const defaultState = {
  sKey: {},
};
Object.freeze(defaultState);

export default {
  namespace: storeName,
  state: {
    // index
    ...clone(defaultState.sKey),
  },
  reducers: {
    updateState(state, action) {
      const { payload } = action;
      return {
        ...state,
        ...payload,
      };
    },
  },
  effects: {
    // index
    *initSKey({ payload: { callback } }, { select, put }) {},
  },
};
