import React from 'react';
import SearchInputComp from 'COMPONENT/Input/SearchInput';

class SearchInput extends React.Component {
  state = {
    val: null,
  };

  onCompositionstart = () => {
    this.searchKeyChangable = false;
  };

  onCompositionend = () => {
    this.searchKeyChangable = true;
    this.onChange();
  };

  onChange = (e) => {
    let val = this.state.val;
    if (e) {
      val = e.target.value;
      this.setState({ val });
    }
    if (this.searchKeyChangable) {
      this.props.onChange(val);
    }
  };

  render() {
    const { val } = this.state;
    const { placeholder } = this.props;
    return (
      <SearchInputComp
        value={val}
        onCompositionStart={this.onCompositionstart}
        onCompositionEnd={this.onCompositionend}
        onInput={this.onChange}
        placeholder={placeholder}
      />
    );
  }
}

export default SearchInput;
