import React from 'react';
import { Modal } from 'antd';
import { TextLink } from 'COMPONENT';
import style from './style.less';

class Result extends React.Component {
  constructor(props) {
    super(props);
  }

  /**
   * 下载模板
   */
  exportResult = () => {
    const link = document.createElement('a');
    const body = document.body;
    link.href = this.props.fileKey;
    link.style.display = 'none';
    link.download = '导入结果.xls';
    body.appendChild(link);
    link.click();
    body.removeChild(link);
  };

  render() {
    return (
      <Modal title="导入结果" width={700} visible={true} onCancel={this.props.onCancel} onOk={this.props.onCancel}>
        <p className={style.importResult}>导入完成</p>
        <p className={style.importResult}>
          本次导入有{this.props.failCount}条数据导入失败
          <TextLink className={style.exportResult} onClick={this.exportResult}>
            导出结果
          </TextLink>
        </p>
      </Modal>
    );
  }
}

export default Result;
