// 获取坐席详情
export function getAgentByAgentId(apiParams) {
  console.log('getAgentByAgentId.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: {
        agentId: 'mock_agentId0001',
        agentName: '坐席01',
        agentEmail: 'test0001@gmail.com',
        agentNick: '昵称01',
        agentRoleName: '呼叫坐席',
        agentStatus: 1,
        voipAccount: 13079846512,
        voipPwd: 'pwd12345678',
        createTime: '2020-08-01 15:30:45',
        organizationName: '中山分校假日广场学习中心',
        bindNumber: 5,
        assignTime: '2020-08-01 15:30:45',
      },
    };
    setTimeout(() => {
      resolve(res);
    }, 1000);
  });
}

// 获取坐席绑定记录
export function listUserAgentRelationLogsByAgentId(apiParams) {
  console.log('listUserAgentRelationLogsByAgentId.apiParams: ', apiParams);
  return new Promise((resolve) => {
    const res = {
      resultCode: 0,
      resultMessage: 'success',
      data: [],
    };
    for (let i = 0; i < 20; i++) {
      res.data.push({
        createTime: '2020-08-01 15:30:45',
        userName: 'xhadmin',
      });
    }
    setTimeout(() => {
      resolve(res);
    }, 1000);
  });
}
