import { addNavs } from '../common';
import registerModel from 'UTIL/registerModel';

const routes = [
  {
    path: 'classRoomManagement',
    name: '教室管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/basicInformationManage/ClassRoomManagement/store/index'));
        cb(null, require('PAGE/basicInformationManage/ClassRoomManagement'));
      });
    },
  },
  {
    path: 'officeSpaceManage',
    name: '场地管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/basicInformationManage/OfficeSpaceManageMent/store/index'));
        cb(null, require('PAGE/basicInformationManage/OfficeSpaceManageMent'));
      });
    },
  },
  {
    path: 'captureRecord',
    name: '摄像头抓拍记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/basicInformationManage/CaptureRecord'));
      });
    },
  },
];

export default addNavs(routes);
