import registerModel from 'UTIL/registerModel';

/* 小班调转退 */
const routes = [
  {
    path: 'CourseStudentAdjustment',
    name: '学生调转退',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/ClassAdjustment/StudentDetail'));
      });
    },
  },
  {
    path: 'registeredClass',
    name: '批量报班',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        // registerModel(require('PAGE/course/RegisteredClass/store/index'));
        cb(null, require('PAGE/course/RegisteredClass'));
      });
    },
  },
  {
    path: 'changeClass',
    name: '批量转班',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/ChangeClass'));
      });
    },
  },
  {
    path: 'ChangeClassFlowRecords',
    name: '转班审批记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/course/ChangeClassFlowRecords/store/index'));
        cb(null, require('PAGE/course/ChangeClassFlowRecords'));
      });
    },
  },
  // 菜单迁移
  {
    path: 'transferStatistics',
    name: '调转退详情统计',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/reportCenter/twoTeacher/TransferStatistics/store'));
        cb(null, require('PAGE/reportCenter/twoTeacher/TransferStatistics'));
      });
    },
  },
  // 小班自定义调转配置
  {
    path: 'smallClassCustomerTransfer',
    name: '小班自定义调转配置',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/SmallClassCustomerTransfer'));
      });
    },
  },
  {
    path: 'smallClassCustomerTransferDetail',
    // path: 'smallClassCustomerTransfer',
    name: '小班自定义调转配置详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/SmallClassCustomerTransfer/SmallClassCustomerTransferDetail'));
      });
    },
  },
];

export default routes;
