const routes = [
  {
    path: 'docLessOverview',
    name: '总览',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/Overview'));
      });
    },
  },
  {
    path: 'docLessColorPrimary',
    name: '主色',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/DetailColorPrimary'));
      });
    },
  },
  {
    path: 'docLessColorAssistant',
    name: '辅助色',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/DetailColorAssistant'));
      });
    },
  },
  {
    path: 'docLessColorBasic',
    name: '基础色',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/DetailColorBasic'));
      });
    },
  },
  {
    path: 'docLessColorFont',
    name: '字体色',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/DetailColorFont'));
      });
    },
  },
  {
    path: 'docLessFontSize',
    name: '字体大小',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/DetailFontSize'));
      });
    },
  },
  {
    path: 'docLessBorderRadius',
    name: '圆角',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/DetailBorderRadius'));
      });
    },
  },
  {
    path: 'docLessShadow',
    name: '阴影',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/DetailShadow'));
      });
    },
  },
  {
    path: 'docLessInputControl',
    name: '输入控件',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/lessPages/DetailInputControl'));
      });
    },
  },
];

export default routes;
