import { addNavs } from '../common';
import OTOCourseCheck from './OTOCourseCheck';

const routes = [
  ...OTOCourseCheck,
  {
    path: 'EleAccFlow',
    name: '电子账户流水',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/financeManage/EleAccFlow'));
      });
    },
  },
  {
    path: 'FinanceSplitAccount',
    name: '学习中心分账明细',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/financeManage/SplitAccount'));
      });
    },
  },
  {
    path: 'platformCollectionStatistics',
    name: '流量平台收款统计',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/financeManage/PlatformCollectionStatistics'));
      });
    },
  },
];

export default addNavs(routes);
