const routes = [
  {
    path: 'ArticleEditBrowser',
    name: '浏览模式内容',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/BrowserMode'));
      });
    },
  },
  {
    path: 'ArticleEditBrowser/TagManage',
    name: '标签管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/BrowserMode/TagManage'));
      });
    },
  },
  {
    path: 'ArticleEditBrowser/Edit',
    name: '编辑图文',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/BrowserMode/Edit'));
      });
    },
  },
  {
    path: 'ArticleEditBrowser/Edit/TagManage',
    name: '标签管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/BrowserMode/TagManage'));
      });
    },
  },
  {
    path: 'ArticleEditWorkbench',
    name: '工作台模式内容',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/WorkbenchMode'));
      });
    },
  },
  {
    path: 'LogRecord',
    name: '发布操作日志',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/LogRecord'));
      });
    },
  },
  {
    path: 'ArticleEditWorkbench/TagManage',
    name: '标签管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/WorkbenchMode/TagManage'));
      });
    },
  },
  {
    path: 'ArticleEditWorkbench/Edit',
    name: '编辑图文',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/WorkbenchMode/Edit'));
      });
    },
  },
  {
    path: 'ArticleEditWorkbench/Edit/TagManage',
    name: '标签管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/WorkbenchMode/TagManage'));
      });
    },
  },
  {
    path: 'ArticlePersonalInfo',
    name: '个人资料查看',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/ArticlePersonalInfo'));
      });
    },
  },
  {
    path: 'ArticlePersonalInfo/Edit',
    name: '查看图文',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/ipadBackEnd/articleEdit/WorkbenchMode/Edit'));
      });
    },
  },
];

export default routes;
