import { addNavs } from '../common';

const routes = [
  {
    path: 'TeacherIntroduction',
    name: '老师介绍',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/personnelManage/TeacherIntroduction'));
      });
    },
  },
  {
    path: 'PersonnelHeadMasterManage',
    name: '学习中心班主任管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/personnelManage/HeadMasterManage'));
      });
    },
  },
  {
    path: 'leadClassRules',
    name: '限课规则库',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/personnelManage/LeadClassRules'));
      });
    },
  },
  {
    path: 'leadClassRules/add',
    name: '规则',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/personnelManage/LeadClassRules/add'));
      });
    },
  },
];

export default addNavs(routes);
