/**
 * Created by luoming on 2018/3/29
 * Edited by Haolin on 2018/12/11
 */
import registerModel from 'UTIL/registerModel';

export default [
  {
    path: 'Voucher',
    name: '满减券',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        /**
         * 满减券、发券、发券历史、用券情况均依赖同个状态管理
         * 由于 发券、发券历史、用券情况 为2级页面，故没有重复注册状态管理
         * PAGE/preferential/Coupons/OverMinusCoupon/store
         * */
        registerModel(require('PAGE/preferential/Coupons/OverMinusCoupon/store'));
        cb(null, require('PAGE/preferential/Coupons/OverMinusCoupon'));
      });
    },
  },
  {
    path: 'Voucher/add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/OverMinusCoupon/AddEdit'));
      });
    },
  },
  {
    path: 'Voucher/edit',
    name: '修改',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/OverMinusCoupon/AddEdit'));
      });
    },
  },
  {
    path: 'Voucher/Issue',
    name: '满减券/按学生发券',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/OverMinusCoupon/Issue'));
      });
    },
  },
  {
    path: 'Voucher/Excel',
    name: '满减券/按Excel发券',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/OverMinusCoupon/Excel'));
      });
    },
  },
  {
    path: 'Voucher/History',
    name: '满减券/发券历史',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/OverMinusCoupon/History'));
      });
    },
  },
  {
    path: 'Voucher/ImportingHistory',
    name: '满减券/导入历史',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/OverMinusCoupon/History/ImportingHistoryPage'));
      });
    },
  },
  {
    path: 'Voucher/UsedInfo',
    name: '满减券/用券情况',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/OverMinusCoupon/UsedInfo'));
      });
    },
  },
  {
    path: 'DiscountCoupons',
    name: '折扣券',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/Discount'));
      });
    },
  },

  {
    path: 'DiscountCoupons/View',
    name: '查看详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/View'));
      });
    },
  },
  {
    path: 'DiscountCoupons/Add',
    name: '新建',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/Add'));
      });
    },
  },
  {
    path: 'DiscountCoupons/Edit',
    name: '编辑',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/Add'));
      });
    },
  },

  {
    path: 'deductionCoupon',
    name: '抵扣券',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/DeductionCoupon'));
      });
    },
  },
  {
    path: 'deductionCoupon/add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/DeductionCoupon/AddEdit'));
      });
    },
  },
  {
    path: 'deductionCoupon/edit',
    name: '修改',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/DeductionCoupon/AddEdit'));
      });
    },
  },
  {
    path: 'deductionCoupon/buyingRecord',
    name: '买券历史',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/DeductionCoupon/BuyingRecord'));
      });
    },
  },
  {
    path: 'depositCoupon',
    name: '定金券使用',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Coupons/DepositCoupon'));
      });
    },
  },
];
