import registerModel from 'UTIL/registerModel';

export default [
  {
    path: 'cashVoucher',
    name: '代金券',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        /**
         * 代金券、发券、发券历史、用券情况均依赖同个状态管理
         * 由于 发券、发券历史、用券情况 为2级页面，故没有重复注册状态管理
         * PAGE/preferential/Voucher/cashVoucher/store
         * */
        registerModel(require('PAGE/preferential/Voucher/cashVoucher/store'));
        cb(null, require('PAGE/preferential/Voucher/cashVoucher'));
      });
    },
  },
  {
    path: 'cashVoucher/add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Voucher/cashVoucher/AddEdit'));
      });
    },
  },
  {
    path: 'cashVoucher/edit',
    name: '修改',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Voucher/cashVoucher/AddEdit'));
      });
    },
  },
  {
    path: 'cashVoucher/Issue',
    name: '代金券/按学生发券',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Voucher/cashVoucher/Issue'));
      });
    },
  },
  // {
  //   path: 'cashVoucher/Excel',
  //   name: '代金券/按Excel发券',
  //   getComponent (nextState, cb) {
  //     require.ensure([], (require) => {
  //       cb(null, require('PAGE/preferential/Voucher/cashVoucher/Excel'));
  //     })
  //   }
  // },
  {
    path: 'cashVoucher/IssuingRecord',
    name: '代金券/发券历史',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Voucher/cashVoucher/IssuingRecord'));
      });
    },
  },
  {
    path: 'cashVoucher/ImportedRecord',
    name: '代金券/导入历史',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Voucher/cashVoucher/ImportedRecord'));
      });
    },
  },
  {
    path: 'cashVoucher/UsedInfo',
    name: '代金券/用券情况',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/preferential/Voucher/cashVoucher/UsedInfo'));
      });
    },
  },
];
