import registerModel from 'UTIL/registerModel';

const routes = [
  {
    path: 'ProductImportHistory',
    name: '课程产品管理/导入历史',
    getComponent: (nextState, cb) => {
      require.ensure([], (require) => {
        cb(null, require('PAGE/product/ProductManager/ImportHistory'));
      });
    },
  },
  {
    path: 'RelevancePreferential',
    name: '关联优惠',
    getComponent(nextState, cb) {
      registerModel(require('PAGE/product/ProductManager/RelevancePreferential/store/branch'));
      registerModel(require('PAGE/product/ProductManager/RelevancePreferential/store/promotion'));
      registerModel(require('PAGE/product/ProductManager/RelevancePreferential/store/tab'));

      require.ensure([], (require) => {
        cb(null, require('PAGE/product/ProductManager/RelevancePreferential'));
      });
    },
  },
];

export default routes;
