/**
 * Created by luoming on 2018/3/6
 */
import { addNavs } from '../common';
import PosReport from './financeReport/PosReport';
import twoTeacher from './twoTeacher';
import branchTrackReport from './branchTrackReport';

const FollowReport = [
  {
    path: 'ExportCenter',
    name: '导出中心',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/ExportCenter'));
      });
    },
  },
  {
    path: 'OTOFollowReport',
    name: '一对一学生服务监控',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/FollowReport'));
      });
    },
  },
  {
    path: 'SmallFollowReport',
    name: '十人课堂学生服务监控',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/FollowReport/smallClass'));
      });
    },
  },
  {
    path: 'MiniClassScoreReport',
    name: '小班成绩报表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/miniClassReport/miniClassScore'));
      });
    },
  },
  {
    path: 'MiniClassScoreReport/MiniClassScoreDetail',
    name: '小班成绩报表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/miniClassReport/miniClassScore/miniClassScoreDetail'));
      });
    },
  },
  {
    path: 'FollowupCustomerStat',
    name: '个人资源跟进管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/PlannerReport/FollowupCustomerStat'));
      });
    },
  },
  {
    path: 'FollowupRate',
    name: '新增资源及时跟进率',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/PlannerReport/FollowupRate'));
      });
    },
  },
  {
    path: 'FollowupRate/Detail',
    name: '新增资源明细',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/PlannerReport/FollowupRate/detail'));
      });
    },
  },
  {
    path: 'FollowupRate/ZeroDetail',
    name: '0跟进学生数明细',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/reportCenter/PlannerReport/FollowupRate/detail'));
      });
    },
  },
];

const routes = [...PosReport, ...FollowReport, ...twoTeacher, ...branchTrackReport];

export default addNavs(routes);
