import buildApi from './buildApi';

const config = {
  //  分页获取小班学生考勤补课登记信息
  getAttendanceMinClassList: {
    url: 'boss-xinghuo-api/attendance/expand/miniClass/page',
    method: 'POST',
    dataType: 'json',
  },

  // 导出小班学生考勤补课登记信息
  exportAttendanceMinClassList: {
    url: 'boss-xinghuo-api/attendance/expand/miniClass/page?isExport=pull',
    method: 'POST',
    dataType: 'json',
  },

  // 批量保存-小班考勤-补课登记
  saveAttendanceMinClass: {
    url: 'boss-xinghuo-api/attendance/expand/miniClass/batchSave',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
