import buildApi from './buildApi';

const config = {
  // 分页获取广电合作现金流
  getHostFinanceReport: {
    url: 'boss-xinghuo-api/hostFinance/page',
    method: 'POST',
    dataType: 'json',
  },

  // 导出广电合作现金流
  exportHostFinanceReport: {
    url: 'boss-xinghuo-api/hostFinance/page?isExport=pull',
    method: 'POST',
    dataType: 'json',
  },

  // 获取分公司下学习中心
  findOrganizationByParentId: {
    url: 'OrganizationController/findOrganizationByParentId.do',
    method: 'GET',
  },
};

export default buildApi(config);
