import buildApi from './buildApi';

const config = {
  // 查询教育平台列表
  getPageEducationPlatform: {
    url: 'boss-xinghuo-api/educationPlatformManage/pageEducationPlatform',
    method: 'POST',
    dataType: 'json',
  },

  // 新增教育平台
  addEducationPlatform: {
    url: 'boss-xinghuo-api/educationPlatformManage/addEducationPlatform',
    method: 'POST',
    dataType: 'json',
  },

  // 更新教育平台信息
  updateEducationPlatformInfo: {
    url: 'boss-xinghuo-api/educationPlatformManage/updateEducationPlatformInfo',
    method: 'POST',
    dataType: 'json',
  },

  // 更新教育平台状态
  updateEducationPlatformStatus: {
    url: 'boss-xinghuo-api/educationPlatformManage/updateEducationPlatformStatus',
    method: 'POST',
    dataType: 'json',
  },

  // 查询教育平台详情
  getEducationPlatformInfo: {
    url: 'boss-xinghuo-api/educationPlatformManage/getEducationPlatformInfo',
    method: 'GET',
  },

  // 查询教育平台操作日记列表
  getPageEducationPlatformOperationLogList: {
    url: 'boss-xinghuo-api/educationPlatformManage/pageEducationPlatformOperationLogList',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
