import buildApi from './buildApi';

const config = {
  // 列表查询
  getEduPayDataList: {
    url: 'boss-xinghuo-api/eduPayData/page',
    method: 'POST',
    dataType: 'json',
  },

  // 列表查询导出
  exportEduPayPageData: {
    url: 'boss-xinghuo-api/eduPayData/pageImportLog',
    method: 'POST',
    dataType: 'json',
  },

  // 教育平台支付数据导入
  importEduPayPageData: {
    url: 'boss-xinghuo-api/eduPayData/importData',
    method: 'POST',
    dataType: 'json',
  },

  // 列表查询导出
  exportEduPayPageDataExcel: {
    url: 'boss-xinghuo-api/eduPayData/page?isExport=pull',
    method: 'POST',
    dataType: 'json',
  },

  // 手动修改匹配状态
  manualMatchEduPayPageData: {
    url: 'boss-xinghuo-api/eduPayData/manualMatch',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
