import buildApi from './buildApi';

const config = {
  // 分公司字典
  listUserAllBranchByResourceId: {
    url: 'boss-xinghuo-api/organization/listUserAllBranchByResourceId',
    method: 'GET',
  },
  getStudentAchievementTemplateList: {
    method: 'POST',
    dataType: 'json',
    url: 'boss-xinghuo-api/student/achievement/template/page',
  },
  deleteStudentAchievementTemplate: {
    method: 'POST',
    url: 'boss-xinghuo-api/student/achievement/template/delete',
  },
  addStudentAchievementTemplate: {
    dataType: 'json',
    method: 'POST',
    url: 'boss-xinghuo-api/student/achievement/template/save',
  },
  incrementSaveSwitchConfig: {
    url: '/SwitchConfigController/incrementSaveSwitchConfig.do',
    method: 'POST',
    dataType: 'json',
  }, // 增量保存收款类型开关配置
  getSubjectAlias: 'DataDictController/listWithSubjectAlias.do',
  getSelectOption: 'CommonAction/getSelectOption.do', //获取学年，学期，考试类型
  listOrgRankingDisplaySwitch: 'boss-xinghuo-api/student/achievement/template/listOrgRankingDisplaySwitch', // 成绩单模板分页列表
  getStudentAchievementTemplateDetail: '/boss-xinghuo-api/student/achievement/template/get', // 成绩单模板详情
};

export default buildApi(config);
