import buildApi from './buildApi';

const config = {
  // 获取班组列表
  getClassCourseChangeGroupList: {
    url: 'boss-xinghuo-api/classCourseChangeGroup/page',
    method: 'POST',
    dataType: 'json',
  },

  // 获取班组下的小班列表
  getClassCourseChangeGroupMiniClassList: {
    url: 'boss-xinghuo-api/classCourseChangeGroup/pageGroupMiniClass',
    method: 'POST',
    dataType: 'json',
  },

  // 从规则班组中添加小班
  addClassCourseChangeGroupMiniClass: {
    url: 'boss-xinghuo-api/classCourseChangeGroup/addMiniClass',
    method: 'POST',
    dataType: 'json',
  },

  // 从规则班组中删除小班
  deleteClassCourseChangeGroupMiniClass: {
    url: 'boss-xinghuo-api/classCourseChangeGroup/deleteMiniClass',
    method: 'POST',
    dataType: 'json',
  },

  // 删除班组
  deleteClassCourseChangeGroup: {
    url: 'boss-xinghuo-api/classCourseChangeGroup/delete',
    method: 'DELETE',
    dataType: 'json',
  },

  // 添加班组
  addClassCourseChangeGroup: {
    url: 'boss-xinghuo-api/classCourseChangeGroup/add',
    method: 'POST',
    dataType: 'json',
  },

  // 查询小班列表，用于选择添加到班组
  getPageMiniClassForClassGroup: {
    url: 'boss-xinghuo-api/classCourseChangeGroup/pageMiniClassForClassGroup',
    method: 'POST',
    dataType: 'json',
  },

  // 获取分公司下学习中心
  findOrganizationByParentId: {
    url: 'OrganizationController/findOrganizationByParentId.do',
    method: 'GET',
  },
};

export default buildApi(config);
