import buildApi from './buildApi';

const config = {
  // 客户录入
  saveCustomerStudent: { url: 'TwoTeacherCustomerAction/saveCustomerStudent.do', method: 'POST', dataType: 'json' },
  // 跟进记录
  queryCustomerStudentFollowingList: 'TwoTeacherCustomerAction/queryCustomerStudentFollowingList.do',
  // 咨询师工作台-查询跟进人
  getUserByRoleCodesSelection: 'CommonAction/getUserByRoldCodesSelection.do',
  // 外呼工作台-跟进客户列表
  getNewCallingWorkbench: { url: 'CustomerAction/getNewCallingWorkbench.do', method: 'POST', dataType: 'json' },
  // 外呼工作台-获取上一次跟进记录接口
  getLastFollowRecord: 'CustomerAction/lastNewCallingFollowUpRecord.do',
  // 外呼工作台-更新跟进记录
  updateLastFollowRecord: { url: 'CustomerAction/addNewCallingFollowUpRecord.do', method: 'POST', dataType: 'json' },
  // 外呼工作台-查询跟进人
  getProfessionalCalling: 'CustomerAction/getProfessionalCalling.do',
  // 外呼工作台-资源树
  getResourceForCalling: { url: 'CustomerAction/getResourceForNewCalling.do', method: 'GET', dataType: 'json' },
  // 外呼工作台-资源调配
  assignResource: { url: 'CustomerAction/assignResource.do', method: 'POST', dataType: 'json' },
  // 资源管理-客户列表
  getCustomerList: 'TwoTeacherCustomerAction/customerList.do',
  // 资源管理-客户导入列表
  getCustomerImportInfoList: 'CustomerAction/customerImportInfo.do',
  // 资源管理-客户导入列表-执行导入
  batchImportCustomer: 'CustomerAction/batchImportCustomer.do',
  // 资源管理-客户导入列表-执行删除
  editImportCustomer: 'CustomerAction/editImportCustomer.do',
  // 资源管理-客户导入列表-导入模版
  uploadCustomerResource: 'TwoTeacherCustomerAction/uploadCustomerResource.do',
  // 双师系统-判断学生是新生还是老生
  judgeIsOldStuForSsBoss: 'twoTeacher/student/judgeIsOldStuForSsBoss.do',
  // 客户资源调配
  allocateCustomerResource: {
    url: 'TwoTeacherCustomerAction/allocateCustomerResource.do',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
