import buildApi from './buildApi';

const config = {
  getList: 'goal/list.do', //获取列表
  updateByBrench: {
    url: 'goal/updateByBrench.do',
    method: 'POST',
    dataType: 'json',
  }, // 分公司指标设置
  getCampusByGoalId: 'goal/getCampusByGoalId.do', // 根据指标ID获取学习中心指标列表
  addByBrench: {
    url: 'goal/addByBrench.do',
    method: 'POST',
    dataType: 'json',
  }, // 新增分公司指标
  updateGoalByCampus: {
    url: 'goal/updateGoalByCampus.do',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
