import buildApi from './buildApi';
const config = {
  getTwoTeacherClassInfoBySelect: 'TwoTeacherClassController/getTwoTeacherClassInfoBySelect.do', // 获取双师辅班主课表
  getStudentsByCampusId: 'TwoTeacherClassController/getStudentsByCampusId.do', // 根据学习中心ID获取双师学生字典
  getTwoTeacherBycampusId: 'TwoTeacherClassController/getTwoTeacherBycampusId.do', //根据学习中心ID获取双师老师字典
  exportTwoTeacherConflictPerson: 'TwoTeacherClassController/exportTwoTeacherConflictPerson.do', // 导出双师课表冲突名单
  exportTwoTeacherCourseInfoBycampusId: 'TwoTeacherClassController/exportTwoTeacherCourseInfoBycampusId.do', //导出本周所有双师课程明细
  getTwoTeacherConflictName: {
    url: 'TwoTeacherClassController/getTwoTeacherConflictName.do',
    method: 'POST',
    dataType: 'json',
  }, //获取双师冲突名单
  getEditTwoTeacherClassCourseInfo: 'TwoTeacherClassController/getEditTwoTeacherClassCourseInfo.do', //编辑时获取课程信息
  getEditTwoTeacherClassInfo: 'TwoTeacherClassController/getEditTwoTeacherClassInfo.do', //编辑时获取辅班信息
  getEditConflictInfo: 'TwoTeacherClassController/getEditConflictInfo.do', //编辑完成时获取冲突信息
  editTeacherOrclassroom: 'TwoTeacherClassController/EditTeacherOrclassroom.do', //编辑老师或教室
  getTwoClassTeachers: 'TeacherSubjectController/getRenkeHekuaxiaoquTeacher.do', //获取双师老师
  getStudentConflictCourse: 'TwoTeacherClassController/getTWStudentConflictCourse.do', // 调课界面显示原班课程是否冲突信息
  getStudentConflictCourseNew: 'TwoTeacherClassController/getStudentConflictCourseNew.do', // 调课界面显示原班课程是否冲突信息(批量)
  getChangeMiniClassList: {
    url: 'TwoTeacherClassController/getAdjustableClassList.do',
    method: 'POST',
    dataType: 'json',
  }, //获取可调班的列表（换课
  changeCourse: {
    url: 'TwoTeacherClassController/changeCourseForTt.do',
    method: 'POST',
    dataType: 'json',
  }, //学生换课
  getSubSelectOptionBySuper: 'DataDictController/getSubSelectOptionBySuper.do', //获取小班班级类型
  checkConflictAfterTtChangeCourse: {
    url: 'TwoTeacherClassController/checkConflictAfterTtChangeCourse.do',
    method: 'POST',
    dataType: 'json',
  }, //检测调课后是否依然有冲突（换课）
  findClassCourseChangeRecords: {
    url: 'ClassCourseChangeRecordController/findClassCourseChangeRecords.do',
    method: 'POST',
    dataType: 'json',
  }, // 查询退转调记录列表
  findClassCourseChangeRecordCountInfo: {
    url: 'ClassCourseChangeRecordController/findClassCourseChangeRecordCountInfo.do',
    method: 'POST',
    dataType: 'json',
  }, // 查询退转调记录统计数据
  exportClassCourseChangeRecords: {
    url: 'ClassCourseChangeRecordController/exportClassCourseChangeRecords.do',
    method: 'POST',
    dataType: 'json',
  }, // 导出退转调记录
};

export default buildApi(config);
