import { OLDPAGEBASE } from 'CONST/config';

export default {
  nextCompactReg: new RegExp(/^\/next-compact/),
  get(newUrl, rUrl) {
    if (newUrl) {
      return newUrl;
    }

    if (rUrl) {
      if (this.nextCompactReg.test(rUrl)) {
        return rUrl;
      } else if (rUrl !== '#') {
        return this.getOldPageUrl(rUrl);
      }
    }

    return null;
  },
  getOldPageUrl(rUrl) {
    return `${OLDPAGEBASE}?src=${encodeURIComponent(rUrl)}`;
  },
};
