import React from 'react';
import PropTypes from 'prop-types';
import InputSimple from '../InputSimple';
import InputPlus from '../InputPlus';

const Input = (props) => {
  return props.plus ? <InputPlus {...props} /> : <InputSimple {...props} />;
};
Input.propTypes = {
  plus: PropTypes.bool,
};
Input.defaultProps = {
  plus: false,
};

export default Input;
